Object.assign(window.search, {"doc_urls":["introduction.html#introduction","model-editor.html#model-editor","model-editor.html#loading-and-saving-files","model-editor.html#editing-the-bow-model","model-editor.html#running-simulations","model-editor-comments.html#comments","model-editor-settings.html#settings","model-editor-dimensions.html#dimensions","model-editor-materials.html#materials","model-editor-layers.html#layers","model-editor-profile.html#profile","model-editor-profile.html#line-segments","model-editor-profile.html#arc-segments","model-editor-profile.html#spiral-segments","model-editor-profile.html#spline-segments","model-editor-width.html#width","model-editor-string.html#string","model-editor-masses.html#masses","model-editor-damping.html#damping","result-viewer.html#result-viewer","result-viewer-characteristics.html#characteristics","result-viewer-shape.html#shape","result-viewer-stress.html#stress","result-viewer-curvature.html#curvature","result-viewer-energy.html#energy","result-viewer-others.html#other-plots","solver.html#solver","solver-command-line.html#command-line","solver-file-formats.html#file-formats","solver-file-formats.html#input","solver-file-formats.html#output","solver-scripting.html#scripting","solver-scripting.html#python","solver-scripting.html#matlab","solver-scripting.html#julia","appendix.html#appendix","appendix-model-files.html#model-files","appendix-result-files.html#result-files","appendix-bending-test.html#bending-test","appendix-bending-test.html#clamped-setup","appendix-bending-test.html#three-point-setup","appendix-tips-and-tricks.html#tips--tricks","appendix-tips-and-tricks.html#units","appendix-tips-and-tricks.html#plots","appendix-tips-and-tricks.html#number-inputs","appendix-tips-and-tricks.html#tables"],"index":{"documentStore":{"docInfo":{"0":{"body":122,"breadcrumbs":2,"title":1},"1":{"body":21,"breadcrumbs":4,"title":2},"10":{"body":78,"breadcrumbs":4,"title":1},"11":{"body":13,"breadcrumbs":5,"title":2},"12":{"body":27,"breadcrumbs":5,"title":2},"13":{"body":43,"breadcrumbs":5,"title":2},"14":{"body":23,"breadcrumbs":5,"title":2},"15":{"body":60,"breadcrumbs":4,"title":1},"16":{"body":151,"breadcrumbs":4,"title":1},"17":{"body":61,"breadcrumbs":4,"title":1},"18":{"body":143,"breadcrumbs":4,"title":1},"19":{"body":105,"breadcrumbs":4,"title":2},"2":{"body":52,"breadcrumbs":5,"title":3},"20":{"body":229,"breadcrumbs":4,"title":1},"21":{"body":35,"breadcrumbs":4,"title":1},"22":{"body":23,"breadcrumbs":4,"title":1},"23":{"body":14,"breadcrumbs":4,"title":1},"24":{"body":95,"breadcrumbs":4,"title":1},"25":{"body":153,"breadcrumbs":4,"title":1},"26":{"body":20,"breadcrumbs":2,"title":1},"27":{"body":135,"breadcrumbs":5,"title":2},"28":{"body":0,"breadcrumbs":5,"title":2},"29":{"body":47,"breadcrumbs":4,"title":1},"3":{"body":116,"breadcrumbs":5,"title":3},"30":{"body":47,"breadcrumbs":4,"title":1},"31":{"body":103,"breadcrumbs":3,"title":1},"32":{"body":91,"breadcrumbs":3,"title":1},"33":{"body":55,"breadcrumbs":3,"title":1},"34":{"body":86,"breadcrumbs":3,"title":1},"35":{"body":0,"breadcrumbs":2,"title":1},"36":{"body":242,"breadcrumbs":5,"title":2},"37":{"body":584,"breadcrumbs":6,"title":2},"38":{"body":119,"breadcrumbs":6,"title":2},"39":{"body":16,"breadcrumbs":6,"title":2},"4":{"body":91,"breadcrumbs":4,"title":2},"40":{"body":19,"breadcrumbs":7,"title":3},"41":{"body":12,"breadcrumbs":6,"title":2},"42":{"body":79,"breadcrumbs":5,"title":1},"43":{"body":78,"breadcrumbs":5,"title":1},"44":{"body":110,"breadcrumbs":6,"title":2},"45":{"body":27,"breadcrumbs":5,"title":1},"5":{"body":16,"breadcrumbs":4,"title":1},"6":{"body":277,"breadcrumbs":4,"title":1},"7":{"body":69,"breadcrumbs":4,"title":1},"8":{"body":94,"breadcrumbs":4,"title":1},"9":{"body":124,"breadcrumbs":4,"title":1}},"docs":{"0":{"body":"Welcome to the user manual for VirtualBow! This manual will help you understand how to use this software for designing bows, simulating their performance and interpreting the results. Like many other simulation tools, VirtualBow consists of three distinct components: A model editor, a solver and a result viewer. The model editor is the most important part of the application from a user's perspective. Here you can create, edit and save your designs, which will be stored as .bow files. The solver does the actual work of running a simulation. It takes a .bow file, performs the required calculations and saves the results as a .res file. Finally, the result viewer is used to open and visualize the .res files produced by the solver. Here you can view the simulation results and evaluate your designs. The layout of this manual follows this parition. The coming chapters will therefore explain each of these components in more detail, starting with the model editor. For support, feedback or to get the latest version of the software please visit the project's website at https://www.virtualbow.org/ Note: Please keep in mind that VirtualBow is still under development. The simulation results are still largely unverified and should not be taken at face value yet, although many users already reported good agreement.","breadcrumbs":"Introduction » Introduction","id":"0","title":"Introduction"},"1":{"body":"The model editor is the first thing you will see when opening VirtualBow. Here you can design your bows, specify their physical properties and start simulations to investigate their performance. Figure: Screenshot of the model editor","breadcrumbs":"Model Editor » Model Editor","id":"1","title":"Model Editor"},"10":{"body":"The profile defines the shape of the (back of the) bow in unbraced state. Figure: Profile segments in the model tree If the Profile category in the model tree is selected, the buttons (, , , ) can be used to add, remove and reorder segments of different types that make up the profile curve (e.g. lines, arcs and more). The properties of each segment depend on its type and are explained below. The resulting shape of the profile curve is shown in the Graph panel. You can use the context menu for additional options on the plot, like showing/hiding control points, curvature or adding an overlay image. Figure: Profile plot Note: The profile curve always starts at (0, 0) and with a horizontal angle. Any offsets in the actual bow can be achieved with the parameters in Dimensions .","breadcrumbs":"Model Editor » Profile » Profile","id":"10","title":"Profile"},"11":{"body":"The line segment is simply a straight line. Its only editable property is the length of the line. Figure: Line segment properties","breadcrumbs":"Model Editor » Profile » Line Segments","id":"11","title":"Line Segments"},"12":{"body":"The arc segment describes a circular arc with given length and radius. Note: The radius can be positive or negative, which makes the arc curve into different directions. It can also be zero, in this case the arc turns into a straight line. Figure: Arc segment properties","breadcrumbs":"Model Editor » Profile » Arc Segments","id":"12","title":"Arc Segments"},"13":{"body":"The spiral segment describes an Euler spiral , a curve that linearly transitions between two curvatures. It is therefore well suited for making smooth transitions between lines and arcs or arcs of different radius. It is defined by a starting radius, and end radius and a length. Note: The start and end radius can be positive, negative or zero (similar to the arc segment). Figure: Spiral segment properties","breadcrumbs":"Model Editor » Profile » Spiral Segments","id":"13","title":"Spiral Segments"},"14":{"body":"The spline segment interpolates a table of (x, y) values with a cubic spline. The values are measured relative to the starting point of the segment/the end point of the previous segment. Figure: Spline segment properties","breadcrumbs":"Model Editor » Profile » Spline Segments","id":"14","title":"Spline Segments"},"15":{"body":"This defines the limb's width along its length. The width is the same for all layers of the bow. Figure: Width properties The width distribution is defined by a table of relative length and width values. Each table row must contain a relative length along the limb (from 0% to 100%) and the corresponding width. The actual width distribution is constructed as a smooth curve (monotone cubic spline) passing through the supplied values and is shown in the Graph panel. You can use the context menu for additional options on the plot, like showing/hiding control points or adding an overlay image.","breadcrumbs":"Model Editor » Width » Width","id":"15","title":"Width"},"16":{"body":"The string is defined by its material properties and the number of strands being used. Its length is determined automatically from the brace height that was set under Dimensions . Figure: String properties The following three properties are required: Strand density: Linear density of a single strand (mass per unit length) Strand stiffness: Stiffness of a single strand (force per unit strain) Number of strands: Total number of strands in the string Note: Mass and stiffness of the string can be important for dynamic analysis. The effect on the static results however is small, provided that the stiffness is high enough to prevent significant elongation. The linear density of a string material can be easily determined with an accurate scale (weight divided by length), the stiffness however is more difficult to obtain. Manufacturers usually don't publish this number. The table below shows the results of tensile tests for three common bow string materials. They were done by the German Institutes for Textile and Fiber Research [1] in July 2018. Material Density [kg/m] Breaking strength [N] Elongation at break [%] Stiffness [N/100%] Dacron B50 370e-6 180 8.5 2118 Fastflight Plus 176e-6 318 2.9 10966 BCY 452X 192e-6 309 2.5 12360 Table: Material properties for common string materials. The stiffness values are a linear estimation from breaking strength and elongation. https://www.ditf.de/en/","breadcrumbs":"Model Editor » String » String","id":"16","title":"String"},"17":{"body":"Here you can set the mass of the arrow as well as some other optional masses. Figure: Mass properties Only the mass of the arrow is actually required. The other ones account for optional weights at various points of the bow and may be set to zero if not needed. Masses in general only have an effect in dynamic analysis. Arrow: Mass of the arrow String center: Additional masses at the string center (e.g. serving, nocking point) String tip: Additional masses at the ends of the string (e.g. serving) Limb tip: Additional masses at the limb tips (e.g. tip overlays, extending nocks)","breadcrumbs":"Model Editor » Masses » Masses","id":"17","title":"Masses"},"18":{"body":"Damping allows to account for energy dissipation, for example due to internal friction/hysteresis of the materials. It only has an effect in dynamic analysis. Figure: Damping properties Since modelling all the different forms of energy dissipation in a bow in an exact way would be too complex, the damping is reduced to two empirical values: The damping ratio of the Limbs and the damping ratio of the String . The damping ratio characterizes how quickly oscillations decay over time: An oscillation with a damping ratio of 0% is undamped, it doesn't dissipate any energy and just keeps going with a constant amplitude. The higher the damping ratio the faster the amplitudes decay over time, losing energy with each oscillation. Once the damping ratio reaches 100% there is no longer any oscillation (no overshoot), this is called critical damping. See also the table below for a visualization of those three cases. Damping Amplitude 0% 10% 100% Note: The damping ratios of a bow's limbs and string are mostly empirical and there isn't yet much practical experience. Realistic values are probably in the range of 1 - 10% though. Note: Due to numerical issues, high damping ratios (> 10%) might not work very well right now. Note: In more technical terms, the limb's damping ratio applies to its first eigenmode in unbraced state and the string's damping ratio applies to its first eigenmode in longitudinal direction.","breadcrumbs":"Model Editor » Damping » Damping","id":"18","title":"Damping"},"19":{"body":"The result viewer is used to open and visualize simulation results that are stored in .res files. It is launched automatically by the model editor when a simulation has finished, but it can also be used as a standalone application. Figure: Screenshot of the result viewer After loading a result file you can use the buttons on the bottom right corner of the window to switch between static and dynamic results, if available. The results themselves are organized in different tabs, which will be explained in the next sections. Below the tabs there is a slider where you can change the current state of the bow that is being viewed, either by draw length in the static case or by time in the dynamic case. This value applies to all of the tabs. Drag the slider to a specific position or use the play buttons to show the simulation results as a continuous animation. The input field and the dropdown menu next to it allow you to jump directly to special points in the results, for example where certain forces or stresses reach their maximum. Note: The physical units that are used throughout the result viewer can be changed under Options - Units .","breadcrumbs":"Result Viewer » Result Viewer","id":"19","title":"Result Viewer"},"2":{"body":"Use the file menu and/or the toolbar buttons on the top to create, open and save bow models. Bow models are stored as .bow files on disk, which contain all the physical parameters of the bow. You could share those files with other users and they would be able to open and view your creations. Note: VirtualBow's goal is to keep compatibility with older .bow files as much as possible, so you should be able to open files that were created with older versions. Keep in mind though that saving will overwrite the file in the new format.","breadcrumbs":"Model Editor » Loading and saving files","id":"2","title":"Loading and saving files"},"20":{"body":"Shows all results that can be expressed as a single value. Some of them are specific to static or dynamic analysis, others are common in both. Figure: Screenshot of the static characteristics tab Statics Final draw force: The draw force of the bow at full draw Drawing work: Total work done by drawing the bow. This work is stored in the bow as potential elastic energy and later partially transfered to the arrow, depending on the bow's efficiency. It is equal to the area under the force-draw curve of the bow. Energy storage factor: This value indicates how good the shape of the draw curve is in terms of energy storage. It is defined as the energy stored by the bow in relation to the energy that would have been stored with a linear draw curve. The energy storage factor increases the \"more convex\" the shape of the draw curve is. Factor < 1: The draw curve stores less energy than a linear draw curve Factor = 1: The draw curve stores as much energy as a linear draw curve Factor > 1: The draw curve stores more energy than a linear draw curve Limb mass: Total mass of a single bow limb, including the additional tip mass String mass: Total mass of the bow string, including additional masses String length: Length of the string, determined by the desired brace height Dynamics Final arrow velocity: Velocity of the arrow when departing from the bow Degree of efficiency: The bow's degree of efficiency, i.e. how much of the energy input (drawing work) is converted into useful output (kinetic energy of the arrow) Kinetic energy arrow: Kinetic energy of the arrow on departure from the string Kinetic energy limbs: Kinetic energy of the limbs on arrow departure Kinetic energy string: Kinetic energy of the string on arrow departure Common Minimum and maximum stresses: Maximum stress by absolute value for each layer. Positive values indicate tension, negative values compression. Maximum absolute forces: Maximum forces by absolute value. Entries are the draw force, the string force and the grip support force, i.e. the force that would be required to hold the bow handle.","breadcrumbs":"Result Viewer » Characteristics » Characteristics","id":"20","title":"Characteristics"},"21":{"body":"Shows the shape of the limb and string as well as the position of the arrow at different stages of either the draw (statics) or the shot (dynamics). The little red circle symbolizes the back end of the arrow. You can use the slider at the bottom to change the current state of the bow or to view all states as a continuous animation. Figure: Screenshot of the shape tab","breadcrumbs":"Result Viewer » Shape » Shape","id":"21","title":"Shape"},"22":{"body":"Shows the stress distribution along the limb for each one of the layers, evaluated at the back and belly sides. Positive values indicate tension, negative values compression. Figure: Screenshot of stress tab","breadcrumbs":"Result Viewer » Stress » Stress","id":"22","title":"Stress"},"23":{"body":"Shows the curvature of the limb along its length. This is not the total curvature but rather the difference to the unbraced shape. Figure: Screenshot of the curvature tab","breadcrumbs":"Result Viewer » Curvature » Curvature","id":"23","title":"Curvature"},"24":{"body":"This plot shows how the energy stored in the bow develops during the simulation and how it is distributed between components (limbs, string arrow) and type of energy (potential/elastic or kinetic). In the static case it shows how the elastic energy of the limbs and string develops during draw. No kinetic energies are shown, because they are zero in static analysis. Figure: Screenshot of the energy tab for static results In the dynamic case it shows how the initial potential energy of the limbs is transferred to the arrow and other components of the bow and how much unused energy stays in the bow after the departure of the arrow. Figure: Screenshot of the energy tab for dynamic results In both cases there are three options for display that can be selected individually: Stacked: Stack the energies on top of each other, so it can bee seen how they add up Group by component: Group the energies only by component (limbs, string, arrow) Group by type: Group the energies only by type (potential, kinetic)","breadcrumbs":"Result Viewer » Energy » Energy","id":"24","title":"Energy"},"25":{"body":"Here you can combine arbitrary simulation results and plot them together in order to visualize things that aren't shown on any of the default plots. Examples are the draw curve of the bow (draw force over draw length) or the velocity of the arrow over time. Figure: Screenshot of the other plots tab Data series available in static analysis: Data Series Description Draw length Length to which the bow is drawn Draw force Draw force of the bow String force (total) Tension force in the string String force (strand) String tension per strand Grip force Force that is required to hold the grip Pot. energy limbs Potential energy of the limbs Pot. energy string Potential energy of the string Data series available in dynamic analysis: Data Series Description Time Time since the release of the shot Arrow position Position of the arrow Arrow velocity Velocity of the arrow Arrow acceleration Acceleration of the arrow String force (total) Tension force in the string String force (strand) String tension per strand Grip force Force that is required to hold the grip Pot. energy limbs Potential energy of the limbs Kin. energy limbs Kinetic energy of the limbs Pot. energy string Potential energy of the string Kin. energy string Kinetic energy of the string Kin. energy arrow Kinetic energy of the arrow","breadcrumbs":"Result Viewer » Other Plots » Other Plots","id":"25","title":"Other Plots"},"26":{"body":"The solver is the part of VirtualBow that actually performs the required calculations. It only has a command line interface and is invoked automatically by the model editor when a simulation is started, but can also be used on its own for advanced use cases.","breadcrumbs":"Solver » Solver","id":"26","title":"Solver"},"27":{"body":"The VirtualBow executables are named virtualbow-gui // Model editor\nvirtualbow-slv // Solver\nvirtualbow-post // Result viewer The solver executable takes a .bow model file as its input, performs the simulation and saves the results as a .res file that can be opened by the result viewer. The type of simulation (static or dynamic) as well as other options are set by the command line arguments. The detailed usage as shown by the --help option is: Usage: virtualbow-slv [options] input output Options: -?, -h, --help Displays this help. -v, --version Displays version information. -s, --static Run a static simulation. -d, --dynamic Run a dynamic simulation. -p, --progress Print simulation progress. Arguments: input Model file (.bow) output Result file (.res) NOTE: To use the command line interfaces on Windows you have to either specify the complete path to the respective executable or add the installation directory to your PATH environment variable. There is an option to do this automatically during installation of VirtualBow. NOTE: On MacOS, the VirtualBow executables are hidden inside the application bundle. They can be accessed by their full path though, or their location can be temporarily added to the PATH environment variable with the command export PATH = $PATH:/Applications/VirtualBow.app/Contents/MacOS. Put this line into your .bash_profile if you want it to be permanently added.","breadcrumbs":"Solver » Command Line » Command Line","id":"27","title":"Command Line"},"28":{"body":"","breadcrumbs":"Solver » File Formats » File Formats","id":"28","title":"File Formats"},"29":{"body":"The input files of the solver are .bow model files as created by the model editor. Those files use the text based JSON [1] format. JSON (JavaScript Object Notation) is a very common exchange format for hierarchical data in the form of objects, arrays, strings, numbers and more. Since the format is text based, it is easy to inspect and modify with a text editor. A detailed specification of the model files can be found in Appendix A .","breadcrumbs":"Solver » File Formats » Input","id":"29","title":"Input"},"3":{"body":"The main view of the editor is a 3D visualization of the bow's current geometry. Use the mouse to rotate (left button), shift (middle button) and zoom (mouse wheel) the perspective. More view options are available through the buttons on the bottom. Besides this 3D view, the editor interface contains three additional panels: Model : The model tree on the top left shows how the bow model is organized, with various categories of physical properties. If an item in the model tree is selected, its details are shown in the Properties and/or the Graph panels. Some categories can be edited in the tree by adding, removing or renaming items, namely Materials , Layers and Profile . Properties : The property editor shows the details of the currently selected item in the model tree. Here you can view and edit the physical properties of the bow model. Graph : The graph view will show any graphs/plots that are associated with the selected item in the model tree. The graphs reflect the current properties and change as the properties are being edited. Note: The physical units that are used throughout the model editor can be changed under Options - Units .","breadcrumbs":"Model Editor » Editing the bow model","id":"3","title":"Editing the bow model"},"30":{"body":"The output files of the solver are .res result files that can be opened with the result viewer. The result files use the binary MessagePack [2] format. MessagePack is very similar to JSON in the kind of data it can represent, but more space efficient due to being a binary format. Unlike the input files, the output files cannot be inspected with a text editor. A detailed specification of the model files can be found in Appendix B . https://www.json.org/ https://msgpack.org/","breadcrumbs":"Solver » File Formats » Output","id":"30","title":"Output"},"31":{"body":"The main use of the solver as a standalone application is the ability to write programs that automatically launch simulations and analyze the results. This is especially useful for performing design optimizations or exploring the influence of certain model parameters on the simulation results. Scripts that interoperate with VirtualBow have to be able to call the solver via the command line interface as well as read and write the model and result files that constitute the input and output of the solver. As a consequence of the file formats, any programming language that supports JSON and MessagePack can be used. Both are fairly common formats and most languages have either built-in support or there are external libraries available. For getting started, the following sections show how to interface with VirtualBow for some programming languages commonly used in scientific computing. Each of the examples performs the same series of basic tasks: Load, modify and save a model file Run a static simulation with the model file Load the result file and evaluate the maximum stress of the first layer at full draw","breadcrumbs":"Solver » Scripting » Scripting","id":"31","title":"Scripting"},"32":{"body":"The python example below uses two external packages, msgpack for reading the result files and numpy for evaluating the stresses. They can be installed with pip install msgpack numpy. import json, msgpack # Loading and saving model and result files\nimport numpy as np # Evaluating stresses\nimport subprocess # Runnig the simulation # Load model file\nwith open(\"input.bow\", \"r\") as file: input = json.load(file) # Modify model data\ninput[\"string\"][\"n_strands\"] += 1 # Save model file\nwith open(\"input.bow\", \"w\") as file: json.dump(input, file, indent=2) # Run a static simulation\nsubprocess.call([\"virtualbow-slv\", \"--static\", \"input.bow\", \"output.res\"]) # Load the result file\nwith open(\"output.res\", \"rb\") as file: output = msgpack.unpack(file, raw=False) # Evaluate stresses\nHe_back = np.array(output[\"setup\"][\"limb_properties\"][\"layers\"][0][\"He_back\"])\nHk_back = np.array(output[\"setup\"][\"limb_properties\"][\"layers\"][0][\"Hk_back\"]) epsilon = np.array(output[\"statics\"][\"states\"][\"epsilon\"][-1])\nkappa = np.array(output[\"statics\"][\"states\"][\"kappa\"][-1])\nsigma = He_back.dot(epsilon) + Hk_back.dot(kappa) print(sigma.max())","breadcrumbs":"Solver » Scripting » Python","id":"32","title":"Python"},"33":{"body":"This Matlab example uses the JSONLab library, which can read and write both JSON and MessagePack files. % Load model file\ninput = loadjson('input.bow'); % Modify model data\ninput.string.n_strands = input.string.n_strands + 1; % Save model file\nsavejson('', input, 'input.bow'); % Run a static simulation\nsystem('virtualbow-slv --static input.bow output.res'); % Load the result file\noutput = loadmsgpack('output.res'); % Evaluate stresses\nHe_back = output.setup.limb_properties.layers{1}.He_back;\nHk_back = output.setup.limb_properties.layers{1}.Hk_back; epsilon = output.statics.states.epsilon(:,end);\nkappa = output.statics.states.kappa(:,end);\nsigma = He_back*epsilon + Hk_back*kappa; disp(max(sigma));","breadcrumbs":"Solver » Scripting » Matlab","id":"33","title":"Matlab"},"34":{"body":"For the Julia example, two external packages are used: JSON for loading model files and MsgPack for loading result files. They can be installed with julia> import Pkg; Pkg.add(\"JSON\"); Pkg.add(\"MsgPack\"). using JSON # Loading and saving model files\nusing MsgPack # Loading result files # Load model file\nstream = open(\"input.bow\", \"r\")\ninput = JSON.parse(stream)\nclose(stream) # Modify model data\ninput[\"string\"][\"n_strands\"] += 1 # Save model file\nstream = open(\"input.bow\", \"w\")\nJSON.print(stream, input, 2)\nclose(stream) # Run a static simulation\nrun(`virtualbow-slv --static input.bow output.res`) # Load the result file\nstream = open(\"output.res\", \"r\")\noutput = unpack(stream)\nclose(stream) # Evaluate stresses\nHe_back = hcat(output[\"setup\"][\"limb_properties\"][\"layers\"][1][\"He_back\"]... )\nHk_back = hcat(output[\"setup\"][\"limb_properties\"][\"layers\"][1][\"Hk_back\"]... ) epsilon = output[\"statics\"][\"states\"][\"epsilon\"][end]\nkappa = output[\"statics\"][\"states\"][\"kappa\"][end]\nsigma = He_back*epsilon + Hk_back*kappa println(max(sigma...))","breadcrumbs":"Solver » Scripting » Julia","id":"34","title":"Julia"},"35":{"body":"","breadcrumbs":"Appendix » Appendix","id":"35","title":"Appendix"},"36":{"body":"Note: The following specification is subject to change. Scripts that work directly with .bow files should therefore expect incompatibilities with new releases of VirtualBow. Field Type Unit Description version String -- VirtualBow version number comment String -- User comments settings { n_limb_elements Integer -- Number of limb elements n_string_elements Integer -- Number of string elements n_draw_steps Integer -- Number of draw steps arrow_clamp_force Double -- Arrow clamp force time_span_factor Double -- Time span factor time_step_factor Double -- Time step factor sampling_rate Double -- Sampling rate } dimensions { brace_height Double m Brace height draw_length Double m Draw length handle_length Double m Handle length handle_setback Double m Handle setback handle_angle Double m Handle angle } materials [ { name String Name color String Color rho Double kg/m³ Density E Double Pa Elastic modulus } { ... } ] layers [ { name String Name material Integer Material index height Double[][] -- , m Table of relative length and height } { ... } ] profile [ { type: \"line\" String Line segment parameters { length Double m Length } } { type: \"arc\" String Arc segment parameters { length Double m Length radius Double m Radius } } { type: \"spiral\" String Spiral segment parameters { length Double m Length r_start Double m Start radius r_end Double m End radius } } { type: \"spline\" String Spline segment parameters { points Double[][] m , m List of (x, y) points } } { ... } ] width Double[][] -- , m Table of relative length and width string { strand_stiffness Double N Stiffness of the string material strand_density Double kg/m Density of the string material n_strands Integer -- Number of strands } masses { arrow Double kg Mass of the arrow string_center Double kg Additional mass at string center string_tip Double kg Additional mass at string tips limb_tip Double kg Additional mass at limb tips } damping { damping_ratio_limbs Double -- Damping ratio of the limbs damping_ratio_string Double -- Damping ratio of the string }","breadcrumbs":"Appendix » A - Model Files » Model Files","id":"36","title":"Model Files"},"37":{"body":"Note: The following specification is subject to change. Scripts that work directly with .res files should therefore expect incompatibilities with new releases of VirtualBow. Note: For space efficiency reasons, the stress values for each layer aren't stored directly in the result files. Instead, each layer has two constant matrices \\(H_{e\\mathrm{\\ (back/belly)}}\\) that relate the longitudinal strains \\(\\varepsilon\\) to the resulting stresses at the back or belly side of the layer as well as two matrices \\(H_{k\\mathrm{\\ (back/belly)}}\\) that do the same for the bending curvature \\(\\kappa\\). The total stress is the sum of the stresses due to longitudinal strain and bending curvature and can be calculated as \\[\\sigma_\\mathrm{back} = H_{e,\\mathrm{\\ back}} \\cdot \\varepsilon + H_{k,\\mathrm{\\ back}} \\cdot \\kappa\\] \\[\\sigma_\\mathrm{belly} = H_{e,\\mathrm{\\ belly}} \\cdot \\varepsilon + H_{k,\\mathrm{\\ belly}} \\cdot \\kappa\\] where the dot (\\(\\cdot\\)) represents a matrix-vector multiplication. The result is a vector of stresses corresponding to the nodes of the layer. P: Number of limb nodes Q: Number of string nodes R: Number of layer nodes Field Type Unit Description setup { string_length Double m Length of the string string_mass Double kg Mass of the string, including additional masses limb_mass Double kg Mass of the limb, including additional masses limb_properties { length Double[P] m Arc lengths of the limb nodes (unbraced) angle Double[P] rad Rotation angles of the limb nodes (unbraced) x_pos Double[P] m X coordinates of the limb nodes (unbraced) y_pos Double[P] m Y coordinates of the limb nodes (unbraced) width Double[P] m Cross section width height Double[P] m Cross section height (all layers) rhoA Double[P] kg/m Linear density of the sections Cee Double[P] N Longitudinal stiffness of the sections Ckk Double[P] Nm² Bending stiffness of the sections Cek Double[P] Nm Coupling between bending and elongation layers [ { length Double[R] m Arc lengths of the layer nodes He_back Double[R][P] N/m² Stress evaluation matrix (back) Hk_back Double[R][P] N/m Stress evaluation matrix (back) He_belly Double[R][P] N/m² Stress evaluation matrix (belly) Hk_belly Double[R][P] N/m Stress evaluation matrix (belly) } { ... } ] } } statics { final_draw_force Double N Final draw force drawing_work Double J Drawing work energy storage factor Double -- Energy storage factor max_string_force_index Integer -- Simulation state with maximum absolute string force max_grip_force_index Integer -- Simulation state with maximum absolute grip force max_draw_force_index Integer -- Simulation state with maximum absolute draw force min_stress_value Double[] Pa Minimum stress for each layer min_stress_index Integer[][] -- Simulation state and layer node for each minimum stress value max_stress_value Double[] Pa Maximum stress for each layer max_stress_index Integer[][] -- Simulation state and layer node for each maximum stress value states { ... Sequence of bow states (see table below) } } dynamics { final_pos_arrow Double m Position of the arrow at departure final_vel_arrow Double m/s Velocity of the arrow at departure final_e_kin_arrow Double J Kinetic energy of the arrow at departure final_e_pot_limbs Double J Potential energy of the limbs at arrow departure final_e_kin_limbs Double J Kinetic energy of the limbs at arrow departure final_e_pot_string Double J Potential energy of the string at arrow departure final_e_kin_string Double J Kinetic energy of the string at arrow departure efficiency Double -- Degree of efficiency max_string_force_index Integer -- Simulation state with maximum absolute string force max_grip_force_index Integer -- Simulation state with maximum absolute grip force arrow_departure_index Integer -- Simulation state at which the arrow departs with the string min_stress_value Double[] Pa Minimum stress for each layer min_stress_index Integer[][] -- Simulation state and layer node for each stress value max_stress_value Double[] Pa Maximum stress for each layer max_stress_index Integer[][] -- Simulation state and layer node for each stress value states { ... Sequence of bow states (see table below) } } N: Number of simulation steps P: Number of limb nodes Q: Number of string nodes Field Type Unit Description states { time Double[N] s Time draw_length Double[N] m Draw length draw_force Double[N] N Draw force string_force Double[N] N String force (total) strand_force Double[N] N String force (strand) grip_force Double[N] N Grip force pos_arrow Double[N] m Arrow position vel_arrow Double[N] m/s Arrow velocity acc_arrow Double[N] m/s² Arrow acceleration x_pos_limb Double[N][P] m X coordinates of the limb nodes y_pos_limb Double[N][P] m Y coordinates of the limb nodes angle_limb Double[N][P] rad Rotation angles of the limb nodes epsilon Double[N][P] -- Longitudinal strain at the limb nodes kappa Double[N][P] m Bending curvature at the limb nodes x_pos_string Double[N][Q] m X coordinates of the string nodes y_pos_string Double[N][Q] m Y coordinates of the string nodes e_pot_limbs Double[N] J Potential energy of the limbs e_kin_limbs Double[N] J Kinetic energy of the limbs e_pot_string Double[N] J Potential energy of the string e_kin_string Double[N] J Kinetic energy of the string e_kin_arrow Double[N] J Kinetic energy of the arrow }","breadcrumbs":"Appendix » B - Result Files » Result Files","id":"37","title":"Result Files"},"38":{"body":"A bending test is a good way to experimentally determine the elastic modulus \\(E\\) of a material. Starting point is a material sample with a constant width \\(w\\) and height \\(h\\). It is important that the dimensions, especially the height, are fairly precise, since they have a large influence on the final result. The useful length \\(l\\) of the sample should be much larger than the cross section dimensions such that it can bend enough for easy measuring while still staying in the elastic range of the material. On the other hand, the sample shouldn't be so long that it bends significantly under its own weight either. A suggestion would be \\(l \\ge 100 \\cdot h\\). To perform the test, the sample is either clamped on one end, as shown in Clamped Setup , or placed between two supports as shown in Three-point Setup . It is then subjected to a force \\(F\\) and the resulting deflection \\(s\\) is measured. Finally the elastic modulus can be calulated from the measured deflection depending on the chosen setup. A good way to apply an accurate force is to use a known weight \\(m\\), suspended for example on a thread, and calculate the force as \\(F = m \\cdot g\\) with \\(g=9.81\\frac{m}{s^2}\\). Alternatively, an accurate bow/hanging scale might also work.","breadcrumbs":"Appendix » C - Bending Test » Bending Test","id":"38","title":"Bending Test"},"39":{"body":"In this setup the sample is clamped on one end and the force is applied on the free end. The elastic modulus can be calculated as \\[E = \\frac{Fl^3}{3Is} = \\frac{4Fl^3}{wh^3 s}\\]","breadcrumbs":"Appendix » C - Bending Test » Clamped Setup","id":"39","title":"Clamped Setup"},"4":{"body":"Simulations can be started with the Simuate menu or by clicking one of the toolbar buttons. Any changes to the bow are automatically saved and the VirtualBow solver is invoked on the model file. There are two different simulation modes: Statics : The static simulation analyzes the bow as it is being drawn from brace height to full draw. One of the results is the force/draw curve, for example. This mode is called static since the bow is considered to be in static equilibrium at each stage of the draw. Dynamics : The dynamic simulation analyzes the bow and arrow in motion as the string is released from full draw. It adds things like arrow speed and degree of efficiency to the results. Since it requires the initial state of the bow at full draw, the dynamic simulation will always be preceded by a static simulation as well. The simulation results are stored as a .res file next to the model file and automatically opened in the result viewer for analysis.","breadcrumbs":"Model Editor » Running Simulations","id":"4","title":"Running Simulations"},"40":{"body":"In this setup the sample is placed between two rolling supports with distance \\(l\\) and the force is applied in the middle. The elastic modulus can be calculated as \\[E = \\frac{Fl^3}{48Is} = \\frac{Fl^3}{4wh^3 s}\\]","breadcrumbs":"Appendix » C - Bending Test » Three-point Setup","id":"40","title":"Three-point Setup"},"41":{"body":"This section contains various notes about useful features of VirtualBow that didn't reall fit anywhere else in this manual.","breadcrumbs":"Appendix » D - Tips & Tricks » Tips & Tricks","id":"41","title":"Tips & Tricks"},"42":{"body":"Manually converting between units is tedious and error-prone. That's why all inputs and outputs in VirtualBow have a configurable unit that can be changed under Options - Units . Figure: Unit selection dialog In this dialog you can select units for different categories of values. Changing the unit for Length , for example, will change the unit everywhere where lengths are shown (e.g. width, layer height, dimensions). There are also two pre-defined sets of defaults, one for SI units and one for US units. You can use those by clicking either of the buttons on the bottom left. It is worth noting that the units only affect how values are shown in the user interface. The data in the model and result files is always stored in SI base units, so they can be exchanged with other users who might have different unit preferences.","breadcrumbs":"Appendix » D - Tips & Tricks » Units","id":"42","title":"Units"},"43":{"body":"Background images Any plot can be given a background image. After selecting Background image... in the plot's context menu, you can load an image and adjust its position and orientation. Figure: Background image dialog This feature can be used to model existing bows more easily or to compare the simulation results with actual photographs. Background images are only temporary, they are not saved with the model files. File exports Plots can be exported to various image and data formats using the menu entry Export as... . Supported export formats are: PDF vector graphic PNG image BMP image CSV table Other options Some of the plots have additional context menu entries. The profile plot, for example, has options to show or hide nodes or visualize the curvature.","breadcrumbs":"Appendix » D - Tips & Tricks » Plots","id":"43","title":"Plots"},"44":{"body":"Number input fields may seem simple, but there are a few details worth knowing to use them more effectively. Figure: Number input field Arithmetic expressions Most number input fields in VirtualBow accept arithmetic expressions. This means that you can enter expressions like 1 + 5/2, press enter, and it will automatically be evaluated to 3.5. Supported operations are +, -, *, /, ^ and grouping with ( and ). Decimal separator VirtualBow uses a dot (.) as the decimal separator for numbers, regardless of local conventions. However, since some countries use a comma (,) instead, their keyboard layouts have a comma on the number block, making it cumbersome to enter numbers with a dot. Therefore, to make things easier for such users, the comma on the number pad is automatically converted to a dot. Scrolling The little arrow buttons on the right of the input field can be used to increment/decrement the value. Scrolling the mouse wheel while the field is selected does the same thing, just faster. This can be used to quickly move through a whole range of values, which is especially useful when editing the bow's geometry and observing the changes in the plots and the 3d view.","breadcrumbs":"Appendix » D - Tips & Tricks » Number inputs","id":"44","title":"Number inputs"},"45":{"body":"Content in tables can be copied, cut, pasted and deleted using either the context menu or the standard shortcuts. Copy and paste also works between VirtualBow and other applications, for example spreadsheet software like Excel or LibreOffice Calc. Figure: Table context menu","breadcrumbs":"Appendix » D - Tips & Tricks » Tables","id":"45","title":"Tables"},"5":{"body":"The comments are the first item in the model tree and are only used for documentation. Any notes about the bow, its paramters or the simulation results can be added here. Figure: Comments","breadcrumbs":"Model Editor » Comments » Comments","id":"5","title":"Comments"},"6":{"body":"The settings can be used for tweaking the simulation. Usually the default values should be fine though, so if you're reading this manual for the first time you might want to skip this section. Figure: Settings Since the default settings are meant to be a good general choice, they favor accuracy and reliability over simulation speed. So for specific use cases it could make sense to find more efficient settings. Think about running a large number of scripted simulations, for example. On the other hand, even the default settings might sometimes fail with certain bow designs such that different settings have to be used. The settings are divided into general settings that affect both simulation modes as well as specific settings for the static and dynamic simulations. General Limb elements: Number of finite elements that are used to approximate the limb. More elements increase the accuracy but also the computing time. String elements: Number of finite elements that are used to approximate the string. This number can usually be reduced if the bow has no recurve. In the case of a static analysis with no recurve it can even be set to one without losing any accuracy. Statics Draw steps: Number of steps that are performed by the static simulation from brace height to full draw. This determines the resolution of the static results. You can usually decrease this value to speed up the simulation, especially if you're only interested in the dynamic results. Dynamics Arrow clamp force: The force that the arrow has to overcome in order to separate from the string. This value is chosen fairly small by default and can improve the simulation results for very light arrows. Time span factor: This factor controls the time period that is being simulated. A value of 1 corresponds to the time at which the arrow passes the brace height. The default value is larger than that in order to capture some of the things that tend to happen after the arrow left the bow (e.g. the maximum forces/stresses on limb and string). Time step factor: When simulating the dynamics of the bow, the program will repeatedly use the current state of the bow at time stem:[t] to calculate the next state at time stem:[t + \\Delta t] where stem:[\\Delta t] is some small timestep. We want this timestep to be as large as possible to keep the required number of steps low. But it still has to be small enough to get an accurate and stable solution. The program will try to estimate this optimal timestep, but to be on the safe side the estimation is multiplied with a factor between 0 and 1 that you can choose here. Sampling rate: The sampling rate limits the time resolution of the dynamic results. This is done because the dynamic simulation usually produces much finer grained data than is actually useful. Not including all of that in the final output reduces the size of the result files and the simulation time.","breadcrumbs":"Model Editor » Settings » Settings","id":"6","title":"Settings"},"7":{"body":"The dimensions define some overall lengths and angles of the bow, including an optional stiff middle section. Figure: Dimensions Draw Brace height: Distance between the deepest point of the handle and the string at rest Draw length: Distance between the deepest point of the handle and the string at full draw Handle Length: Optional length of a stiff middle section (grip/riser) between the limbs Setback: Distance between the deepest point of the grip and the attachment point of the limbs to the middle section Angle: Angle at which the limbs are attached to the middle section See the image below for a visual definition of the dimensions. Figure: Definition of the dimensions","breadcrumbs":"Model Editor » Dimensions » Dimensions","id":"7","title":"Dimensions"},"8":{"body":"This is a list of materials that can later be assigned to the layers of the bow. Figure: Materials in the model tree If the Materials category in the model tree is selected, the buttons (, , , ) can be used to add, remove and reorder materials. Materials can be renamed by double-clicking and entering a new name. Figure: Material properties For each material, the following properties are needed: Color: Color of the material (only used for display) Rho: Density (mass per unit volume) E: Elastic modulus (measure of stiffness) For synthetic materials like e.g. fiber-reinforced composites you can often find the mechanical properties in a datasheet provided by the manufacturer. Natural materials like wood are more difficult, because their properties can vary quite a bit. Average numbers can be found at http://www.wood-database.com and other websites, which should be a good starting point. The alternative is to determine the material properties by experiment with a bending test. For more information on that see Appendix C .","breadcrumbs":"Model Editor » Materials » Materials","id":"8","title":"Materials"},"9":{"body":"Layers define the makeup of the bow in the thickness/height direction. A bow can have multiple layers of different materials or only a single layer (self bows). Figure: Layers in the model tree If the Layers category in the model tree is selected, the buttons (, , , ) can be used to add, remove and reorder layers. Layers can be renamed by double-clicking and entering a new name. Figure: Layer properties Each layer consists of a material and a height/thickness distribution. The material can be selected from the drop-down list, which shows all materials that were previously added under Materials . The height distribution is defined by a table of relative length and height values. Each table row must contain a relative length along the limb (from 0% to 100%) and the corresponding layer height. Layer heights may be zero over portions of the length. This is useful for modelling layers that don't cover the whole limb. Common examples for this are fadeouts and tip wedges. The actual height distribution is constructed as a smooth curve (monotone cubic spline) passing through the supplied values and is shown in the Graph panel. You can use the context menu for additional options on the plot, like showing/hiding control points or adding an overlay image.","breadcrumbs":"Model Editor » Layers » Layers","id":"9","title":"Layers"}},"length":46,"save":true},"fields":["title","body","breadcrumbs"],"index":{"body":{"root":{"0":{"df":5,"docs":{"10":{"tf":1.4142135623730951},"15":{"tf":1.0},"18":{"tf":1.4142135623730951},"6":{"tf":1.0},"9":{"tf":1.0}}},"1":{"0":{"0":{"df":4,"docs":{"15":{"tf":1.0},"18":{"tf":1.4142135623730951},"38":{"tf":1.0},"9":{"tf":1.0}}},"9":{"6":{"6":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"18":{"tf":1.7320508075688772}}},"2":{"3":{"6":{"0":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"7":{"6":{"df":0,"docs":{},"e":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}},"8":{"0":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"9":{"2":{"df":0,"docs":{},"e":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}},"df":9,"docs":{"16":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":1.7320508075688772},"29":{"tf":1.0},"32":{"tf":1.7320508075688772},"33":{"tf":1.0},"34":{"tf":1.0},"44":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"2":{".":{"5":{"df":1,"docs":{"16":{"tf":1.0}}},"9":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"0":{"1":{"8":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"1":{"1":{"8":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":2,"docs":{"30":{"tf":1.0},"34":{"tf":1.0}}},"3":{".":{"5":{"df":1,"docs":{"44":{"tf":1.0}}},"df":0,"docs":{}},"0":{"9":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"1":{"8":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"7":{"0":{"df":0,"docs":{},"e":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}},"d":{"df":2,"docs":{"3":{"tf":1.4142135623730951},"44":{"tf":1.0}}},"df":0,"docs":{}},"4":{"5":{"2":{"df":0,"docs":{},"x":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"5":{"/":{"2":{"df":1,"docs":{"44":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"6":{"df":1,"docs":{"16":{"tf":1.7320508075688772}}},"8":{".":{"5":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"a":{"b":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"31":{"tf":1.0}}}},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":2,"docs":{"20":{"tf":1.7320508075688772},"37":{"tf":2.23606797749979}}}}}}}},"c":{"c":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"25":{"tf":1.4142135623730951},"37":{"tf":1.0}}}}},"p":{"df":0,"docs":{},"t":{"df":1,"docs":{"44":{"tf":1.0}}}},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"27":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":2,"docs":{"17":{"tf":1.0},"18":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"r":{"a":{"c":{"df":0,"docs":{},"i":{"df":1,"docs":{"6":{"tf":1.7320508075688772}}}},"df":0,"docs":{}},"df":3,"docs":{"16":{"tf":1.0},"38":{"tf":1.4142135623730951},"6":{"tf":1.0}}}}},"df":0,"docs":{},"h":{"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"v":{"df":1,"docs":{"10":{"tf":1.0}}}}}},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"df":8,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"15":{"tf":1.0},"17":{"tf":1.0},"26":{"tf":1.0},"43":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}}}},"d":{"d":{"df":6,"docs":{"10":{"tf":1.0},"24":{"tf":1.0},"27":{"tf":1.0},"4":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}},"i":{"df":0,"docs":{},"t":{"df":9,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"17":{"tf":1.7320508075688772},"20":{"tf":1.4142135623730951},"3":{"tf":1.0},"36":{"tf":1.7320508075688772},"37":{"tf":1.4142135623730951},"43":{"tf":1.0},"9":{"tf":1.0}}}}},"df":6,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"27":{"tf":1.4142135623730951},"3":{"tf":1.0},"5":{"tf":1.0},"9":{"tf":1.4142135623730951}},"j":{"df":0,"docs":{},"u":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"43":{"tf":1.0}}}}}},"v":{"a":{"df":0,"docs":{},"n":{"c":{"df":1,"docs":{"26":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"42":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{}}}},"g":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}}}}}}}},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":2,"docs":{"18":{"tf":1.0},"19":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":4,"docs":{"15":{"tf":1.4142135623730951},"22":{"tf":1.0},"23":{"tf":1.0},"9":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"e":{"a":{"d":{"df":0,"docs":{},"i":{"df":1,"docs":{"0":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"n":{"df":2,"docs":{"38":{"tf":1.0},"8":{"tf":1.0}}}}},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":1,"docs":{"0":{"tf":1.0}}}}}}}},"w":{"a":{"df":0,"docs":{},"y":{"df":3,"docs":{"10":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.0}}}},"df":0,"docs":{}}},"m":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"d":{"df":1,"docs":{"18":{"tf":1.7320508075688772}}},"df":0,"docs":{}}}}}}},"n":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"y":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":8,"docs":{"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":1.0},"24":{"tf":1.0},"25":{"tf":1.4142135623730951},"4":{"tf":1.0},"6":{"tf":1.0}}}},"z":{"df":2,"docs":{"31":{"tf":1.0},"4":{"tf":1.4142135623730951}}}}}},"d":{"/":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":2,"docs":{"2":{"tf":1.0},"3":{"tf":1.0}}}}},"df":0,"docs":{}},"df":0,"docs":{},"g":{"df":0,"docs":{},"l":{"df":4,"docs":{"10":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.7320508075688772},"7":{"tf":1.7320508075688772}},"e":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"i":{"df":0,"docs":{},"m":{"df":2,"docs":{"19":{"tf":1.0},"21":{"tf":1.0}}}},"y":{"df":0,"docs":{},"w":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"41":{"tf":1.0}}}}}}}},"p":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"x":{"df":4,"docs":{"29":{"tf":1.0},"30":{"tf":1.0},"35":{"tf":1.0},"8":{"tf":1.0}}}}},"df":0,"docs":{}}},"l":{"df":0,"docs":{},"i":{"c":{"df":5,"docs":{"0":{"tf":1.0},"19":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.0},"45":{"tf":1.0}}},"df":5,"docs":{"18":{"tf":1.4142135623730951},"19":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0}}}},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"x":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}}}}}}},"r":{"b":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"25":{"tf":1.0}}}}},"df":0,"docs":{}}}}},"c":{"df":5,"docs":{"10":{"tf":1.0},"12":{"tf":2.449489742783178},"13":{"tf":1.7320508075688772},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951}}},"df":0,"docs":{},"e":{"a":{"df":1,"docs":{"20":{"tf":1.0}}},"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":2,"docs":{"25":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{}}},"g":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}}}}}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"44":{"tf":1.4142135623730951}}}}}}}},"r":{"a":{"df":0,"docs":{},"y":{"df":1,"docs":{"29":{"tf":1.0}}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"_":{"c":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"36":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.0}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":10,"docs":{"17":{"tf":2.0},"20":{"tf":2.8284271247461903},"21":{"tf":1.4142135623730951},"24":{"tf":2.0},"25":{"tf":3.0},"36":{"tf":1.7320508075688772},"37":{"tf":3.4641016151377544},"4":{"tf":1.4142135623730951},"44":{"tf":1.0},"6":{"tf":2.23606797749979}}}}}},"s":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"n":{"df":1,"docs":{"8":{"tf":1.0}}}}},"o":{"c":{"df":0,"docs":{},"i":{"df":1,"docs":{"3":{"tf":1.0}}}},"df":0,"docs":{}}}},"t":{"df":0,"docs":{},"t":{"a":{"c":{"df":0,"docs":{},"h":{"df":1,"docs":{"7":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":7,"docs":{"16":{"tf":1.0},"19":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.0},"4":{"tf":1.4142135623730951},"44":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}}}},"v":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":4,"docs":{"19":{"tf":1.0},"25":{"tf":1.4142135623730951},"3":{"tf":1.0},"31":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"g":{"df":1,"docs":{"8":{"tf":1.0}}}},"df":0,"docs":{}}}}},"b":{"5":{"0":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"a":{"c":{"df":0,"docs":{},"k":{"/":{"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{}},"df":4,"docs":{"10":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"37":{"tf":2.23606797749979}},"g":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"43":{"tf":2.23606797749979}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":2,"docs":{"29":{"tf":1.4142135623730951},"42":{"tf":1.0}}},"h":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"27":{"tf":1.0}}}}}}}}},"df":0,"docs":{}},"i":{"c":{"df":1,"docs":{"31":{"tf":1.0}}},"df":0,"docs":{}}}},"c":{"df":0,"docs":{},"i":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":1,"docs":{"30":{"tf":1.0}},"e":{"df":6,"docs":{"16":{"tf":1.0},"19":{"tf":1.0},"3":{"tf":1.0},"30":{"tf":1.0},"4":{"tf":1.0},"6":{"tf":1.0}},"e":{"df":1,"docs":{"24":{"tf":1.0}}},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":2,"docs":{"22":{"tf":1.0},"37":{"tf":2.23606797749979}}}},"o":{"df":0,"docs":{},"w":{"df":7,"docs":{"10":{"tf":1.0},"16":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"32":{"tf":1.0},"37":{"tf":1.4142135623730951},"7":{"tf":1.0}}}}},"n":{"d":{"df":3,"docs":{"37":{"tf":2.23606797749979},"38":{"tf":2.0},"8":{"tf":1.0}}},"df":0,"docs":{}},"s":{"df":0,"docs":{},"i":{"d":{"df":1,"docs":{"3":{"tf":1.0}}},"df":0,"docs":{}}},"t":{"df":0,"docs":{},"w":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":10,"docs":{"13":{"tf":1.4142135623730951},"19":{"tf":1.0},"24":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0},"40":{"tf":1.0},"42":{"tf":1.0},"45":{"tf":1.0},"6":{"tf":1.0},"7":{"tf":2.0}}}}}}}},"i":{"df":0,"docs":{},"n":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"30":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}},"t":{"df":1,"docs":{"8":{"tf":1.0}}}},"l":{"df":0,"docs":{},"o":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"44":{"tf":1.0}}}},"df":0,"docs":{}}},"m":{"df":0,"docs":{},"p":{"df":1,"docs":{"43":{"tf":1.0}}}},"o":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":5,"docs":{"20":{"tf":1.0},"24":{"tf":1.0},"31":{"tf":1.0},"33":{"tf":1.0},"6":{"tf":1.0}}},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":4,"docs":{"19":{"tf":1.0},"21":{"tf":1.0},"3":{"tf":1.0},"42":{"tf":1.0}}}}}},"w":{"'":{"df":4,"docs":{"18":{"tf":1.0},"20":{"tf":1.4142135623730951},"3":{"tf":1.0},"44":{"tf":1.0}}},"/":{"df":0,"docs":{},"h":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":1,"docs":{"38":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":25,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":1.0},"10":{"tf":1.4142135623730951},"15":{"tf":1.0},"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":2.23606797749979},"20":{"tf":3.0},"21":{"tf":1.0},"24":{"tf":1.7320508075688772},"25":{"tf":1.7320508075688772},"27":{"tf":1.4142135623730951},"29":{"tf":1.0},"3":{"tf":1.7320508075688772},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"4":{"tf":2.23606797749979},"43":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":2.23606797749979},"7":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.7320508075688772}}}},"r":{"a":{"c":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":1,"docs":{"36":{"tf":1.0}}}}}}}}},"df":6,"docs":{"16":{"tf":1.0},"20":{"tf":1.0},"36":{"tf":1.0},"4":{"tf":1.0},"6":{"tf":1.4142135623730951},"7":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"k":{"df":1,"docs":{"16":{"tf":1.7320508075688772}}}},"df":0,"docs":{}}},"u":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":1,"docs":{"31":{"tf":1.0}}}}},"n":{"d":{"df":0,"docs":{},"l":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":9,"docs":{"10":{"tf":1.0},"19":{"tf":1.4142135623730951},"2":{"tf":1.0},"3":{"tf":1.7320508075688772},"4":{"tf":1.0},"42":{"tf":1.0},"44":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}}}}},"c":{"a":{"df":0,"docs":{},"l":{"c":{"df":1,"docs":{"45":{"tf":1.0}},"u":{"df":0,"docs":{},"l":{"df":7,"docs":{"0":{"tf":1.0},"26":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0},"6":{"tf":1.0}}}}},"df":0,"docs":{},"l":{"df":3,"docs":{"18":{"tf":1.0},"31":{"tf":1.0},"4":{"tf":1.0}}},"u":{"df":0,"docs":{},"l":{"df":1,"docs":{"38":{"tf":1.0}}}}},"p":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":1,"docs":{"6":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"e":{"df":6,"docs":{"12":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.4142135623730951},"24":{"tf":1.7320508075688772},"26":{"tf":1.0},"6":{"tf":1.4142135623730951}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"g":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":5,"docs":{"10":{"tf":1.0},"3":{"tf":1.4142135623730951},"42":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}}}}}},"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":2,"docs":{"37":{"tf":2.23606797749979},"38":{"tf":1.4142135623730951}}}}},"df":1,"docs":{"8":{"tf":1.0}},"e":{"df":0,"docs":{},"e":{"df":1,"docs":{"37":{"tf":1.0}}},"k":{"df":1,"docs":{"37":{"tf":1.0}}},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"17":{"tf":1.4142135623730951},"36":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":3,"docs":{"19":{"tf":1.0},"31":{"tf":1.0},"6":{"tf":1.0}}}}},"df":0,"docs":{}}}},"h":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":8,"docs":{"19":{"tf":1.4142135623730951},"21":{"tf":1.0},"3":{"tf":1.4142135623730951},"36":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.7320508075688772},"44":{"tf":1.0}}}},"p":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"0":{"tf":1.0}}}}}},"r":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.0}},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"20":{"tf":1.4142135623730951}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"s":{"df":1,"docs":{"6":{"tf":1.0}}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":2,"docs":{"38":{"tf":1.0},"6":{"tf":1.0}}}}}}},"i":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"l":{"df":1,"docs":{"21":{"tf":1.0}}},"u":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"r":{"df":1,"docs":{"12":{"tf":1.0}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"k":{"df":0,"docs":{},"k":{"df":1,"docs":{"37":{"tf":1.0}}}},"l":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":4,"docs":{"36":{"tf":1.0},"38":{"tf":1.4142135623730951},"39":{"tf":1.4142135623730951},"6":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"k":{"df":4,"docs":{"4":{"tf":1.0},"42":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.7320508075688772}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":2,"docs":{"36":{"tf":1.4142135623730951},"8":{"tf":1.4142135623730951}}}}},"m":{"b":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":1,"docs":{"25":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":1,"docs":{"0":{"tf":1.0}}},"m":{"a":{"df":1,"docs":{"44":{"tf":1.7320508075688772}},"n":{"d":{"df":3,"docs":{"26":{"tf":1.0},"27":{"tf":2.0},"31":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":2,"docs":{"36":{"tf":1.4142135623730951},"5":{"tf":1.7320508075688772}}}}},"o":{"df":0,"docs":{},"n":{"df":5,"docs":{"16":{"tf":1.4142135623730951},"20":{"tf":1.4142135623730951},"29":{"tf":1.0},"31":{"tf":1.0},"9":{"tf":1.0}},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"31":{"tf":1.0}}}}}}},"p":{"a":{"df":0,"docs":{},"r":{"df":1,"docs":{"43":{"tf":1.0}}},"t":{"df":1,"docs":{"2":{"tf":1.0}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":1.0}}},"x":{"df":1,"docs":{"18":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"n":{"df":2,"docs":{"0":{"tf":1.4142135623730951},"24":{"tf":2.0}}},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"8":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":2,"docs":{"20":{"tf":1.0},"22":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"t":{"df":2,"docs":{"31":{"tf":1.0},"6":{"tf":1.0}}}}}},"n":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":1,"docs":{"42":{"tf":1.0}}}}}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"q":{"df":0,"docs":{},"u":{"df":1,"docs":{"31":{"tf":1.0}}}}},"i":{"d":{"df":1,"docs":{"4":{"tf":1.0}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":2,"docs":{"0":{"tf":1.0},"9":{"tf":1.0}}}}},"t":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":3,"docs":{"18":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"31":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"u":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"15":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}}}}},"t":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":5,"docs":{"15":{"tf":1.0},"2":{"tf":1.0},"3":{"tf":1.0},"41":{"tf":1.0},"9":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"45":{"tf":1.0}}}},"x":{"df":0,"docs":{},"t":{"df":5,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"43":{"tf":1.4142135623730951},"45":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"u":{"df":2,"docs":{"19":{"tf":1.0},"21":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"l":{"df":4,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"44":{"tf":1.0}}}},"r":{"df":0,"docs":{},"t":{"df":3,"docs":{"20":{"tf":1.0},"42":{"tf":1.0},"44":{"tf":1.0}}}},"x":{"df":1,"docs":{"20":{"tf":1.0}}}}}},"o":{"df":0,"docs":{},"r":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":1,"docs":{"37":{"tf":2.449489742783178}}}}},"df":0,"docs":{}}},"p":{"df":0,"docs":{},"i":{"df":1,"docs":{"45":{"tf":1.4142135623730951}}}},"r":{"df":0,"docs":{},"n":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"19":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"d":{"df":4,"docs":{"15":{"tf":1.0},"37":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}},"df":0,"docs":{}}}}}}}},"u":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"44":{"tf":1.0}}}}}},"p":{"df":0,"docs":{},"l":{"df":1,"docs":{"37":{"tf":1.0}}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"9":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"t":{"df":3,"docs":{"0":{"tf":1.0},"2":{"tf":1.4142135623730951},"29":{"tf":1.0}},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"2":{"tf":1.0}}}}}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"18":{"tf":1.0}}},"df":0,"docs":{}}}},"o":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":2,"docs":{"37":{"tf":1.4142135623730951},"38":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"v":{"df":1,"docs":{"43":{"tf":1.0}}}},"u":{"b":{"df":0,"docs":{},"i":{"c":{"df":3,"docs":{"14":{"tf":1.0},"15":{"tf":1.0},"9":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"m":{"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"44":{"tf":1.0}}}}}}}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":4,"docs":{"19":{"tf":1.0},"21":{"tf":1.0},"3":{"tf":1.7320508075688772},"6":{"tf":1.0}}}}}},"v":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":5,"docs":{"10":{"tf":1.0},"13":{"tf":1.0},"23":{"tf":2.0},"37":{"tf":1.7320508075688772},"43":{"tf":1.0}}}}}},"df":8,"docs":{"10":{"tf":1.7320508075688772},"12":{"tf":1.0},"13":{"tf":1.0},"15":{"tf":1.0},"20":{"tf":3.1622776601683795},"25":{"tf":1.0},"4":{"tf":1.0},"9":{"tf":1.0}}}},"t":{"df":1,"docs":{"45":{"tf":1.0}}}}},"d":{"a":{"c":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"16":{"tf":1.0}}}}}},"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":2,"docs":{"18":{"tf":4.0},"36":{"tf":1.7320508075688772}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"36":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}},"t":{"a":{"b":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{".":{"c":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"8":{"tf":1.0}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":9,"docs":{"25":{"tf":2.0},"29":{"tf":1.0},"30":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.0},"6":{"tf":1.0}},"s":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"8":{"tf":1.0}}}}}}}},"df":0,"docs":{}}},"df":1,"docs":{"27":{"tf":1.0}},"e":{"c":{"a":{"df":0,"docs":{},"y":{"df":1,"docs":{"18":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":1,"docs":{"44":{"tf":1.4142135623730951}}}},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"s":{"df":1,"docs":{"6":{"tf":1.0}}}},"df":0,"docs":{}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"7":{"tf":1.7320508075688772}}}}}}},"f":{"a":{"df":0,"docs":{},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":3,"docs":{"25":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":2.23606797749979}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":8,"docs":{"10":{"tf":1.0},"13":{"tf":1.0},"15":{"tf":1.4142135623730951},"16":{"tf":1.0},"20":{"tf":1.0},"42":{"tf":1.0},"7":{"tf":1.0},"9":{"tf":1.4142135623730951}},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"7":{"tf":1.4142135623730951}}}}}},"l":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"38":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}}},"g":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":3,"docs":{"20":{"tf":1.4142135623730951},"37":{"tf":1.0},"4":{"tf":1.0}}}}},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"45":{"tf":1.0}}}},"t":{"a":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{}}},"n":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":4,"docs":{"16":{"tf":2.0},"36":{"tf":1.4142135623730951},"37":{"tf":1.0},"8":{"tf":1.0}}}}}}},"p":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":2,"docs":{"20":{"tf":1.0},"37":{"tf":1.0}},"u":{"df":0,"docs":{},"r":{"df":3,"docs":{"20":{"tf":1.7320508075688772},"24":{"tf":1.0},"37":{"tf":2.6457513110645907}}}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":3,"docs":{"10":{"tf":1.0},"20":{"tf":1.0},"38":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"c":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"b":{"df":2,"docs":{"12":{"tf":1.0},"13":{"tf":1.0}}},"df":0,"docs":{},"p":{"df":0,"docs":{},"t":{"df":3,"docs":{"25":{"tf":1.4142135623730951},"36":{"tf":1.0},"37":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"n":{"df":4,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":1.0},"31":{"tf":1.0},"6":{"tf":1.0}}}},"r":{"df":1,"docs":{"20":{"tf":1.0}}}}},"t":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":6,"docs":{"0":{"tf":1.0},"27":{"tf":1.0},"29":{"tf":1.0},"3":{"tf":1.4142135623730951},"30":{"tf":1.0},"44":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":5,"docs":{"16":{"tf":1.4142135623730951},"20":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.0},"8":{"tf":1.0}}}}}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":2,"docs":{"0":{"tf":1.0},"24":{"tf":1.4142135623730951}}}}}}}},"i":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"g":{"df":2,"docs":{"42":{"tf":1.4142135623730951},"43":{"tf":1.0}}}}}},"d":{"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":1,"docs":{"41":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":11,"docs":{"10":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"21":{"tf":1.0},"23":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.4142135623730951},"6":{"tf":1.0},"9":{"tf":1.0}}}},"i":{"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":2,"docs":{"16":{"tf":1.0},"8":{"tf":1.0}}}}}},"df":0,"docs":{}}}},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"df":6,"docs":{"10":{"tf":1.0},"16":{"tf":1.0},"36":{"tf":1.0},"38":{"tf":1.4142135623730951},"42":{"tf":1.0},"7":{"tf":2.23606797749979}}}}}},"r":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":3,"docs":{"12":{"tf":1.0},"18":{"tf":1.0},"9":{"tf":1.0}},"l":{"df":0,"docs":{},"i":{"df":3,"docs":{"19":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.4142135623730951}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"27":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"s":{"df":0,"docs":{},"k":{"df":1,"docs":{"2":{"tf":1.0}}},"p":{"(":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"x":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"m":{"a":{"df":1,"docs":{"33":{"tf":1.0}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"y":{"df":3,"docs":{"24":{"tf":1.0},"27":{"tf":1.4142135623730951},"8":{"tf":1.0}}}},"df":0,"docs":{}}},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"18":{"tf":1.7320508075688772}}}}},"t":{"a":{"df":0,"docs":{},"n":{"c":{"df":2,"docs":{"40":{"tf":1.0},"7":{"tf":1.7320508075688772}}},"df":0,"docs":{}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}},"df":0,"docs":{}}},"r":{"df":0,"docs":{},"i":{"b":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":4,"docs":{"15":{"tf":1.4142135623730951},"22":{"tf":1.0},"24":{"tf":1.0},"9":{"tf":1.7320508075688772}}}}},"df":0,"docs":{}}}}},"v":{"df":0,"docs":{},"i":{"d":{"df":2,"docs":{"16":{"tf":1.0},"6":{"tf":1.0}}},"df":0,"docs":{}}}},"o":{"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"5":{"tf":1.0}}}}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}},"df":0,"docs":{}}}},"n":{"'":{"df":0,"docs":{},"t":{"df":2,"docs":{"16":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{},"e":{"df":3,"docs":{"16":{"tf":1.0},"20":{"tf":1.0},"6":{"tf":1.0}}}},"t":{"df":2,"docs":{"37":{"tf":1.0},"44":{"tf":1.7320508075688772}}},"u":{"b":{"df":0,"docs":{},"l":{"df":4,"docs":{"36":{"tf":5.291502622129181},"37":{"tf":4.242640687119285},"8":{"tf":1.0},"9":{"tf":1.0}},"e":{"[":{"df":0,"docs":{},"n":{"]":{"[":{"df":0,"docs":{},"p":{"df":1,"docs":{"37":{"tf":2.23606797749979}}},"q":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":1,"docs":{"37":{"tf":3.7416573867739413}}},"p":{"df":1,"docs":{"37":{"tf":3.1622776601683795}}},"r":{"]":{"[":{"df":0,"docs":{},"p":{"df":1,"docs":{"37":{"tf":2.0}}}},"df":0,"docs":{}},"df":1,"docs":{"37":{"tf":1.0}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"w":{"df":0,"docs":{},"n":{"df":1,"docs":{"9":{"tf":1.0}}}}},"r":{"a":{"df":0,"docs":{},"g":{"df":1,"docs":{"19":{"tf":1.0}}},"w":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":2,"docs":{"36":{"tf":1.0},"37":{"tf":1.0}}}}}}}}},"df":11,"docs":{"19":{"tf":1.0},"20":{"tf":4.123105625617661},"21":{"tf":1.0},"24":{"tf":1.0},"25":{"tf":2.449489742783178},"31":{"tf":1.0},"36":{"tf":1.4142135623730951},"37":{"tf":2.23606797749979},"4":{"tf":2.0},"6":{"tf":1.4142135623730951},"7":{"tf":1.7320508075688772}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"w":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"k":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}}}},"n":{"df":2,"docs":{"25":{"tf":1.0},"4":{"tf":1.0}}}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":0,"docs":{},"n":{"df":1,"docs":{"19":{"tf":1.0}}}}}},"df":1,"docs":{"9":{"tf":1.0}}}}},"u":{"df":0,"docs":{},"e":{"df":3,"docs":{"18":{"tf":1.4142135623730951},"30":{"tf":1.0},"37":{"tf":1.0}}},"r":{"df":0,"docs":{},"e":{"df":2,"docs":{"24":{"tf":1.4142135623730951},"27":{"tf":1.0}}}}},"y":{"df":0,"docs":{},"n":{"a":{"df":0,"docs":{},"m":{"df":12,"docs":{"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.4142135623730951},"20":{"tf":1.4142135623730951},"21":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":1.0},"27":{"tf":1.7320508075688772},"37":{"tf":1.0},"4":{"tf":1.7320508075688772},"6":{"tf":2.449489742783178}}}},"df":0,"docs":{}}}},"df":0,"docs":{},"e":{".":{"df":0,"docs":{},"g":{"df":5,"docs":{"10":{"tf":1.0},"17":{"tf":1.7320508075688772},"42":{"tf":1.0},"6":{"tf":1.0},"8":{"tf":1.0}}}},"_":{"df":0,"docs":{},"k":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"a":{"c":{"df":0,"docs":{},"h":{"df":12,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"15":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":1.0},"22":{"tf":1.0},"24":{"tf":1.0},"31":{"tf":1.0},"37":{"tf":3.1622776601683795},"4":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":2,"docs":{"29":{"tf":1.0},"38":{"tf":1.0}},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"44":{"tf":1.0}}}},"l":{"df":0,"docs":{},"i":{"df":2,"docs":{"16":{"tf":1.0},"43":{"tf":1.0}}}}}}},"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":4,"docs":{"0":{"tf":1.0},"11":{"tf":1.0},"3":{"tf":2.0},"44":{"tf":1.0}},"o":{"df":0,"docs":{},"r":{"df":8,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":1.7320508075688772},"19":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":1.0},"29":{"tf":1.4142135623730951},"3":{"tf":2.0},"30":{"tf":1.0}}}}}}},"df":5,"docs":{"36":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0},"8":{"tf":1.0}},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":4,"docs":{"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"44":{"tf":1.0}}}},"df":0,"docs":{}},"i":{"c":{"df":0,"docs":{},"i":{"df":5,"docs":{"20":{"tf":1.7320508075688772},"30":{"tf":1.0},"37":{"tf":1.7320508075688772},"4":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{}}}},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"m":{"df":0,"docs":{},"o":{"d":{"df":1,"docs":{"18":{"tf":1.4142135623730951}}},"df":0,"docs":{}}}}}}},"l":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":7,"docs":{"20":{"tf":1.0},"24":{"tf":1.0},"36":{"tf":1.0},"38":{"tf":1.7320508075688772},"39":{"tf":1.0},"40":{"tf":1.0},"8":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":2,"docs":{"36":{"tf":1.4142135623730951},"6":{"tf":2.23606797749979}}}}}}},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":2,"docs":{"16":{"tf":1.7320508075688772},"37":{"tf":1.0}}}}}},"m":{"df":0,"docs":{},"p":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.4142135623730951}}}}}},"n":{"d":{"df":7,"docs":{"13":{"tf":1.4142135623730951},"14":{"tf":1.0},"17":{"tf":1.0},"21":{"tf":1.0},"36":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.4142135623730951}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"g":{"df":0,"docs":{},"i":{"df":5,"docs":{"18":{"tf":2.0},"20":{"tf":4.123105625617661},"24":{"tf":3.4641016151377544},"25":{"tf":3.7416573867739413},"37":{"tf":3.4641016151377544}}}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":3,"docs":{"16":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.0}}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":3,"docs":{"44":{"tf":1.7320508075688772},"8":{"tf":1.0},"9":{"tf":1.0}}}},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"20":{"tf":1.0},"43":{"tf":1.4142135623730951}}}}},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}}}}}},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":4,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":1.0}}}}}}}},"q":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"20":{"tf":1.0}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"b":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":1,"docs":{"4":{"tf":1.0}}}}}}},"df":0,"docs":{}}}}}},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"42":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"i":{"df":4,"docs":{"31":{"tf":1.0},"38":{"tf":1.0},"44":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":2,"docs":{"16":{"tf":1.0},"6":{"tf":1.4142135623730951}}}}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"13":{"tf":1.0}}}}}},"v":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":8,"docs":{"0":{"tf":1.0},"22":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.7320508075688772},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":2.0},"44":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}},"r":{"df":0,"docs":{},"y":{"df":0,"docs":{},"w":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"42":{"tf":1.0}}}}}}}}}},"x":{"a":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}},"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":14,"docs":{"18":{"tf":1.0},"19":{"tf":1.0},"25":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"38":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.0},"45":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}}}}},"c":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":1,"docs":{"45":{"tf":1.0}}}},"h":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":2,"docs":{"29":{"tf":1.0},"42":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":2.0}}}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"43":{"tf":1.0}}}}},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"36":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"18":{"tf":1.0},"8":{"tf":1.0}},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"38":{"tf":1.0}}}}}}}}},"l":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":3,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"19":{"tf":1.0}}}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"31":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":2,"docs":{"27":{"tf":1.0},"43":{"tf":2.0}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":2,"docs":{"20":{"tf":1.0},"44":{"tf":1.7320508075688772}}}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"17":{"tf":1.0}}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"n":{"df":3,"docs":{"31":{"tf":1.0},"32":{"tf":1.0},"34":{"tf":1.0}}}}}}}},"f":{"a":{"c":{"df":0,"docs":{},"e":{"df":1,"docs":{"0":{"tf":1.0}}},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":4,"docs":{"20":{"tf":2.23606797749979},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"6":{"tf":2.0}}}}}},"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"9":{"tf":1.0}}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"6":{"tf":1.0}}},"r":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":3,"docs":{"31":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"18":{"tf":1.0},"44":{"tf":1.0}}}},"f":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":1,"docs":{"16":{"tf":1.0}}}}}}}}}},"v":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"6":{"tf":1.0}}}}}},"df":1,"docs":{"38":{"tf":1.4142135623730951}},"e":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":2,"docs":{"41":{"tf":1.0},"43":{"tf":1.0}}}}}},"df":0,"docs":{},"e":{"d":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"0":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"w":{"df":1,"docs":{"44":{"tf":1.0}}}},"i":{"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"16":{"tf":1.0},"8":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"d":{"df":4,"docs":{"19":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"44":{"tf":2.23606797749979}}},"df":0,"docs":{}}},"g":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":26,"docs":{"1":{"tf":1.0},"10":{"tf":1.4142135623730951},"11":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"14":{"tf":1.0},"15":{"tf":1.0},"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0},"45":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":1.0},"7":{"tf":1.4142135623730951},"8":{"tf":1.4142135623730951},"9":{"tf":1.4142135623730951}}}}},"l":{"df":0,"docs":{},"e":{"df":17,"docs":{"0":{"tf":2.0},"19":{"tf":1.4142135623730951},"2":{"tf":2.6457513110645907},"27":{"tf":2.0},"28":{"tf":1.0},"29":{"tf":2.0},"30":{"tf":2.449489742783178},"31":{"tf":2.23606797749979},"32":{"tf":3.0},"33":{"tf":2.0},"34":{"tf":2.6457513110645907},"36":{"tf":1.4142135623730951},"37":{"tf":1.7320508075688772},"4":{"tf":1.7320508075688772},"42":{"tf":1.0},"43":{"tf":1.4142135623730951},"6":{"tf":1.0}}}},"n":{"a":{"df":0,"docs":{},"l":{"_":{"d":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"w":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"k":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"s":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":5,"docs":{"0":{"tf":1.0},"20":{"tf":1.4142135623730951},"37":{"tf":1.0},"38":{"tf":1.4142135623730951},"6":{"tf":1.0}}}},"d":{"df":2,"docs":{"6":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{},"e":{"df":1,"docs":{"6":{"tf":1.0}},"r":{"df":1,"docs":{"6":{"tf":1.0}}}},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"h":{"df":1,"docs":{"19":{"tf":1.0}}}},"t":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}}},"r":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":5,"docs":{"1":{"tf":1.0},"18":{"tf":1.4142135623730951},"31":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":1.0}}}}},"t":{"df":1,"docs":{"41":{"tf":1.0}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":6,"docs":{"0":{"tf":1.0},"16":{"tf":1.0},"31":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"8":{"tf":1.0}}}}}},"r":{"c":{"df":10,"docs":{"16":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":3.0},"25":{"tf":3.605551275463989},"36":{"tf":1.0},"37":{"tf":3.1622776601683795},"38":{"tf":1.7320508075688772},"39":{"tf":1.0},"40":{"tf":1.0},"6":{"tf":1.4142135623730951}},"e":{"/":{"d":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"w":{"df":1,"docs":{"4":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{},"s":{"/":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"6":{"tf":1.0}}}}}}}}},"df":0,"docs":{}}}},"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":6,"docs":{"2":{"tf":1.0},"28":{"tf":1.0},"29":{"tf":1.7320508075688772},"30":{"tf":1.4142135623730951},"31":{"tf":1.4142135623730951},"43":{"tf":1.4142135623730951}}}},"df":2,"docs":{"18":{"tf":1.0},"29":{"tf":1.0}}}},"u":{"df":0,"docs":{},"n":{"d":{"df":3,"docs":{"29":{"tf":1.0},"30":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{}}}},"r":{"a":{"c":{"df":0,"docs":{},"{":{"4":{"df":0,"docs":{},"f":{"df":0,"docs":{},"l":{"^":{"3":{"df":0,"docs":{},"}":{"df":0,"docs":{},"{":{"df":0,"docs":{},"w":{"df":0,"docs":{},"h":{"^":{"3":{"df":1,"docs":{"39":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"l":{"^":{"3":{"df":0,"docs":{},"}":{"df":0,"docs":{},"{":{"3":{"df":0,"docs":{},"i":{"df":1,"docs":{"39":{"tf":1.0}}}},"4":{"8":{"df":0,"docs":{},"i":{"df":1,"docs":{"40":{"tf":1.0}}}},"df":0,"docs":{},"w":{"df":0,"docs":{},"h":{"^":{"3":{"df":1,"docs":{"40":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":1,"docs":{"39":{"tf":1.0}}}},"i":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"/":{"df":0,"docs":{},"h":{"df":0,"docs":{},"y":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":1,"docs":{"18":{"tf":1.0}}}}}}}}}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":6,"docs":{"20":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.0},"4":{"tf":1.7320508075688772},"6":{"tf":1.0},"7":{"tf":1.0}}}}}},"g":{"=":{"9":{".":{"8":{"1":{"\\":{"df":0,"docs":{},"f":{"df":0,"docs":{},"r":{"a":{"c":{"df":0,"docs":{},"{":{"df":0,"docs":{},"m":{"df":0,"docs":{},"}":{"df":0,"docs":{},"{":{"df":0,"docs":{},"s":{"^":{"2":{"df":1,"docs":{"38":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"38":{"tf":1.0}},"e":{"df":1,"docs":{"38":{"tf":1.0}},"n":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"17":{"tf":1.0},"6":{"tf":1.7320508075688772}}}}},"o":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"3":{"tf":1.0},"44":{"tf":1.0}}}}}}}},"r":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"n":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"df":1,"docs":{"31":{"tf":1.0}}}},"i":{"df":0,"docs":{},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":2,"docs":{"12":{"tf":1.0},"43":{"tf":1.0}}}}}},"o":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"2":{"tf":1.0}}}},"df":1,"docs":{"18":{"tf":1.0}},"o":{"d":{"df":5,"docs":{"0":{"tf":1.0},"20":{"tf":1.0},"38":{"tf":1.4142135623730951},"6":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{}}},"r":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":1,"docs":{"6":{"tf":1.0}}}},"p":{"df":0,"docs":{},"h":{"df":4,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"3":{"tf":2.0},"9":{"tf":1.0}},"i":{"c":{"df":1,"docs":{"43":{"tf":1.0}}},"df":0,"docs":{}},"s":{"/":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":1,"docs":{"3":{"tf":1.0}}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"/":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"s":{"df":1,"docs":{"7":{"tf":1.0}}}}}},"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":4,"docs":{"20":{"tf":1.0},"25":{"tf":2.0},"37":{"tf":1.7320508075688772},"7":{"tf":1.0}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"p":{"df":2,"docs":{"24":{"tf":2.0},"44":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"i":{"df":1,"docs":{"27":{"tf":1.0}}}}},"h":{"_":{"df":0,"docs":{},"{":{"df":0,"docs":{},"e":{",":{"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"k":{",":{"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"a":{"df":0,"docs":{},"n":{"d":{"df":2,"docs":{"38":{"tf":1.0},"6":{"tf":1.0}},"l":{"df":3,"docs":{"20":{"tf":1.0},"36":{"tf":1.7320508075688772},"7":{"tf":1.7320508075688772}},"e":{"_":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"l":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"36":{"tf":1.0}}}}}}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"36":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"p":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":1,"docs":{"6":{"tf":1.0}}}}}}},"c":{"a":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"p":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"y":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"1":{"]":{"[":{"\"":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"k":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":2,"docs":{"27":{"tf":1.0},"38":{"tf":1.4142135623730951}},"e":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"*":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":2,"docs":{"33":{"tf":1.0},"34":{"tf":1.0}}}}}}}}}},".":{"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"32":{"tf":1.0}}}}}}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":4,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"/":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"9":{"tf":1.0}}}},"df":0,"docs":{}}}}},"df":10,"docs":{"16":{"tf":1.0},"20":{"tf":1.0},"36":{"tf":1.7320508075688772},"37":{"tf":1.4142135623730951},"38":{"tf":1.4142135623730951},"4":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":1.4142135623730951},"7":{"tf":1.0},"9":{"tf":2.23606797749979}}}}}},"l":{"df":0,"docs":{},"p":{"df":2,"docs":{"0":{"tf":1.0},"27":{"tf":1.7320508075688772}}}},"r":{"df":0,"docs":{},"e":{"df":7,"docs":{"0":{"tf":1.4142135623730951},"1":{"tf":1.0},"17":{"tf":1.0},"25":{"tf":1.0},"3":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":1.0}}}}},"i":{"d":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":1,"docs":{"27":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":1,"docs":{"43":{"tf":1.0}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"h":{"df":1,"docs":{"29":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"g":{"df":0,"docs":{},"h":{"df":2,"docs":{"16":{"tf":1.0},"18":{"tf":1.0}},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.0}}}}}}},"k":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"*":{"df":0,"docs":{},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"df":2,"docs":{"33":{"tf":1.0},"34":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},".":{"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"df":1,"docs":{"32":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":4,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"l":{"d":{"df":2,"docs":{"20":{"tf":1.0},"25":{"tf":1.4142135623730951}}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"z":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"10":{"tf":1.0}}}}}}}}},"t":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{":":{"/":{"/":{"df":0,"docs":{},"w":{"df":0,"docs":{},"w":{"df":0,"docs":{},"w":{".":{"df":0,"docs":{},"w":{"df":0,"docs":{},"o":{"df":0,"docs":{},"o":{"d":{"df":1,"docs":{"8":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{},"s":{":":{"/":{"/":{"df":0,"docs":{},"m":{"df":0,"docs":{},"s":{"df":0,"docs":{},"g":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{".":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"g":{"df":1,"docs":{"30":{"tf":1.0}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"w":{"df":0,"docs":{},"w":{"df":0,"docs":{},"w":{".":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"f":{".":{"d":{"df":0,"docs":{},"e":{"/":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":1,"docs":{"16":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{},"j":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{".":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"g":{"df":1,"docs":{"30":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{".":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"g":{"df":1,"docs":{"0":{"tf":1.0}}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"i":{".":{"df":1,"docs":{"20":{"tf":1.4142135623730951}}},"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"g":{"df":5,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"43":{"tf":3.0},"7":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":5,"docs":{"0":{"tf":1.0},"16":{"tf":1.0},"32":{"tf":1.7320508075688772},"34":{"tf":1.0},"38":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"v":{"df":1,"docs":{"6":{"tf":1.0}}}}}}},"n":{"c":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"d":{"df":4,"docs":{"20":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"6":{"tf":1.0},"7":{"tf":1.0}}},"df":0,"docs":{}}},"o":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"a":{"df":0,"docs":{},"t":{"df":2,"docs":{"36":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{}}}},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"s":{"df":2,"docs":{"20":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"/":{"d":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"r":{"df":1,"docs":{"44":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"=":{"2":{"df":1,"docs":{"32":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}},"x":{"df":1,"docs":{"36":{"tf":1.0}}}},"i":{"c":{"df":2,"docs":{"20":{"tf":1.4142135623730951},"22":{"tf":1.0}}},"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"d":{"df":0,"docs":{},"u":{"df":1,"docs":{"24":{"tf":1.0}}}},"df":0,"docs":{}}}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"c":{"df":2,"docs":{"31":{"tf":1.0},"38":{"tf":1.0}}},"df":0,"docs":{}}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":2,"docs":{"27":{"tf":1.0},"8":{"tf":1.0}}}}}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":2,"docs":{"24":{"tf":1.0},"4":{"tf":1.0}}}}},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":3,"docs":{"32":{"tf":1.0},"33":{"tf":1.4142135623730951},"34":{"tf":1.0}}}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{".":{"df":0,"docs":{},"n":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"33":{"tf":1.4142135623730951}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}}},"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"n":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"n":{"d":{"df":2,"docs":{"32":{"tf":1.0},"34":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}},"df":11,"docs":{"19":{"tf":1.0},"20":{"tf":1.0},"27":{"tf":1.7320508075688772},"29":{"tf":1.4142135623730951},"30":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.4142135623730951},"34":{"tf":1.4142135623730951},"42":{"tf":1.0},"44":{"tf":2.23606797749979}}}}},"s":{"df":0,"docs":{},"i":{"d":{"df":1,"docs":{"27":{"tf":1.0}}},"df":0,"docs":{}},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"29":{"tf":1.0},"30":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"a":{"df":0,"docs":{},"l":{"df":3,"docs":{"27":{"tf":1.4142135623730951},"32":{"tf":1.4142135623730951},"34":{"tf":1.0}}}},"df":0,"docs":{},"e":{"a":{"d":{"df":2,"docs":{"37":{"tf":1.0},"44":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"16":{"tf":1.0}}}}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"g":{"df":2,"docs":{"36":{"tf":2.23606797749979},"37":{"tf":3.1622776601683795}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}}},"f":{"a":{"c":{"df":5,"docs":{"26":{"tf":1.0},"27":{"tf":1.0},"3":{"tf":1.0},"31":{"tf":1.4142135623730951},"42":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"n":{"df":1,"docs":{"18":{"tf":1.0}}},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"31":{"tf":1.0}}}}}},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"l":{"df":1,"docs":{"14":{"tf":1.0}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}}}}}},"r":{"df":0,"docs":{},"o":{"d":{"df":0,"docs":{},"u":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":1,"docs":{"1":{"tf":1.0}}}}}}},"o":{"df":0,"docs":{},"k":{"df":2,"docs":{"26":{"tf":1.0},"4":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}},"df":0,"docs":{}},"s":{"df":0,"docs":{},"u":{"df":1,"docs":{"18":{"tf":1.0}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"df":2,"docs":{"3":{"tf":2.0},"5":{"tf":1.0}}}}}},"j":{"a":{"df":0,"docs":{},"v":{"a":{"df":0,"docs":{},"s":{"c":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":0,"docs":{},"t":{"df":1,"docs":{"29":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":1,"docs":{"37":{"tf":3.3166247903554}},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{".":{"d":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"(":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"32":{"tf":1.0}}}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"a":{"d":{"(":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"32":{"tf":1.0}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}},"p":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}}}}}},"df":6,"docs":{"29":{"tf":1.4142135623730951},"30":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.4142135623730951}},"l":{"a":{"b":{"df":1,"docs":{"33":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"a":{"df":1,"docs":{"34":{"tf":1.7320508075688772}}},"df":1,"docs":{"16":{"tf":1.0}}}},"m":{"df":0,"docs":{},"p":{"df":1,"docs":{"19":{"tf":1.0}}}}}},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"df":4,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":2.0}}},"df":0,"docs":{}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":4,"docs":{"0":{"tf":1.0},"18":{"tf":1.0},"2":{"tf":1.4142135623730951},"6":{"tf":1.0}}}},"y":{"b":{"df":0,"docs":{},"o":{"a":{"df":0,"docs":{},"r":{"d":{"df":1,"docs":{"44":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"g":{"/":{"df":0,"docs":{},"m":{"df":3,"docs":{"16":{"tf":1.0},"36":{"tf":1.4142135623730951},"37":{"tf":1.0}}}},"df":2,"docs":{"36":{"tf":2.0},"37":{"tf":1.4142135623730951}}},"i":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"30":{"tf":1.0}}},"df":1,"docs":{"25":{"tf":1.7320508075688772}},"e":{"df":0,"docs":{},"t":{"df":4,"docs":{"20":{"tf":2.6457513110645907},"24":{"tf":1.7320508075688772},"25":{"tf":1.7320508075688772},"37":{"tf":2.449489742783178}}}}}},"n":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"44":{"tf":1.0}},"n":{"df":1,"docs":{"38":{"tf":1.0}}}}}}},"l":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"g":{"df":1,"docs":{"31":{"tf":1.7320508075688772}}}},"df":0,"docs":{}}}},"r":{"df":0,"docs":{},"g":{"df":3,"docs":{"0":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.4142135623730951}},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"38":{"tf":1.0},"6":{"tf":1.0}}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"20":{"tf":1.0},"8":{"tf":1.0}}},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"n":{"c":{"df":0,"docs":{},"h":{"df":2,"docs":{"19":{"tf":1.0},"31":{"tf":1.0}}}},"df":0,"docs":{}}},"y":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":10,"docs":{"15":{"tf":1.0},"20":{"tf":1.0},"22":{"tf":1.0},"3":{"tf":1.0},"31":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":4.0},"42":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":3.605551275463989}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":2,"docs":{"0":{"tf":1.0},"44":{"tf":1.0}}}}}}},"df":2,"docs":{"38":{"tf":1.4142135623730951},"40":{"tf":1.0}},"e":{"df":0,"docs":{},"f":{"df":0,"docs":{},"t":{"df":3,"docs":{"3":{"tf":1.4142135623730951},"42":{"tf":1.0},"6":{"tf":1.0}}}},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":15,"docs":{"11":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"15":{"tf":1.7320508075688772},"16":{"tf":1.7320508075688772},"19":{"tf":1.0},"20":{"tf":1.4142135623730951},"23":{"tf":1.0},"25":{"tf":1.7320508075688772},"36":{"tf":3.1622776601683795},"37":{"tf":2.449489742783178},"38":{"tf":1.0},"42":{"tf":1.4142135623730951},"7":{"tf":2.0},"9":{"tf":1.7320508075688772}}}}}},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"20":{"tf":1.0}}}}},"i":{"b":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"31":{"tf":1.0},"33":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"o":{"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"45":{"tf":1.0}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}}},"m":{"b":{"'":{"df":2,"docs":{"15":{"tf":1.0},"18":{"tf":1.0}}},"_":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"37":{"tf":1.0}}}}},"df":0,"docs":{}},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.0}}}}}}}}}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":14,"docs":{"15":{"tf":1.0},"17":{"tf":1.4142135623730951},"18":{"tf":1.4142135623730951},"20":{"tf":2.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":2.0},"25":{"tf":2.449489742783178},"36":{"tf":1.7320508075688772},"37":{"tf":4.0},"6":{"tf":1.7320508075688772},"7":{"tf":1.7320508075688772},"9":{"tf":1.4142135623730951}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}}},"n":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"r":{"df":3,"docs":{"16":{"tf":1.7320508075688772},"20":{"tf":2.0},"37":{"tf":1.0}},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"13":{"tf":1.0}}}}}},"df":8,"docs":{"10":{"tf":1.0},"11":{"tf":2.23606797749979},"12":{"tf":1.0},"13":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":2.0},"31":{"tf":1.0},"36":{"tf":1.4142135623730951}}}},"s":{"df":0,"docs":{},"t":{"df":3,"docs":{"36":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}},"t":{"df":0,"docs":{},"t":{"df":0,"docs":{},"l":{"df":2,"docs":{"21":{"tf":1.0},"44":{"tf":1.0}}}}}},"o":{"a":{"d":{"df":7,"docs":{"19":{"tf":1.0},"2":{"tf":1.0},"31":{"tf":1.4142135623730951},"32":{"tf":1.7320508075688772},"33":{"tf":1.4142135623730951},"34":{"tf":2.449489742783178},"43":{"tf":1.0}},"j":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"(":{"'":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"33":{"tf":1.0}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"m":{"df":0,"docs":{},"s":{"df":0,"docs":{},"g":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{"(":{"'":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"df":0,"docs":{},"r":{"df":1,"docs":{"33":{"tf":1.0}}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}},"c":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"44":{"tf":1.0}}},"t":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":1,"docs":{"38":{"tf":1.0}},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.0}}}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":2,"docs":{"18":{"tf":1.0},"37":{"tf":2.0}}}}},"df":0,"docs":{}}}}}},"s":{"df":0,"docs":{},"e":{"df":2,"docs":{"18":{"tf":1.0},"6":{"tf":1.0}}}},"w":{"df":1,"docs":{"6":{"tf":1.0}}}}},"m":{"/":{"df":1,"docs":{"37":{"tf":1.7320508075688772}}},"a":{"c":{"df":0,"docs":{},"o":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":2,"docs":{"3":{"tf":1.0},"31":{"tf":1.0}}}},"k":{"df":0,"docs":{},"e":{"df":5,"docs":{"10":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"44":{"tf":1.4142135623730951},"6":{"tf":1.0}},"u":{"df":0,"docs":{},"p":{"df":1,"docs":{"9":{"tf":1.0}}}}}},"n":{"df":0,"docs":{},"i":{"df":1,"docs":{"0":{"tf":1.4142135623730951}}},"u":{"a":{"df":0,"docs":{},"l":{"df":4,"docs":{"0":{"tf":1.7320508075688772},"41":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"f":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":2,"docs":{"16":{"tf":1.0},"8":{"tf":1.0}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"s":{"df":6,"docs":{"16":{"tf":1.4142135623730951},"17":{"tf":3.1622776601683795},"20":{"tf":2.449489742783178},"36":{"tf":2.23606797749979},"37":{"tf":2.0},"8":{"tf":1.0}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":7,"docs":{"16":{"tf":2.449489742783178},"18":{"tf":1.0},"3":{"tf":1.0},"36":{"tf":2.23606797749979},"38":{"tf":1.7320508075688772},"8":{"tf":3.4641016151377544},"9":{"tf":2.23606797749979}}}}},"l":{"a":{"b":{"df":1,"docs":{"33":{"tf":1.4142135623730951}}},"df":0,"docs":{}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}},"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":2.23606797749979}}}}}},"x":{"_":{"d":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"w":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.0}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"g":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}},"v":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":5,"docs":{"19":{"tf":1.0},"20":{"tf":2.0},"31":{"tf":1.0},"37":{"tf":2.8284271247461903},"6":{"tf":1.0}}}}}}}},"df":3,"docs":{"36":{"tf":3.872983346207417},"37":{"tf":3.872983346207417},"38":{"tf":1.4142135623730951}},"e":{"a":{"df":0,"docs":{},"n":{"df":1,"docs":{"44":{"tf":1.0}},"t":{"df":1,"docs":{"6":{"tf":1.0}}}},"s":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":3,"docs":{"14":{"tf":1.0},"38":{"tf":1.7320508075688772},"8":{"tf":1.0}}}}}},"c":{"df":0,"docs":{},"h":{"a":{"df":0,"docs":{},"n":{"df":1,"docs":{"8":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"u":{"df":8,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.0},"4":{"tf":1.0},"43":{"tf":1.7320508075688772},"45":{"tf":1.4142135623730951},"9":{"tf":1.0}}}},"s":{"df":0,"docs":{},"s":{"a":{"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{"df":3,"docs":{"30":{"tf":1.4142135623730951},"31":{"tf":1.0},"33":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"i":{"d":{"d":{"df":0,"docs":{},"l":{"df":3,"docs":{"3":{"tf":1.0},"40":{"tf":1.0},"7":{"tf":2.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"n":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}},"v":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}}},"d":{"df":2,"docs":{"0":{"tf":1.0},"2":{"tf":1.0}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":2,"docs":{"20":{"tf":1.0},"37":{"tf":1.7320508075688772}}}}}}}},"o":{"d":{"df":0,"docs":{},"e":{"df":2,"docs":{"4":{"tf":1.4142135623730951},"6":{"tf":1.0}},"l":{"df":22,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":1.7320508075688772},"10":{"tf":1.4142135623730951},"18":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.4142135623730951},"26":{"tf":1.0},"27":{"tf":1.7320508075688772},"29":{"tf":1.7320508075688772},"3":{"tf":3.0},"30":{"tf":1.0},"31":{"tf":2.0},"32":{"tf":2.0},"33":{"tf":1.7320508075688772},"34":{"tf":2.23606797749979},"36":{"tf":1.0},"4":{"tf":1.4142135623730951},"42":{"tf":1.0},"43":{"tf":1.4142135623730951},"5":{"tf":1.0},"8":{"tf":1.4142135623730951},"9":{"tf":1.7320508075688772}}}},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":5,"docs":{"29":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0}}}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":5,"docs":{"36":{"tf":1.0},"38":{"tf":1.4142135623730951},"39":{"tf":1.0},"40":{"tf":1.0},"8":{"tf":1.0}}}}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":2,"docs":{"15":{"tf":1.0},"9":{"tf":1.0}}}}}}},"r":{"df":0,"docs":{},"e":{"df":12,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"16":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":1.4142135623730951},"29":{"tf":1.0},"3":{"tf":1.0},"30":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0},"6":{"tf":1.4142135623730951},"8":{"tf":1.4142135623730951}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"18":{"tf":1.0}}}}}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"4":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"s":{"df":2,"docs":{"3":{"tf":1.4142135623730951},"44":{"tf":1.0}}}},"v":{"df":0,"docs":{},"e":{"df":1,"docs":{"44":{"tf":1.0}}}}},"s":{"df":0,"docs":{},"g":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{".":{"df":0,"docs":{},"u":{"df":0,"docs":{},"n":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{"(":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"32":{"tf":1.0}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":2,"docs":{"32":{"tf":1.7320508075688772},"34":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"u":{"c":{"df":0,"docs":{},"h":{"df":6,"docs":{"18":{"tf":1.0},"2":{"tf":1.0},"20":{"tf":1.4142135623730951},"24":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":2,"docs":{"37":{"tf":1.0},"9":{"tf":1.0}},"i":{"df":1,"docs":{"6":{"tf":1.0}}}}}}}}}},"n":{"/":{"1":{"0":{"0":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":2.0}}}},"_":{"d":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"w":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":1,"docs":{"36":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"_":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":1,"docs":{"36":{"tf":1.0}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"36":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":1,"docs":{"36":{"tf":1.0}}}}},"df":0,"docs":{}}}}}}}},"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":5,"docs":{"27":{"tf":1.0},"3":{"tf":1.0},"36":{"tf":2.0},"8":{"tf":1.0},"9":{"tf":1.0}}}},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":1,"docs":{"8":{"tf":1.0}}}}}},"df":3,"docs":{"16":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":2.6457513110645907}},"e":{"df":0,"docs":{},"e":{"d":{"df":2,"docs":{"17":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{}},"g":{"df":4,"docs":{"12":{"tf":1.0},"13":{"tf":1.0},"20":{"tf":1.0},"22":{"tf":1.0}}},"w":{"df":5,"docs":{"2":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}},"x":{"df":0,"docs":{},"t":{"df":3,"docs":{"19":{"tf":1.4142135623730951},"4":{"tf":1.0},"6":{"tf":1.0}}}}},"m":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}},"o":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"17":{"tf":1.4142135623730951}}}},"d":{"df":0,"docs":{},"e":{"df":2,"docs":{"37":{"tf":4.69041575982343},"43":{"tf":1.0}}}},"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":1,"docs":{"29":{"tf":1.0}}}},"df":0,"docs":{},"e":{"df":15,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"16":{"tf":1.0},"18":{"tf":1.7320508075688772},"19":{"tf":1.0},"2":{"tf":1.0},"27":{"tf":1.4142135623730951},"3":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"41":{"tf":1.0},"42":{"tf":1.0},"5":{"tf":1.0}}}},"w":{"df":1,"docs":{"18":{"tf":1.0}}}},"p":{".":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"y":{"(":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"p":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"y":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"0":{"]":{"[":{"\"":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"32":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"k":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"32":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"32":{"tf":1.0}}}}}}}}},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"df":1,"docs":{"32":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":1,"docs":{"32":{"tf":1.0}}},"u":{"df":0,"docs":{},"m":{"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":7,"docs":{"16":{"tf":2.0},"29":{"tf":1.0},"36":{"tf":2.23606797749979},"37":{"tf":2.449489742783178},"44":{"tf":2.8284271247461903},"6":{"tf":2.449489742783178},"8":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.0}}}},"p":{"df":0,"docs":{},"i":{"df":1,"docs":{"32":{"tf":1.7320508075688772}}}}}}},"o":{"b":{"df":0,"docs":{},"j":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"29":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"v":{"df":1,"docs":{"44":{"tf":1.0}}}}}},"t":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":1,"docs":{"16":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"10":{"tf":1.0}}}}}}},"l":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"2":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}},"n":{"c":{"df":1,"docs":{"18":{"tf":1.0}}},"df":7,"docs":{"17":{"tf":1.0},"22":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"4":{"tf":1.4142135623730951},"42":{"tf":1.4142135623730951},"6":{"tf":1.0}}},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"(":{"\"":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":2,"docs":{"32":{"tf":1.4142135623730951},"34":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"df":0,"docs":{},"r":{"df":2,"docs":{"32":{"tf":1.0},"34":{"tf":1.0}}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}},"df":7,"docs":{"0":{"tf":1.0},"1":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.7320508075688772},"27":{"tf":1.0},"30":{"tf":1.0},"4":{"tf":1.0}}},"r":{"df":1,"docs":{"44":{"tf":1.0}}}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":2,"docs":{"31":{"tf":1.0},"6":{"tf":1.0}}},"o":{"df":0,"docs":{},"n":{"df":11,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"17":{"tf":1.4142135623730951},"19":{"tf":1.0},"24":{"tf":1.0},"27":{"tf":2.23606797749979},"3":{"tf":1.4142135623730951},"42":{"tf":1.0},"43":{"tf":1.4142135623730951},"7":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}}}},"r":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"25":{"tf":1.0},"6":{"tf":1.4142135623730951}}}}},"df":0,"docs":{},"g":{"a":{"df":0,"docs":{},"n":{"df":2,"docs":{"19":{"tf":1.0},"3":{"tf":1.0}}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"43":{"tf":1.0}}}}}}},"s":{"c":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"18":{"tf":2.0}}}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"20":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"df":0,"docs":{},"r":{"df":3,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"p":{".":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{".":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"y":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"df":0,"docs":{},"{":{"1":{"df":0,"docs":{},"}":{".":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"33":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"k":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"33":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}}},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"s":{".":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{".":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"(":{":":{",":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"33":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"(":{":":{",":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"33":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"\"":{"]":{"[":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"34":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"\"":{"]":{"[":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"34":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":9,"docs":{"20":{"tf":1.0},"27":{"tf":1.4142135623730951},"30":{"tf":1.7320508075688772},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":1.0}}}}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"7":{"tf":1.0}}}},"c":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"6":{"tf":1.0}}}}},"df":4,"docs":{"18":{"tf":1.4142135623730951},"25":{"tf":1.4142135623730951},"6":{"tf":1.0},"9":{"tf":1.0}},"l":{"a":{"df":0,"docs":{},"y":{"df":4,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"17":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}},"s":{"df":0,"docs":{},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}}}}},"w":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"2":{"tf":1.0}}}}}}}}}},"p":{"a":{"c":{"df":0,"docs":{},"k":{"a":{"df":0,"docs":{},"g":{"df":2,"docs":{"32":{"tf":1.0},"34":{"tf":1.0}}}},"df":0,"docs":{}}},"d":{"df":1,"docs":{"44":{"tf":1.0}}},"df":2,"docs":{"36":{"tf":1.0},"37":{"tf":2.0}},"n":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":4,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"3":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}},"r":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":4,"docs":{"10":{"tf":1.0},"2":{"tf":1.0},"31":{"tf":1.0},"36":{"tf":2.0}}}},"t":{"df":1,"docs":{"5":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}},"t":{"df":2,"docs":{"0":{"tf":1.0},"26":{"tf":1.0}},"i":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"20":{"tf":1.0}}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"s":{"df":3,"docs":{"15":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}},"t":{"df":1,"docs":{"45":{"tf":1.4142135623730951}}}},"t":{"df":0,"docs":{},"h":{":":{"/":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"c":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"/":{"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{".":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"/":{"c":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"s":{"/":{"df":0,"docs":{},"m":{"a":{"c":{"df":0,"docs":{},"o":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"27":{"tf":2.23606797749979}}}}},"d":{"df":0,"docs":{},"f":{"df":1,"docs":{"43":{"tf":1.0}}}},"df":2,"docs":{"27":{"tf":1.0},"37":{"tf":1.4142135623730951}},"e":{"df":0,"docs":{},"r":{"df":3,"docs":{"16":{"tf":1.4142135623730951},"25":{"tf":1.4142135623730951},"8":{"tf":1.0}},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":7,"docs":{"0":{"tf":1.4142135623730951},"1":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.4142135623730951},"38":{"tf":1.0},"6":{"tf":1.0}}}}}},"i":{"df":0,"docs":{},"o":{"d":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{}}},"m":{"a":{"df":0,"docs":{},"n":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}},"s":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"0":{"tf":1.0},"3":{"tf":1.0}}}},"df":0,"docs":{}}}}}},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"g":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"h":{"df":1,"docs":{"43":{"tf":1.0}}}}},"df":0,"docs":{}}}}}},"y":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"c":{"df":4,"docs":{"1":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.0},"3":{"tf":1.7320508075688772}}},"df":0,"docs":{}}}}},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"32":{"tf":1.0}}}},"k":{"df":0,"docs":{},"g":{".":{"a":{"d":{"d":{"(":{"\"":{"df":0,"docs":{},"j":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"34":{"tf":1.0}}}}}},"m":{"df":0,"docs":{},"s":{"df":0,"docs":{},"g":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"34":{"tf":1.0}}}},"l":{"a":{"c":{"df":0,"docs":{},"e":{"df":2,"docs":{"38":{"tf":1.0},"40":{"tf":1.0}}}},"df":0,"docs":{},"y":{"df":1,"docs":{"19":{"tf":1.0}}}},"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"s":{"df":1,"docs":{"0":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"t":{"'":{"df":1,"docs":{"43":{"tf":1.0}}},"df":7,"docs":{"10":{"tf":1.4142135623730951},"15":{"tf":1.0},"24":{"tf":1.0},"25":{"tf":2.0},"43":{"tf":2.23606797749979},"44":{"tf":1.0},"9":{"tf":1.0}}}},"u":{"df":1,"docs":{"16":{"tf":1.0}}}},"n":{"df":0,"docs":{},"g":{"df":1,"docs":{"43":{"tf":1.0}}}},"o":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":11,"docs":{"10":{"tf":1.0},"14":{"tf":1.4142135623730951},"15":{"tf":1.0},"17":{"tf":1.4142135623730951},"19":{"tf":1.0},"36":{"tf":1.4142135623730951},"38":{"tf":1.4142135623730951},"40":{"tf":1.0},"7":{"tf":2.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"9":{"tf":1.0}}}}}}},"s":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":9,"docs":{"12":{"tf":1.0},"13":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"25":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"43":{"tf":1.0}}}},"s":{"df":0,"docs":{},"i":{"b":{"df":0,"docs":{},"l":{"df":2,"docs":{"2":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"df":1,"docs":{"27":{"tf":1.0}}}},"t":{"df":1,"docs":{"25":{"tf":2.0}},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"a":{"df":0,"docs":{},"l":{"/":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"24":{"tf":1.0}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":4,"docs":{"20":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":2.0},"37":{"tf":2.0}}}}}}}},"r":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"18":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"e":{"d":{"df":1,"docs":{"4":{"tf":1.0}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"s":{"df":1,"docs":{"38":{"tf":1.0}}}}},"df":1,"docs":{"42":{"tf":1.0}},"f":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"42":{"tf":1.0}}}}},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"44":{"tf":1.0}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"16":{"tf":1.0}}}}},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":1,"docs":{"14":{"tf":1.0}},"s":{"df":1,"docs":{"9":{"tf":1.0}}}}}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"m":{"a":{".":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"x":{"df":1,"docs":{"32":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":1,"docs":{"27":{"tf":1.0}},"l":{"df":0,"docs":{},"n":{"(":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"x":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"m":{"a":{"df":1,"docs":{"34":{"tf":1.0}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}},"o":{"b":{"a":{"b":{"df":0,"docs":{},"l":{"df":1,"docs":{"18":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"d":{"df":0,"docs":{},"u":{"c":{"df":2,"docs":{"0":{"tf":1.0},"6":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":4,"docs":{"10":{"tf":2.8284271247461903},"3":{"tf":1.0},"36":{"tf":1.0},"43":{"tf":1.0}}}}},"g":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"m":{"df":2,"docs":{"31":{"tf":1.7320508075688772},"6":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}}}}},"j":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"'":{"df":1,"docs":{"0":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"n":{"df":0,"docs":{},"e":{"df":1,"docs":{"42":{"tf":1.0}}}},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":13,"docs":{"1":{"tf":1.0},"10":{"tf":1.0},"11":{"tf":1.4142135623730951},"12":{"tf":1.0},"13":{"tf":1.0},"14":{"tf":1.0},"15":{"tf":1.0},"16":{"tf":2.0},"17":{"tf":1.0},"18":{"tf":1.0},"3":{"tf":2.6457513110645907},"8":{"tf":2.23606797749979},"9":{"tf":1.0}}}}}}},"v":{"df":0,"docs":{},"i":{"d":{"df":2,"docs":{"16":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{}}}}},"u":{"b":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"h":{"df":1,"docs":{"16":{"tf":1.0}}}}}}},"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":1.0}}}},"y":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"32":{"tf":1.4142135623730951}}}}}}}},"q":{"df":1,"docs":{"37":{"tf":1.4142135623730951}},"u":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"k":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":2,"docs":{"18":{"tf":1.0},"44":{"tf":1.0}}}}}},"df":0,"docs":{},"t":{"df":1,"docs":{"8":{"tf":1.0}}}}}},"r":{"_":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"36":{"tf":1.0}}},"df":0,"docs":{}}},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":1,"docs":{"36":{"tf":1.0}}}}},"df":0,"docs":{}}}},"a":{"d":{"df":1,"docs":{"37":{"tf":1.4142135623730951}},"i":{"df":0,"docs":{},"u":{"df":3,"docs":{"12":{"tf":1.4142135623730951},"13":{"tf":2.0},"36":{"tf":2.0}}}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":3,"docs":{"18":{"tf":1.0},"38":{"tf":1.0},"44":{"tf":1.0}}}},"t":{"df":0,"docs":{},"e":{"df":2,"docs":{"36":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"i":{"df":0,"docs":{},"o":{"df":2,"docs":{"18":{"tf":3.1622776601683795},"36":{"tf":1.4142135623730951}}}}},"w":{"=":{"df":0,"docs":{},"f":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"s":{"df":1,"docs":{"32":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"b":{"df":1,"docs":{"32":{"tf":1.0}}},"df":3,"docs":{"32":{"tf":1.0},"34":{"tf":1.4142135623730951},"37":{"tf":1.0}},"e":{"a":{"c":{"df":0,"docs":{},"h":{"df":2,"docs":{"18":{"tf":1.0},"19":{"tf":1.0}}}},"d":{"df":4,"docs":{"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"6":{"tf":1.0}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}}},"l":{"df":1,"docs":{"41":{"tf":1.0}}}},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":0,"docs":{},"v":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}}}},"d":{"df":1,"docs":{"21":{"tf":1.0}},"u":{"c":{"df":2,"docs":{"18":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"df":0,"docs":{}}},"df":6,"docs":{"0":{"tf":1.4142135623730951},"19":{"tf":1.0},"27":{"tf":1.4142135623730951},"30":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0}},"f":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"3":{"tf":1.0}}}},"df":0,"docs":{}}}},"g":{"a":{"df":0,"docs":{},"r":{"d":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"44":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"8":{"tf":1.0}}},"df":0,"docs":{}}}}}},"l":{"a":{"df":0,"docs":{},"t":{"df":2,"docs":{"20":{"tf":1.0},"37":{"tf":1.0}}}},"df":4,"docs":{"14":{"tf":1.0},"15":{"tf":1.4142135623730951},"36":{"tf":1.4142135623730951},"9":{"tf":1.4142135623730951}},"e":{"a":{"df":0,"docs":{},"s":{"df":4,"docs":{"25":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0}}}},"df":0,"docs":{}},"i":{"a":{"b":{"df":0,"docs":{},"l":{"df":1,"docs":{"6":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"m":{"df":0,"docs":{},"o":{"df":0,"docs":{},"v":{"df":4,"docs":{"10":{"tf":1.0},"3":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}},"n":{"a":{"df":0,"docs":{},"m":{"df":3,"docs":{"3":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"r":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":3,"docs":{"10":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}},"df":0,"docs":{}}},"p":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"d":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"6":{"tf":1.0}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":2,"docs":{"30":{"tf":1.0},"37":{"tf":1.0}}}}}},"q":{"df":0,"docs":{},"u":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":8,"docs":{"0":{"tf":1.0},"16":{"tf":1.0},"17":{"tf":1.0},"20":{"tf":1.0},"25":{"tf":1.4142135623730951},"26":{"tf":1.0},"4":{"tf":1.0},"6":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"h":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}}}},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"df":1,"docs":{"7":{"tf":1.0}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":20,"docs":{"0":{"tf":2.449489742783178},"10":{"tf":1.0},"16":{"tf":1.4142135623730951},"19":{"tf":3.1622776601683795},"20":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":1.0},"27":{"tf":2.0},"30":{"tf":1.7320508075688772},"31":{"tf":2.0},"32":{"tf":1.7320508075688772},"33":{"tf":1.0},"34":{"tf":1.7320508075688772},"37":{"tf":2.0},"38":{"tf":1.4142135623730951},"4":{"tf":2.0},"42":{"tf":1.0},"43":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":2.23606797749979}}}}}}},"h":{"df":0,"docs":{},"o":{"a":{"df":1,"docs":{"37":{"tf":1.0}}},"df":2,"docs":{"36":{"tf":1.0},"8":{"tf":1.0}}}},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":3,"docs":{"18":{"tf":1.0},"19":{"tf":1.0},"44":{"tf":1.0}}}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":1,"docs":{"40":{"tf":1.0}}}},"t":{"a":{"df":0,"docs":{},"t":{"df":2,"docs":{"3":{"tf":1.0},"37":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"w":{"df":2,"docs":{"15":{"tf":1.0},"9":{"tf":1.0}}}},"u":{"df":0,"docs":{},"n":{"(":{"`":{"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"34":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":8,"docs":{"0":{"tf":1.0},"27":{"tf":1.4142135623730951},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"4":{"tf":1.0},"6":{"tf":1.0}},"n":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":1,"docs":{"32":{"tf":1.0}}}}}}}},"s":{"a":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"df":1,"docs":{"6":{"tf":1.0}}}},"m":{"df":0,"docs":{},"e":{"df":4,"docs":{"15":{"tf":1.0},"31":{"tf":1.0},"37":{"tf":1.0},"44":{"tf":1.0}}},"p":{"df":0,"docs":{},"l":{"df":5,"docs":{"36":{"tf":1.0},"38":{"tf":2.0},"39":{"tf":1.0},"40":{"tf":1.0},"6":{"tf":1.4142135623730951}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"r":{"df":1,"docs":{"36":{"tf":1.0}}}},"df":0,"docs":{}}}}}}},"v":{"df":0,"docs":{},"e":{"df":9,"docs":{"0":{"tf":1.4142135623730951},"2":{"tf":1.7320508075688772},"27":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.4142135623730951},"33":{"tf":1.0},"34":{"tf":1.4142135623730951},"4":{"tf":1.0},"43":{"tf":1.0}},"j":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"33":{"tf":1.0}}}}}}}}},"c":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":2,"docs":{"16":{"tf":1.0},"38":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":1,"docs":{"31":{"tf":1.0}}}}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"df":0,"docs":{},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":8,"docs":{"1":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":1.0}}}}}}}}},"i":{"df":0,"docs":{},"p":{"df":0,"docs":{},"t":{"df":4,"docs":{"31":{"tf":1.4142135623730951},"36":{"tf":1.0},"37":{"tf":1.0},"6":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":1,"docs":{"44":{"tf":1.4142135623730951}}}}}}},"df":5,"docs":{"27":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0}},"e":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":7,"docs":{"19":{"tf":1.0},"31":{"tf":1.0},"37":{"tf":2.23606797749979},"38":{"tf":1.0},"41":{"tf":1.0},"6":{"tf":1.0},"7":{"tf":2.0}}}}}}},"df":0,"docs":{},"e":{"df":5,"docs":{"1":{"tf":1.0},"18":{"tf":1.0},"37":{"tf":1.4142135623730951},"7":{"tf":1.0},"8":{"tf":1.0}},"m":{"df":1,"docs":{"44":{"tf":1.0}}},"n":{"df":1,"docs":{"24":{"tf":1.0}}}},"g":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"/":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"14":{"tf":1.0}}}}},"df":6,"docs":{"10":{"tf":1.7320508075688772},"11":{"tf":1.7320508075688772},"12":{"tf":1.7320508075688772},"13":{"tf":2.0},"14":{"tf":2.0},"36":{"tf":2.0}}}}}}},"l":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":8,"docs":{"10":{"tf":1.0},"24":{"tf":1.0},"3":{"tf":1.7320508075688772},"42":{"tf":1.4142135623730951},"43":{"tf":1.0},"44":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"f":{"df":1,"docs":{"9":{"tf":1.0}}}},"n":{"df":0,"docs":{},"s":{"df":1,"docs":{"6":{"tf":1.0}}}},"p":{"a":{"df":0,"docs":{},"r":{"df":2,"docs":{"44":{"tf":1.4142135623730951},"6":{"tf":1.0}}}},"df":0,"docs":{}},"q":{"df":0,"docs":{},"u":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"c":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}},"df":0,"docs":{}}}}},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"25":{"tf":2.0},"31":{"tf":1.0}}},"v":{"df":1,"docs":{"17":{"tf":1.4142135623730951}}}},"t":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":2,"docs":{"36":{"tf":1.0},"7":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":6,"docs":{"16":{"tf":1.0},"17":{"tf":1.4142135623730951},"27":{"tf":1.0},"36":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":3.3166247903554}},"u":{"df":0,"docs":{},"p":{"df":4,"docs":{"37":{"tf":1.0},"38":{"tf":1.7320508075688772},"39":{"tf":1.4142135623730951},"40":{"tf":1.4142135623730951}}}}}},"h":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":4,"docs":{"10":{"tf":1.4142135623730951},"20":{"tf":1.4142135623730951},"21":{"tf":1.7320508075688772},"23":{"tf":1.0}}}},"r":{"df":0,"docs":{},"e":{"df":1,"docs":{"2":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"t":{"df":1,"docs":{"3":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"45":{"tf":1.0}}}}},"df":0,"docs":{}}},"t":{"df":2,"docs":{"21":{"tf":1.0},"25":{"tf":1.0}}},"u":{"df":0,"docs":{},"l":{"d":{"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":1,"docs":{"38":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"w":{"df":11,"docs":{"16":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.7320508075688772},"3":{"tf":1.7320508075688772},"31":{"tf":1.0},"43":{"tf":1.0},"9":{"tf":1.0}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"/":{"df":0,"docs":{},"h":{"df":0,"docs":{},"i":{"d":{"df":3,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"9":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"n":{"df":9,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"24":{"tf":1.0},"25":{"tf":1.0},"27":{"tf":1.0},"3":{"tf":1.0},"38":{"tf":1.4142135623730951},"42":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}}},"i":{"d":{"df":0,"docs":{},"e":{"df":3,"docs":{"22":{"tf":1.0},"37":{"tf":1.0},"6":{"tf":1.0}}}},"df":1,"docs":{"42":{"tf":1.4142135623730951}},"g":{"df":0,"docs":{},"m":{"a":{"_":{"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":0,"docs":{},"{":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"37":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":3,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0}}},"df":0,"docs":{}},"n":{"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"c":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"38":{"tf":1.0}}}}}}},"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}}}}}},"m":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"r":{"df":2,"docs":{"13":{"tf":1.0},"30":{"tf":1.0}}}},"df":0,"docs":{}}},"p":{"df":0,"docs":{},"l":{"df":1,"docs":{"44":{"tf":1.0}},"i":{"df":1,"docs":{"11":{"tf":1.0}}}}},"u":{"a":{"df":0,"docs":{},"t":{"df":1,"docs":{"4":{"tf":1.0}}}},"df":0,"docs":{},"l":{"df":16,"docs":{"0":{"tf":2.23606797749979},"1":{"tf":1.0},"19":{"tf":1.7320508075688772},"24":{"tf":1.0},"25":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":2.23606797749979},"31":{"tf":1.7320508075688772},"32":{"tf":1.4142135623730951},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":3.3166247903554},"4":{"tf":2.8284271247461903},"43":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":3.4641016151377544}}}}},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"l":{"df":3,"docs":{"16":{"tf":1.4142135623730951},"20":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}},"z":{"df":0,"docs":{},"e":{"df":1,"docs":{"6":{"tf":1.0}}}}},"k":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"6":{"tf":1.0}}}}},"l":{"df":0,"docs":{},"i":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"19":{"tf":1.4142135623730951},"21":{"tf":1.0}}}}},"df":0,"docs":{}},"v":{"df":4,"docs":{"27":{"tf":1.4142135623730951},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0}}}},"m":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":2,"docs":{"16":{"tf":1.0},"6":{"tf":1.7320508075688772}}}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":3,"docs":{"13":{"tf":1.0},"15":{"tf":1.0},"9":{"tf":1.0}}}}}}},"o":{"df":0,"docs":{},"f":{"df":0,"docs":{},"t":{"df":0,"docs":{},"w":{"a":{"df":0,"docs":{},"r":{"df":2,"docs":{"0":{"tf":1.4142135623730951},"45":{"tf":1.0}}}},"df":0,"docs":{}}}},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":7,"docs":{"0":{"tf":1.7320508075688772},"26":{"tf":1.4142135623730951},"27":{"tf":1.4142135623730951},"29":{"tf":1.0},"30":{"tf":1.0},"31":{"tf":1.7320508075688772},"4":{"tf":1.0}}}}}},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":1,"docs":{"6":{"tf":1.0}}}}}}}},"p":{"a":{"c":{"df":0,"docs":{},"e":{"df":2,"docs":{"30":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{},"n":{"df":2,"docs":{"36":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"i":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"19":{"tf":1.0}}}},"df":0,"docs":{},"f":{"df":7,"docs":{"19":{"tf":1.0},"20":{"tf":1.0},"29":{"tf":1.0},"30":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"6":{"tf":1.4142135623730951}},"i":{"df":2,"docs":{"1":{"tf":1.0},"27":{"tf":1.0}}}}}},"df":0,"docs":{},"e":{"d":{"df":2,"docs":{"4":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"df":0,"docs":{}}},"i":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"l":{"df":2,"docs":{"13":{"tf":2.0},"36":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"e":{"df":4,"docs":{"14":{"tf":2.0},"15":{"tf":1.0},"36":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"e":{"a":{"d":{"df":0,"docs":{},"s":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"45":{"tf":1.0}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"t":{"a":{"b":{"df":0,"docs":{},"l":{"df":1,"docs":{"6":{"tf":1.0}}}},"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"24":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":2,"docs":{"21":{"tf":1.0},"4":{"tf":1.0}}}},"n":{"d":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":2,"docs":{"19":{"tf":1.0},"31":{"tf":1.0}}}}},"r":{"d":{"df":1,"docs":{"45":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"t":{"df":11,"docs":{"0":{"tf":1.0},"1":{"tf":1.0},"10":{"tf":1.0},"13":{"tf":1.4142135623730951},"14":{"tf":1.0},"26":{"tf":1.0},"31":{"tf":1.0},"36":{"tf":1.0},"38":{"tf":1.0},"4":{"tf":1.0},"8":{"tf":1.0}}}},"t":{"df":0,"docs":{},"e":{"df":7,"docs":{"10":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"21":{"tf":1.4142135623730951},"37":{"tf":3.872983346207417},"4":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"i":{"c":{"df":14,"docs":{"16":{"tf":1.0},"19":{"tf":1.4142135623730951},"20":{"tf":1.7320508075688772},"21":{"tf":1.0},"24":{"tf":1.7320508075688772},"25":{"tf":1.0},"27":{"tf":1.7320508075688772},"31":{"tf":1.0},"32":{"tf":1.4142135623730951},"33":{"tf":1.4142135623730951},"34":{"tf":1.4142135623730951},"37":{"tf":1.0},"4":{"tf":2.23606797749979},"6":{"tf":2.23606797749979}}},"df":0,"docs":{}}},"y":{"df":2,"docs":{"24":{"tf":1.0},"38":{"tf":1.0}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{":":{"[":{"\\":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"a":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":0,"docs":{}},"p":{"df":3,"docs":{"36":{"tf":1.4142135623730951},"37":{"tf":1.0},"6":{"tf":2.0}}}},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":5,"docs":{"16":{"tf":2.6457513110645907},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"7":{"tf":1.4142135623730951},"8":{"tf":1.0}}}},"l":{"df":0,"docs":{},"l":{"df":3,"docs":{"0":{"tf":1.4142135623730951},"38":{"tf":1.0},"6":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"g":{"df":2,"docs":{"20":{"tf":1.7320508075688772},"37":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"e":{"df":8,"docs":{"0":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.0},"20":{"tf":2.449489742783178},"24":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.0}}}}},"r":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":2,"docs":{"11":{"tf":1.0},"12":{"tf":1.0}}}}},"n":{"df":2,"docs":{"16":{"tf":1.0},"37":{"tf":1.7320508075688772}}}},"n":{"d":{"_":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":1,"docs":{"36":{"tf":1.0}}}}}}}},"df":4,"docs":{"16":{"tf":2.6457513110645907},"25":{"tf":2.0},"36":{"tf":1.0},"37":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.7320508075688772}}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"16":{"tf":1.4142135623730951}}}}}},"s":{"df":0,"docs":{},"s":{"df":8,"docs":{"19":{"tf":1.0},"20":{"tf":1.4142135623730951},"22":{"tf":1.7320508075688772},"31":{"tf":1.0},"32":{"tf":1.7320508075688772},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":4.123105625617661}}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"'":{"df":1,"docs":{"18":{"tf":1.0}}},"_":{"c":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"37":{"tf":1.0}}}}}}}},"m":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"37":{"tf":1.0}}}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":13,"docs":{"16":{"tf":2.8284271247461903},"17":{"tf":2.0},"18":{"tf":1.4142135623730951},"20":{"tf":2.8284271247461903},"21":{"tf":1.0},"24":{"tf":1.7320508075688772},"25":{"tf":3.7416573867739413},"29":{"tf":1.0},"36":{"tf":4.0},"37":{"tf":3.872983346207417},"4":{"tf":1.0},"6":{"tf":2.0},"7":{"tf":1.4142135623730951}}}}}}},"u":{"b":{"df":0,"docs":{},"j":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":3,"docs":{"36":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0}}}},"df":0,"docs":{}}},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"c":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{".":{"c":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"(":{"[":{"\"":{"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"32":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"32":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"c":{"df":0,"docs":{},"h":{"df":3,"docs":{"38":{"tf":1.0},"44":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"g":{"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"38":{"tf":1.0}}}}}}},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"13":{"tf":1.0}}}},"m":{"df":1,"docs":{"37":{"tf":1.0}}},"p":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":2,"docs":{"15":{"tf":1.0},"9":{"tf":1.0}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":7,"docs":{"0":{"tf":1.0},"20":{"tf":1.0},"31":{"tf":1.4142135623730951},"38":{"tf":1.0},"40":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0}}}}}}},"s":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"38":{"tf":1.0}}},"df":0,"docs":{}}}}}},"w":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"c":{"df":0,"docs":{},"h":{"df":1,"docs":{"19":{"tf":1.0}}}},"df":0,"docs":{}}}},"y":{"df":0,"docs":{},"m":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"l":{"df":1,"docs":{"21":{"tf":1.0}}}}},"df":0,"docs":{}},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"8":{"tf":1.0}}}}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"(":{"'":{"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"33":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}},"t":{"a":{"b":{"df":7,"docs":{"19":{"tf":1.7320508075688772},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":1.0}},"l":{"df":9,"docs":{"14":{"tf":1.0},"15":{"tf":1.4142135623730951},"16":{"tf":1.4142135623730951},"18":{"tf":1.0},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"43":{"tf":1.0},"45":{"tf":1.7320508075688772},"9":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"k":{"df":0,"docs":{},"e":{"df":2,"docs":{"0":{"tf":1.0},"27":{"tf":1.0}},"n":{"df":1,"docs":{"0":{"tf":1.0}}}}},"s":{"df":0,"docs":{},"k":{"df":1,"docs":{"31":{"tf":1.0}}}}},"df":1,"docs":{"6":{"tf":1.4142135623730951}},"e":{"c":{"df":0,"docs":{},"h":{"df":0,"docs":{},"n":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"18":{"tf":1.0}}},"df":0,"docs":{}}}}},"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":1,"docs":{"42":{"tf":1.0}}}}}},"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"43":{"tf":1.0}},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"27":{"tf":1.0}}}}}}},"df":0,"docs":{}}}}},"n":{"d":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"16":{"tf":1.0}}},"o":{"df":0,"docs":{},"n":{"df":3,"docs":{"20":{"tf":1.0},"22":{"tf":1.0},"25":{"tf":2.0}}}}}}},"r":{"df":0,"docs":{},"m":{"df":2,"docs":{"18":{"tf":1.0},"20":{"tf":1.0}}}},"s":{"df":0,"docs":{},"t":{"df":3,"docs":{"16":{"tf":1.0},"38":{"tf":1.7320508075688772},"8":{"tf":1.0}}}},"x":{"df":0,"docs":{},"t":{"df":2,"docs":{"29":{"tf":1.7320508075688772},"30":{"tf":1.0}},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"16":{"tf":1.0}}}}}}},"h":{"a":{"df":0,"docs":{},"t":{"'":{"df":1,"docs":{"42":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"v":{"df":1,"docs":{"19":{"tf":1.0}}}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":5,"docs":{"0":{"tf":1.0},"13":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"44":{"tf":1.0}}}}}}}},"i":{"c":{"df":0,"docs":{},"k":{"df":0,"docs":{},"n":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"/":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":1,"docs":{"9":{"tf":1.0}}}}}}}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":5,"docs":{"1":{"tf":1.0},"25":{"tf":1.0},"4":{"tf":1.0},"44":{"tf":1.4142135623730951},"6":{"tf":1.0}}},"k":{"df":1,"docs":{"6":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":4,"docs":{"18":{"tf":1.0},"2":{"tf":1.0},"29":{"tf":1.0},"42":{"tf":1.0}}}},"u":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":4,"docs":{"18":{"tf":1.0},"2":{"tf":1.0},"27":{"tf":1.0},"6":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"e":{"a":{"d":{"df":1,"docs":{"38":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":7,"docs":{"0":{"tf":1.0},"16":{"tf":1.4142135623730951},"18":{"tf":1.0},"24":{"tf":1.0},"3":{"tf":1.0},"38":{"tf":1.0},"40":{"tf":1.0}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":4,"docs":{"15":{"tf":1.0},"3":{"tf":1.0},"44":{"tf":1.0},"9":{"tf":1.0}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":2,"docs":{"19":{"tf":1.0},"3":{"tf":1.0}}}}}}}}}}},"i":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"p":{"a":{"df":0,"docs":{},"n":{"_":{"df":0,"docs":{},"f":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"_":{"df":0,"docs":{},"f":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}},"df":6,"docs":{"18":{"tf":1.4142135623730951},"19":{"tf":1.0},"25":{"tf":1.7320508075688772},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"6":{"tf":3.1622776601683795}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":1,"docs":{"6":{"tf":1.7320508075688772}}}}}}}},"p":{"df":5,"docs":{"17":{"tf":2.0},"20":{"tf":1.0},"36":{"tf":1.4142135623730951},"41":{"tf":1.0},"9":{"tf":1.0}}}},"o":{"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"25":{"tf":1.0}}}}}},"o":{"df":0,"docs":{},"l":{"b":{"a":{"df":0,"docs":{},"r":{"df":2,"docs":{"2":{"tf":1.0},"4":{"tf":1.0}}}},"df":0,"docs":{}},"df":1,"docs":{"0":{"tf":1.0}}}},"p":{"df":3,"docs":{"2":{"tf":1.0},"24":{"tf":1.0},"3":{"tf":1.0}}},"t":{"a":{"df":0,"docs":{},"l":{"df":5,"docs":{"16":{"tf":1.0},"20":{"tf":1.7320508075688772},"23":{"tf":1.0},"25":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}},"r":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"20":{"tf":1.0},"24":{"tf":1.0}}}}},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"13":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":5,"docs":{"10":{"tf":1.4142135623730951},"3":{"tf":2.23606797749979},"5":{"tf":1.0},"8":{"tf":1.4142135623730951},"9":{"tf":1.4142135623730951}}}},"i":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"41":{"tf":1.0}}}},"df":1,"docs":{"6":{"tf":1.0}}}},"u":{"df":0,"docs":{},"r":{"df":0,"docs":{},"n":{"df":1,"docs":{"12":{"tf":1.0}}}}},"w":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"k":{"df":1,"docs":{"6":{"tf":1.0}}}},"df":0,"docs":{}},"o":{"df":9,"docs":{"13":{"tf":1.0},"18":{"tf":1.0},"32":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":1.4142135623730951},"38":{"tf":1.0},"4":{"tf":1.0},"40":{"tf":1.0},"42":{"tf":1.0}}}},"y":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":5,"docs":{"10":{"tf":1.4142135623730951},"24":{"tf":1.7320508075688772},"27":{"tf":1.0},"36":{"tf":2.23606797749979},"37":{"tf":1.4142135623730951}}}}}},"u":{"df":0,"docs":{},"n":{"b":{"df":0,"docs":{},"r":{"a":{"c":{"df":4,"docs":{"10":{"tf":1.0},"18":{"tf":1.0},"23":{"tf":1.0},"37":{"tf":2.0}}},"df":0,"docs":{}},"df":0,"docs":{}}},"d":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":1,"docs":{"18":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":8,"docs":{"0":{"tf":1.0},"16":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"3":{"tf":1.0},"38":{"tf":1.0},"42":{"tf":1.0},"9":{"tf":1.0}},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"0":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":7,"docs":{"16":{"tf":1.4142135623730951},"19":{"tf":1.4142135623730951},"3":{"tf":1.4142135623730951},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"42":{"tf":3.605551275463989},"8":{"tf":1.0}}}},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"k":{"df":1,"docs":{"30":{"tf":1.0}}}}},"p":{"a":{"c":{"df":0,"docs":{},"k":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"u":{"df":0,"docs":{},"s":{"df":1,"docs":{"24":{"tf":1.0}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":1,"docs":{"0":{"tf":1.0}}}}}}}}},"p":{"df":3,"docs":{"10":{"tf":1.0},"24":{"tf":1.0},"6":{"tf":1.0}}},"s":{"a":{"df":0,"docs":{},"g":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}},"df":27,"docs":{"0":{"tf":1.4142135623730951},"10":{"tf":1.4142135623730951},"15":{"tf":1.0},"16":{"tf":1.0},"19":{"tf":2.23606797749979},"2":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"26":{"tf":1.4142135623730951},"27":{"tf":1.0},"29":{"tf":1.0},"3":{"tf":1.4142135623730951},"30":{"tf":1.0},"31":{"tf":2.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.7320508075688772},"38":{"tf":1.4142135623730951},"41":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.4142135623730951},"44":{"tf":2.449489742783178},"45":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":2.6457513110645907},"8":{"tf":1.4142135623730951},"9":{"tf":1.7320508075688772}},"e":{"df":0,"docs":{},"r":{"'":{"df":1,"docs":{"0":{"tf":1.0}}},"df":5,"docs":{"0":{"tf":1.4142135623730951},"2":{"tf":1.0},"36":{"tf":1.0},"42":{"tf":1.4142135623730951},"44":{"tf":1.0}}}},"u":{"a":{"df":0,"docs":{},"l":{"df":2,"docs":{"16":{"tf":1.0},"6":{"tf":2.0}}}},"df":0,"docs":{}}}},"v":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":13,"docs":{"0":{"tf":1.0},"14":{"tf":1.4142135623730951},"15":{"tf":1.4142135623730951},"16":{"tf":1.0},"18":{"tf":1.4142135623730951},"19":{"tf":1.0},"20":{"tf":2.449489742783178},"22":{"tf":1.4142135623730951},"37":{"tf":2.23606797749979},"42":{"tf":1.4142135623730951},"44":{"tf":1.4142135623730951},"6":{"tf":2.23606797749979},"9":{"tf":1.4142135623730951}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"37":{"tf":1.7320508075688772}}}}}}}}},"i":{"a":{"b":{"df":0,"docs":{},"l":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":1,"docs":{"8":{"tf":1.0}},"o":{"df":0,"docs":{},"u":{"df":4,"docs":{"17":{"tf":1.0},"3":{"tf":1.0},"41":{"tf":1.0},"43":{"tf":1.0}}}}}}},"df":1,"docs":{"27":{"tf":1.0}},"e":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":2,"docs":{"37":{"tf":1.4142135623730951},"43":{"tf":1.0}}}}}},"df":0,"docs":{},"l":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{},"o":{"c":{"df":3,"docs":{"20":{"tf":1.4142135623730951},"25":{"tf":1.7320508075688772},"37":{"tf":1.4142135623730951}}},"df":0,"docs":{}}},"r":{"df":0,"docs":{},"i":{"df":4,"docs":{"18":{"tf":1.0},"29":{"tf":1.0},"30":{"tf":1.0},"6":{"tf":1.0}}},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":4,"docs":{"0":{"tf":1.0},"2":{"tf":1.0},"27":{"tf":1.4142135623730951},"36":{"tf":1.4142135623730951}}}}}}}},"i":{"a":{"df":1,"docs":{"31":{"tf":1.0}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"w":{"df":6,"docs":{"0":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.0},"21":{"tf":1.0},"3":{"tf":2.23606797749979},"44":{"tf":1.0}},"e":{"df":0,"docs":{},"r":{"df":5,"docs":{"0":{"tf":1.4142135623730951},"19":{"tf":2.0},"27":{"tf":1.4142135623730951},"30":{"tf":1.0},"4":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"'":{"df":1,"docs":{"2":{"tf":1.0}}},"df":12,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":2.6457513110645907},"31":{"tf":1.4142135623730951},"36":{"tf":1.4142135623730951},"37":{"tf":1.0},"4":{"tf":1.0},"41":{"tf":1.0},"42":{"tf":1.0},"44":{"tf":1.4142135623730951},"45":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}},"u":{"a":{"df":0,"docs":{},"l":{"df":7,"docs":{"0":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"25":{"tf":1.0},"3":{"tf":1.0},"43":{"tf":1.0},"7":{"tf":1.0}}}},"df":0,"docs":{}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":1,"docs":{"8":{"tf":1.0}}}}}}},"w":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":2,"docs":{"27":{"tf":1.0},"6":{"tf":1.4142135623730951}}}},"y":{"df":2,"docs":{"18":{"tf":1.0},"38":{"tf":1.4142135623730951}}}},"df":3,"docs":{"32":{"tf":1.0},"34":{"tf":1.0},"38":{"tf":1.0}},"e":{"b":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":2,"docs":{"0":{"tf":1.0},"8":{"tf":1.0}}}}}},"d":{"df":0,"docs":{},"g":{"df":1,"docs":{"9":{"tf":1.0}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":3,"docs":{"16":{"tf":1.0},"17":{"tf":1.0},"38":{"tf":1.4142135623730951}}}}}},"l":{"c":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"0":{"tf":1.0}}}}},"df":0,"docs":{},"l":{"df":9,"docs":{"13":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"21":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0},"6":{"tf":1.0}}}}},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":2,"docs":{"3":{"tf":1.0},"44":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":2,"docs":{"44":{"tf":1.0},"9":{"tf":1.0}}}}}},"i":{"d":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":5,"docs":{"15":{"tf":2.8284271247461903},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"38":{"tf":1.0},"42":{"tf":1.0}}}}},"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":2,"docs":{"19":{"tf":1.0},"27":{"tf":1.0}}}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}}}}}},"o":{"df":0,"docs":{},"o":{"d":{"df":1,"docs":{"8":{"tf":1.0}}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"k":{"df":7,"docs":{"0":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":2.0},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"38":{"tf":1.0},"45":{"tf":1.0}}},"t":{"df":0,"docs":{},"h":{"df":2,"docs":{"42":{"tf":1.0},"44":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":2,"docs":{"31":{"tf":1.4142135623730951},"33":{"tf":1.0}}}}}}},"x":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":1,"docs":{"37":{"tf":1.0}},"s":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"df":3,"docs":{"14":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.7320508075688772}}},"y":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":1,"docs":{"37":{"tf":1.0}},"s":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"df":3,"docs":{"14":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.7320508075688772}},"o":{"df":0,"docs":{},"u":{"'":{"df":0,"docs":{},"r":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}}},"z":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":5,"docs":{"12":{"tf":1.0},"13":{"tf":1.0},"17":{"tf":1.0},"24":{"tf":1.0},"9":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"3":{"tf":1.0}}}}}}}},"breadcrumbs":{"root":{"0":{"df":5,"docs":{"10":{"tf":1.4142135623730951},"15":{"tf":1.0},"18":{"tf":1.4142135623730951},"6":{"tf":1.0},"9":{"tf":1.0}}},"1":{"0":{"0":{"df":4,"docs":{"15":{"tf":1.0},"18":{"tf":1.4142135623730951},"38":{"tf":1.0},"9":{"tf":1.0}}},"9":{"6":{"6":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"18":{"tf":1.7320508075688772}}},"2":{"3":{"6":{"0":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"7":{"6":{"df":0,"docs":{},"e":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}},"8":{"0":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"9":{"2":{"df":0,"docs":{},"e":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}},"df":9,"docs":{"16":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":1.7320508075688772},"29":{"tf":1.0},"32":{"tf":1.7320508075688772},"33":{"tf":1.0},"34":{"tf":1.0},"44":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"2":{".":{"5":{"df":1,"docs":{"16":{"tf":1.0}}},"9":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"0":{"1":{"8":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"1":{"1":{"8":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":2,"docs":{"30":{"tf":1.0},"34":{"tf":1.0}}},"3":{".":{"5":{"df":1,"docs":{"44":{"tf":1.0}}},"df":0,"docs":{}},"0":{"9":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"1":{"8":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"7":{"0":{"df":0,"docs":{},"e":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}},"d":{"df":2,"docs":{"3":{"tf":1.4142135623730951},"44":{"tf":1.0}}},"df":0,"docs":{}},"4":{"5":{"2":{"df":0,"docs":{},"x":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"5":{"/":{"2":{"df":1,"docs":{"44":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"6":{"df":1,"docs":{"16":{"tf":1.7320508075688772}}},"8":{".":{"5":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"a":{"b":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"31":{"tf":1.0}}}},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":2,"docs":{"20":{"tf":1.7320508075688772},"37":{"tf":2.23606797749979}}}}}}}},"c":{"c":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"25":{"tf":1.4142135623730951},"37":{"tf":1.0}}}}},"p":{"df":0,"docs":{},"t":{"df":1,"docs":{"44":{"tf":1.0}}}},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"27":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":2,"docs":{"17":{"tf":1.0},"18":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"r":{"a":{"c":{"df":0,"docs":{},"i":{"df":1,"docs":{"6":{"tf":1.7320508075688772}}}},"df":0,"docs":{}},"df":3,"docs":{"16":{"tf":1.0},"38":{"tf":1.4142135623730951},"6":{"tf":1.0}}}}},"df":0,"docs":{},"h":{"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"v":{"df":1,"docs":{"10":{"tf":1.0}}}}}},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"df":8,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"15":{"tf":1.0},"17":{"tf":1.0},"26":{"tf":1.0},"43":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}}}},"d":{"d":{"df":6,"docs":{"10":{"tf":1.0},"24":{"tf":1.0},"27":{"tf":1.0},"4":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}},"i":{"df":0,"docs":{},"t":{"df":9,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"17":{"tf":1.7320508075688772},"20":{"tf":1.4142135623730951},"3":{"tf":1.0},"36":{"tf":1.7320508075688772},"37":{"tf":1.4142135623730951},"43":{"tf":1.0},"9":{"tf":1.0}}}}},"df":6,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"27":{"tf":1.4142135623730951},"3":{"tf":1.0},"5":{"tf":1.0},"9":{"tf":1.4142135623730951}},"j":{"df":0,"docs":{},"u":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"43":{"tf":1.0}}}}}},"v":{"a":{"df":0,"docs":{},"n":{"c":{"df":1,"docs":{"26":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"42":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{}}}},"g":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}}}}}}}},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":2,"docs":{"18":{"tf":1.0},"19":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":4,"docs":{"15":{"tf":1.4142135623730951},"22":{"tf":1.0},"23":{"tf":1.0},"9":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"e":{"a":{"d":{"df":0,"docs":{},"i":{"df":1,"docs":{"0":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"n":{"df":2,"docs":{"38":{"tf":1.0},"8":{"tf":1.0}}}}},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":1,"docs":{"0":{"tf":1.0}}}}}}}},"w":{"a":{"df":0,"docs":{},"y":{"df":3,"docs":{"10":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.0}}}},"df":0,"docs":{}}},"m":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"d":{"df":1,"docs":{"18":{"tf":1.7320508075688772}}},"df":0,"docs":{}}}}}}},"n":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"y":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":8,"docs":{"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":1.0},"24":{"tf":1.0},"25":{"tf":1.4142135623730951},"4":{"tf":1.0},"6":{"tf":1.0}}}},"z":{"df":2,"docs":{"31":{"tf":1.0},"4":{"tf":1.4142135623730951}}}}}},"d":{"/":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":2,"docs":{"2":{"tf":1.0},"3":{"tf":1.0}}}}},"df":0,"docs":{}},"df":0,"docs":{},"g":{"df":0,"docs":{},"l":{"df":4,"docs":{"10":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.7320508075688772},"7":{"tf":1.7320508075688772}},"e":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"i":{"df":0,"docs":{},"m":{"df":2,"docs":{"19":{"tf":1.0},"21":{"tf":1.0}}}},"y":{"df":0,"docs":{},"w":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"41":{"tf":1.0}}}}}}}},"p":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"x":{"df":14,"docs":{"29":{"tf":1.0},"30":{"tf":1.0},"35":{"tf":1.7320508075688772},"36":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0},"41":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0},"45":{"tf":1.0},"8":{"tf":1.0}}}}},"df":0,"docs":{}}},"l":{"df":0,"docs":{},"i":{"c":{"df":5,"docs":{"0":{"tf":1.0},"19":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.0},"45":{"tf":1.0}}},"df":5,"docs":{"18":{"tf":1.4142135623730951},"19":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0}}}},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"x":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}}}}}}},"r":{"b":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"25":{"tf":1.0}}}}},"df":0,"docs":{}}}}},"c":{"df":5,"docs":{"10":{"tf":1.0},"12":{"tf":2.6457513110645907},"13":{"tf":1.7320508075688772},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951}}},"df":0,"docs":{},"e":{"a":{"df":1,"docs":{"20":{"tf":1.0}}},"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":2,"docs":{"25":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{}}},"g":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}}}}}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"44":{"tf":1.4142135623730951}}}}}}}},"r":{"a":{"df":0,"docs":{},"y":{"df":1,"docs":{"29":{"tf":1.0}}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"_":{"c":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"36":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.0}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":10,"docs":{"17":{"tf":2.0},"20":{"tf":2.8284271247461903},"21":{"tf":1.4142135623730951},"24":{"tf":2.0},"25":{"tf":3.0},"36":{"tf":1.7320508075688772},"37":{"tf":3.4641016151377544},"4":{"tf":1.4142135623730951},"44":{"tf":1.0},"6":{"tf":2.23606797749979}}}}}},"s":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"n":{"df":1,"docs":{"8":{"tf":1.0}}}}},"o":{"c":{"df":0,"docs":{},"i":{"df":1,"docs":{"3":{"tf":1.0}}}},"df":0,"docs":{}}}},"t":{"df":0,"docs":{},"t":{"a":{"c":{"df":0,"docs":{},"h":{"df":1,"docs":{"7":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":7,"docs":{"16":{"tf":1.0},"19":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.0},"4":{"tf":1.4142135623730951},"44":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}}}},"v":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":4,"docs":{"19":{"tf":1.0},"25":{"tf":1.4142135623730951},"3":{"tf":1.0},"31":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"g":{"df":1,"docs":{"8":{"tf":1.0}}}},"df":0,"docs":{}}}}},"b":{"5":{"0":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"a":{"c":{"df":0,"docs":{},"k":{"/":{"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{}},"df":4,"docs":{"10":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"37":{"tf":2.23606797749979}},"g":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"43":{"tf":2.23606797749979}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":2,"docs":{"29":{"tf":1.4142135623730951},"42":{"tf":1.0}}},"h":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"27":{"tf":1.0}}}}}}}}},"df":0,"docs":{}},"i":{"c":{"df":1,"docs":{"31":{"tf":1.0}}},"df":0,"docs":{}}}},"c":{"df":0,"docs":{},"i":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":2,"docs":{"30":{"tf":1.0},"37":{"tf":1.0}},"e":{"df":6,"docs":{"16":{"tf":1.0},"19":{"tf":1.0},"3":{"tf":1.0},"30":{"tf":1.0},"4":{"tf":1.0},"6":{"tf":1.0}},"e":{"df":1,"docs":{"24":{"tf":1.0}}},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":2,"docs":{"22":{"tf":1.0},"37":{"tf":2.23606797749979}}}},"o":{"df":0,"docs":{},"w":{"df":7,"docs":{"10":{"tf":1.0},"16":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"32":{"tf":1.0},"37":{"tf":1.4142135623730951},"7":{"tf":1.0}}}}},"n":{"d":{"df":5,"docs":{"37":{"tf":2.23606797749979},"38":{"tf":2.449489742783178},"39":{"tf":1.0},"40":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{}},"s":{"df":0,"docs":{},"i":{"d":{"df":1,"docs":{"3":{"tf":1.0}}},"df":0,"docs":{}}},"t":{"df":0,"docs":{},"w":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":10,"docs":{"13":{"tf":1.4142135623730951},"19":{"tf":1.0},"24":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0},"40":{"tf":1.0},"42":{"tf":1.0},"45":{"tf":1.0},"6":{"tf":1.0},"7":{"tf":2.0}}}}}}}},"i":{"df":0,"docs":{},"n":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"30":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}},"t":{"df":1,"docs":{"8":{"tf":1.0}}}},"l":{"df":0,"docs":{},"o":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"44":{"tf":1.0}}}},"df":0,"docs":{}}},"m":{"df":0,"docs":{},"p":{"df":1,"docs":{"43":{"tf":1.0}}}},"o":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":5,"docs":{"20":{"tf":1.0},"24":{"tf":1.0},"31":{"tf":1.0},"33":{"tf":1.0},"6":{"tf":1.0}}},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":4,"docs":{"19":{"tf":1.0},"21":{"tf":1.0},"3":{"tf":1.0},"42":{"tf":1.0}}}}}},"w":{"'":{"df":4,"docs":{"18":{"tf":1.0},"20":{"tf":1.4142135623730951},"3":{"tf":1.0},"44":{"tf":1.0}}},"/":{"df":0,"docs":{},"h":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":1,"docs":{"38":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":25,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":1.0},"10":{"tf":1.4142135623730951},"15":{"tf":1.0},"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":2.23606797749979},"20":{"tf":3.0},"21":{"tf":1.0},"24":{"tf":1.7320508075688772},"25":{"tf":1.7320508075688772},"27":{"tf":1.4142135623730951},"29":{"tf":1.0},"3":{"tf":2.0},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"4":{"tf":2.23606797749979},"43":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":2.23606797749979},"7":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.7320508075688772}}}},"r":{"a":{"c":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":1,"docs":{"36":{"tf":1.0}}}}}}}}},"df":6,"docs":{"16":{"tf":1.0},"20":{"tf":1.0},"36":{"tf":1.0},"4":{"tf":1.0},"6":{"tf":1.4142135623730951},"7":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"k":{"df":1,"docs":{"16":{"tf":1.7320508075688772}}}},"df":0,"docs":{}}},"u":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":1,"docs":{"31":{"tf":1.0}}}}},"n":{"d":{"df":0,"docs":{},"l":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":9,"docs":{"10":{"tf":1.0},"19":{"tf":1.4142135623730951},"2":{"tf":1.0},"3":{"tf":1.7320508075688772},"4":{"tf":1.0},"42":{"tf":1.0},"44":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}}}}},"c":{"a":{"df":0,"docs":{},"l":{"c":{"df":1,"docs":{"45":{"tf":1.0}},"u":{"df":0,"docs":{},"l":{"df":7,"docs":{"0":{"tf":1.0},"26":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0},"6":{"tf":1.0}}}}},"df":0,"docs":{},"l":{"df":3,"docs":{"18":{"tf":1.0},"31":{"tf":1.0},"4":{"tf":1.0}}},"u":{"df":0,"docs":{},"l":{"df":1,"docs":{"38":{"tf":1.0}}}}},"p":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":1,"docs":{"6":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"e":{"df":6,"docs":{"12":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.4142135623730951},"24":{"tf":1.7320508075688772},"26":{"tf":1.0},"6":{"tf":1.4142135623730951}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"g":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":5,"docs":{"10":{"tf":1.0},"3":{"tf":1.4142135623730951},"42":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}}}}}},"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":2,"docs":{"37":{"tf":2.23606797749979},"38":{"tf":1.4142135623730951}}}}},"df":4,"docs":{"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0},"8":{"tf":1.0}},"e":{"df":0,"docs":{},"e":{"df":1,"docs":{"37":{"tf":1.0}}},"k":{"df":1,"docs":{"37":{"tf":1.0}}},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"17":{"tf":1.4142135623730951},"36":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":3,"docs":{"19":{"tf":1.0},"31":{"tf":1.0},"6":{"tf":1.0}}}}},"df":0,"docs":{}}}},"h":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":8,"docs":{"19":{"tf":1.4142135623730951},"21":{"tf":1.0},"3":{"tf":1.4142135623730951},"36":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.7320508075688772},"44":{"tf":1.0}}}},"p":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"0":{"tf":1.0}}}}}},"r":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.0}},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"20":{"tf":2.0}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"s":{"df":1,"docs":{"6":{"tf":1.0}}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":2,"docs":{"38":{"tf":1.0},"6":{"tf":1.0}}}}}}},"i":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"l":{"df":1,"docs":{"21":{"tf":1.0}}},"u":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"r":{"df":1,"docs":{"12":{"tf":1.0}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"k":{"df":0,"docs":{},"k":{"df":1,"docs":{"37":{"tf":1.0}}}},"l":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":4,"docs":{"36":{"tf":1.0},"38":{"tf":1.4142135623730951},"39":{"tf":1.7320508075688772},"6":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"k":{"df":4,"docs":{"4":{"tf":1.0},"42":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.7320508075688772}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":2,"docs":{"36":{"tf":1.4142135623730951},"8":{"tf":1.4142135623730951}}}}},"m":{"b":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":1,"docs":{"25":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":1,"docs":{"0":{"tf":1.0}}},"m":{"a":{"df":1,"docs":{"44":{"tf":1.7320508075688772}},"n":{"d":{"df":3,"docs":{"26":{"tf":1.0},"27":{"tf":2.449489742783178},"31":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":2,"docs":{"36":{"tf":1.4142135623730951},"5":{"tf":2.23606797749979}}}}},"o":{"df":0,"docs":{},"n":{"df":5,"docs":{"16":{"tf":1.4142135623730951},"20":{"tf":1.4142135623730951},"29":{"tf":1.0},"31":{"tf":1.0},"9":{"tf":1.0}},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"31":{"tf":1.0}}}}}}},"p":{"a":{"df":0,"docs":{},"r":{"df":1,"docs":{"43":{"tf":1.0}}},"t":{"df":1,"docs":{"2":{"tf":1.0}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":1.0}}},"x":{"df":1,"docs":{"18":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"n":{"df":2,"docs":{"0":{"tf":1.4142135623730951},"24":{"tf":2.0}}},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"8":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":2,"docs":{"20":{"tf":1.0},"22":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"t":{"df":2,"docs":{"31":{"tf":1.0},"6":{"tf":1.0}}}}}},"n":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":1,"docs":{"42":{"tf":1.0}}}}}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"q":{"df":0,"docs":{},"u":{"df":1,"docs":{"31":{"tf":1.0}}}}},"i":{"d":{"df":1,"docs":{"4":{"tf":1.0}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":2,"docs":{"0":{"tf":1.0},"9":{"tf":1.0}}}}},"t":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":3,"docs":{"18":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"31":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"u":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"15":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}}}}},"t":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":5,"docs":{"15":{"tf":1.0},"2":{"tf":1.0},"3":{"tf":1.0},"41":{"tf":1.0},"9":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"45":{"tf":1.0}}}},"x":{"df":0,"docs":{},"t":{"df":5,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"43":{"tf":1.4142135623730951},"45":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"u":{"df":2,"docs":{"19":{"tf":1.0},"21":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"l":{"df":4,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"44":{"tf":1.0}}}},"r":{"df":0,"docs":{},"t":{"df":3,"docs":{"20":{"tf":1.0},"42":{"tf":1.0},"44":{"tf":1.0}}}},"x":{"df":1,"docs":{"20":{"tf":1.0}}}}}},"o":{"df":0,"docs":{},"r":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":1,"docs":{"37":{"tf":2.449489742783178}}}}},"df":0,"docs":{}}},"p":{"df":0,"docs":{},"i":{"df":1,"docs":{"45":{"tf":1.4142135623730951}}}},"r":{"df":0,"docs":{},"n":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"19":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"d":{"df":4,"docs":{"15":{"tf":1.0},"37":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}},"df":0,"docs":{}}}}}}}},"u":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"44":{"tf":1.0}}}}}},"p":{"df":0,"docs":{},"l":{"df":1,"docs":{"37":{"tf":1.0}}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"9":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"t":{"df":3,"docs":{"0":{"tf":1.0},"2":{"tf":1.4142135623730951},"29":{"tf":1.0}},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"2":{"tf":1.0}}}}}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"18":{"tf":1.0}}},"df":0,"docs":{}}}},"o":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":2,"docs":{"37":{"tf":1.4142135623730951},"38":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"v":{"df":1,"docs":{"43":{"tf":1.0}}}},"u":{"b":{"df":0,"docs":{},"i":{"c":{"df":3,"docs":{"14":{"tf":1.0},"15":{"tf":1.0},"9":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"m":{"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"44":{"tf":1.0}}}}}}}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":4,"docs":{"19":{"tf":1.0},"21":{"tf":1.0},"3":{"tf":1.7320508075688772},"6":{"tf":1.0}}}}}},"v":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":5,"docs":{"10":{"tf":1.0},"13":{"tf":1.0},"23":{"tf":2.449489742783178},"37":{"tf":1.7320508075688772},"43":{"tf":1.0}}}}}},"df":8,"docs":{"10":{"tf":1.7320508075688772},"12":{"tf":1.0},"13":{"tf":1.0},"15":{"tf":1.0},"20":{"tf":3.1622776601683795},"25":{"tf":1.0},"4":{"tf":1.0},"9":{"tf":1.0}}}},"t":{"df":1,"docs":{"45":{"tf":1.0}}}}},"d":{"a":{"c":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"16":{"tf":1.0}}}}}},"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":2,"docs":{"18":{"tf":4.242640687119285},"36":{"tf":1.7320508075688772}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"36":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}},"t":{"a":{"b":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{".":{"c":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"8":{"tf":1.0}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":9,"docs":{"25":{"tf":2.0},"29":{"tf":1.0},"30":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.0},"6":{"tf":1.0}},"s":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"8":{"tf":1.0}}}}}}}},"df":0,"docs":{}}},"df":6,"docs":{"27":{"tf":1.0},"41":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0},"45":{"tf":1.0}},"e":{"c":{"a":{"df":0,"docs":{},"y":{"df":1,"docs":{"18":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":1,"docs":{"44":{"tf":1.4142135623730951}}}},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"s":{"df":1,"docs":{"6":{"tf":1.0}}}},"df":0,"docs":{}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"7":{"tf":1.7320508075688772}}}}}}},"f":{"a":{"df":0,"docs":{},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":3,"docs":{"25":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":2.23606797749979}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":8,"docs":{"10":{"tf":1.0},"13":{"tf":1.0},"15":{"tf":1.4142135623730951},"16":{"tf":1.0},"20":{"tf":1.0},"42":{"tf":1.0},"7":{"tf":1.0},"9":{"tf":1.4142135623730951}},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"7":{"tf":1.4142135623730951}}}}}},"l":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"38":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}}},"g":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":3,"docs":{"20":{"tf":1.4142135623730951},"37":{"tf":1.0},"4":{"tf":1.0}}}}},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"45":{"tf":1.0}}}},"t":{"a":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{}}},"n":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":4,"docs":{"16":{"tf":2.0},"36":{"tf":1.4142135623730951},"37":{"tf":1.0},"8":{"tf":1.0}}}}}}},"p":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":2,"docs":{"20":{"tf":1.0},"37":{"tf":1.0}},"u":{"df":0,"docs":{},"r":{"df":3,"docs":{"20":{"tf":1.7320508075688772},"24":{"tf":1.0},"37":{"tf":2.6457513110645907}}}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":3,"docs":{"10":{"tf":1.0},"20":{"tf":1.0},"38":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"c":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"b":{"df":2,"docs":{"12":{"tf":1.0},"13":{"tf":1.0}}},"df":0,"docs":{},"p":{"df":0,"docs":{},"t":{"df":3,"docs":{"25":{"tf":1.4142135623730951},"36":{"tf":1.0},"37":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"n":{"df":4,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":1.0},"31":{"tf":1.0},"6":{"tf":1.0}}}},"r":{"df":1,"docs":{"20":{"tf":1.0}}}}},"t":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":6,"docs":{"0":{"tf":1.0},"27":{"tf":1.0},"29":{"tf":1.0},"3":{"tf":1.4142135623730951},"30":{"tf":1.0},"44":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":5,"docs":{"16":{"tf":1.4142135623730951},"20":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.0},"8":{"tf":1.0}}}}}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":2,"docs":{"0":{"tf":1.0},"24":{"tf":1.4142135623730951}}}}}}}},"i":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"g":{"df":2,"docs":{"42":{"tf":1.4142135623730951},"43":{"tf":1.0}}}}}},"d":{"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":1,"docs":{"41":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":11,"docs":{"10":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"21":{"tf":1.0},"23":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.4142135623730951},"6":{"tf":1.0},"9":{"tf":1.0}}}},"i":{"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":2,"docs":{"16":{"tf":1.0},"8":{"tf":1.0}}}}}},"df":0,"docs":{}}}},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"df":6,"docs":{"10":{"tf":1.0},"16":{"tf":1.0},"36":{"tf":1.0},"38":{"tf":1.4142135623730951},"42":{"tf":1.0},"7":{"tf":2.6457513110645907}}}}}},"r":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":3,"docs":{"12":{"tf":1.0},"18":{"tf":1.0},"9":{"tf":1.0}},"l":{"df":0,"docs":{},"i":{"df":3,"docs":{"19":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.4142135623730951}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"27":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"s":{"df":0,"docs":{},"k":{"df":1,"docs":{"2":{"tf":1.0}}},"p":{"(":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"x":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"m":{"a":{"df":1,"docs":{"33":{"tf":1.0}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"y":{"df":3,"docs":{"24":{"tf":1.0},"27":{"tf":1.4142135623730951},"8":{"tf":1.0}}}},"df":0,"docs":{}}},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"18":{"tf":1.7320508075688772}}}}},"t":{"a":{"df":0,"docs":{},"n":{"c":{"df":2,"docs":{"40":{"tf":1.0},"7":{"tf":1.7320508075688772}}},"df":0,"docs":{}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}},"df":0,"docs":{}}},"r":{"df":0,"docs":{},"i":{"b":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":4,"docs":{"15":{"tf":1.4142135623730951},"22":{"tf":1.0},"24":{"tf":1.0},"9":{"tf":1.7320508075688772}}}}},"df":0,"docs":{}}}}},"v":{"df":0,"docs":{},"i":{"d":{"df":2,"docs":{"16":{"tf":1.0},"6":{"tf":1.0}}},"df":0,"docs":{}}}},"o":{"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"5":{"tf":1.0}}}}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}},"df":0,"docs":{}}}},"n":{"'":{"df":0,"docs":{},"t":{"df":2,"docs":{"16":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{},"e":{"df":3,"docs":{"16":{"tf":1.0},"20":{"tf":1.0},"6":{"tf":1.0}}}},"t":{"df":2,"docs":{"37":{"tf":1.0},"44":{"tf":1.7320508075688772}}},"u":{"b":{"df":0,"docs":{},"l":{"df":4,"docs":{"36":{"tf":5.291502622129181},"37":{"tf":4.242640687119285},"8":{"tf":1.0},"9":{"tf":1.0}},"e":{"[":{"df":0,"docs":{},"n":{"]":{"[":{"df":0,"docs":{},"p":{"df":1,"docs":{"37":{"tf":2.23606797749979}}},"q":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":1,"docs":{"37":{"tf":3.7416573867739413}}},"p":{"df":1,"docs":{"37":{"tf":3.1622776601683795}}},"r":{"]":{"[":{"df":0,"docs":{},"p":{"df":1,"docs":{"37":{"tf":2.0}}}},"df":0,"docs":{}},"df":1,"docs":{"37":{"tf":1.0}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"w":{"df":0,"docs":{},"n":{"df":1,"docs":{"9":{"tf":1.0}}}}},"r":{"a":{"df":0,"docs":{},"g":{"df":1,"docs":{"19":{"tf":1.0}}},"w":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":2,"docs":{"36":{"tf":1.0},"37":{"tf":1.0}}}}}}}}},"df":11,"docs":{"19":{"tf":1.0},"20":{"tf":4.123105625617661},"21":{"tf":1.0},"24":{"tf":1.0},"25":{"tf":2.449489742783178},"31":{"tf":1.0},"36":{"tf":1.4142135623730951},"37":{"tf":2.23606797749979},"4":{"tf":2.0},"6":{"tf":1.4142135623730951},"7":{"tf":1.7320508075688772}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"w":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"k":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}}}},"n":{"df":2,"docs":{"25":{"tf":1.0},"4":{"tf":1.0}}}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":0,"docs":{},"n":{"df":1,"docs":{"19":{"tf":1.0}}}}}},"df":1,"docs":{"9":{"tf":1.0}}}}},"u":{"df":0,"docs":{},"e":{"df":3,"docs":{"18":{"tf":1.4142135623730951},"30":{"tf":1.0},"37":{"tf":1.0}}},"r":{"df":0,"docs":{},"e":{"df":2,"docs":{"24":{"tf":1.4142135623730951},"27":{"tf":1.0}}}}},"y":{"df":0,"docs":{},"n":{"a":{"df":0,"docs":{},"m":{"df":12,"docs":{"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.4142135623730951},"20":{"tf":1.4142135623730951},"21":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":1.0},"27":{"tf":1.7320508075688772},"37":{"tf":1.0},"4":{"tf":1.7320508075688772},"6":{"tf":2.449489742783178}}}},"df":0,"docs":{}}}},"df":0,"docs":{},"e":{".":{"df":0,"docs":{},"g":{"df":5,"docs":{"10":{"tf":1.0},"17":{"tf":1.7320508075688772},"42":{"tf":1.0},"6":{"tf":1.0},"8":{"tf":1.0}}}},"_":{"df":0,"docs":{},"k":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"a":{"c":{"df":0,"docs":{},"h":{"df":12,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"15":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":1.0},"22":{"tf":1.0},"24":{"tf":1.0},"31":{"tf":1.0},"37":{"tf":3.1622776601683795},"4":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":2,"docs":{"29":{"tf":1.0},"38":{"tf":1.0}},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"44":{"tf":1.0}}}},"l":{"df":0,"docs":{},"i":{"df":2,"docs":{"16":{"tf":1.0},"43":{"tf":1.0}}}}}}},"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":4,"docs":{"0":{"tf":1.0},"11":{"tf":1.0},"3":{"tf":2.23606797749979},"44":{"tf":1.0}},"o":{"df":0,"docs":{},"r":{"df":24,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":2.23606797749979},"10":{"tf":1.0},"11":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"14":{"tf":1.0},"15":{"tf":1.0},"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":1.0},"29":{"tf":1.4142135623730951},"3":{"tf":2.23606797749979},"30":{"tf":1.0},"4":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":1.0},"7":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}}}},"df":5,"docs":{"36":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0},"8":{"tf":1.0}},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":4,"docs":{"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"44":{"tf":1.0}}}},"df":0,"docs":{}},"i":{"c":{"df":0,"docs":{},"i":{"df":5,"docs":{"20":{"tf":1.7320508075688772},"30":{"tf":1.0},"37":{"tf":1.7320508075688772},"4":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{}}}},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"m":{"df":0,"docs":{},"o":{"d":{"df":1,"docs":{"18":{"tf":1.4142135623730951}}},"df":0,"docs":{}}}}}}},"l":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":7,"docs":{"20":{"tf":1.0},"24":{"tf":1.0},"36":{"tf":1.0},"38":{"tf":1.7320508075688772},"39":{"tf":1.0},"40":{"tf":1.0},"8":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":2,"docs":{"36":{"tf":1.4142135623730951},"6":{"tf":2.23606797749979}}}}}}},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":2,"docs":{"16":{"tf":1.7320508075688772},"37":{"tf":1.0}}}}}},"m":{"df":0,"docs":{},"p":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.4142135623730951}}}}}},"n":{"d":{"df":7,"docs":{"13":{"tf":1.4142135623730951},"14":{"tf":1.0},"17":{"tf":1.0},"21":{"tf":1.0},"36":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.4142135623730951}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"g":{"df":0,"docs":{},"i":{"df":5,"docs":{"18":{"tf":2.0},"20":{"tf":4.123105625617661},"24":{"tf":3.7416573867739413},"25":{"tf":3.7416573867739413},"37":{"tf":3.4641016151377544}}}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":3,"docs":{"16":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.0}}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":3,"docs":{"44":{"tf":1.7320508075688772},"8":{"tf":1.0},"9":{"tf":1.0}}}},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"20":{"tf":1.0},"43":{"tf":1.4142135623730951}}}}},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}}}}}},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":4,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":1.0}}}}}}}},"q":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"20":{"tf":1.0}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"b":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":1,"docs":{"4":{"tf":1.0}}}}}}},"df":0,"docs":{}}}}}},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"42":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"i":{"df":4,"docs":{"31":{"tf":1.0},"38":{"tf":1.0},"44":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":2,"docs":{"16":{"tf":1.0},"6":{"tf":1.4142135623730951}}}}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"13":{"tf":1.0}}}}}},"v":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":8,"docs":{"0":{"tf":1.0},"22":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.7320508075688772},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":2.0},"44":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}},"r":{"df":0,"docs":{},"y":{"df":0,"docs":{},"w":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"42":{"tf":1.0}}}}}}}}}},"x":{"a":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}},"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":14,"docs":{"18":{"tf":1.0},"19":{"tf":1.0},"25":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"38":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.0},"45":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}}}}},"c":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":1,"docs":{"45":{"tf":1.0}}}},"h":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":2,"docs":{"29":{"tf":1.0},"42":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":2.0}}}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"43":{"tf":1.0}}}}},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"36":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"18":{"tf":1.0},"8":{"tf":1.0}},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"38":{"tf":1.0}}}}}}}}},"l":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":3,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"19":{"tf":1.0}}}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"31":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":2,"docs":{"27":{"tf":1.0},"43":{"tf":2.0}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":2,"docs":{"20":{"tf":1.0},"44":{"tf":1.7320508075688772}}}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"17":{"tf":1.0}}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"n":{"df":3,"docs":{"31":{"tf":1.0},"32":{"tf":1.0},"34":{"tf":1.0}}}}}}}},"f":{"a":{"c":{"df":0,"docs":{},"e":{"df":1,"docs":{"0":{"tf":1.0}}},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":4,"docs":{"20":{"tf":2.23606797749979},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"6":{"tf":2.0}}}}}},"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"9":{"tf":1.0}}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"6":{"tf":1.0}}},"r":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":3,"docs":{"31":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"18":{"tf":1.0},"44":{"tf":1.0}}}},"f":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":1,"docs":{"16":{"tf":1.0}}}}}}}}}},"v":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"6":{"tf":1.0}}}}}},"df":1,"docs":{"38":{"tf":1.4142135623730951}},"e":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":2,"docs":{"41":{"tf":1.0},"43":{"tf":1.0}}}}}},"df":0,"docs":{},"e":{"d":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"0":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"w":{"df":1,"docs":{"44":{"tf":1.0}}}},"i":{"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"16":{"tf":1.0},"8":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"d":{"df":4,"docs":{"19":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"44":{"tf":2.23606797749979}}},"df":0,"docs":{}}},"g":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":26,"docs":{"1":{"tf":1.0},"10":{"tf":1.4142135623730951},"11":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"14":{"tf":1.0},"15":{"tf":1.0},"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0},"45":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":1.0},"7":{"tf":1.4142135623730951},"8":{"tf":1.4142135623730951},"9":{"tf":1.4142135623730951}}}}},"l":{"df":0,"docs":{},"e":{"df":17,"docs":{"0":{"tf":2.0},"19":{"tf":1.4142135623730951},"2":{"tf":2.8284271247461903},"27":{"tf":2.0},"28":{"tf":1.7320508075688772},"29":{"tf":2.23606797749979},"30":{"tf":2.6457513110645907},"31":{"tf":2.23606797749979},"32":{"tf":3.0},"33":{"tf":2.0},"34":{"tf":2.6457513110645907},"36":{"tf":2.0},"37":{"tf":2.23606797749979},"4":{"tf":1.7320508075688772},"42":{"tf":1.0},"43":{"tf":1.4142135623730951},"6":{"tf":1.0}}}},"n":{"a":{"df":0,"docs":{},"l":{"_":{"d":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"w":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"k":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"s":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":5,"docs":{"0":{"tf":1.0},"20":{"tf":1.4142135623730951},"37":{"tf":1.0},"38":{"tf":1.4142135623730951},"6":{"tf":1.0}}}},"d":{"df":2,"docs":{"6":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{},"e":{"df":1,"docs":{"6":{"tf":1.0}},"r":{"df":1,"docs":{"6":{"tf":1.0}}}},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"h":{"df":1,"docs":{"19":{"tf":1.0}}}},"t":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}}},"r":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":5,"docs":{"1":{"tf":1.0},"18":{"tf":1.4142135623730951},"31":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":1.0}}}}},"t":{"df":1,"docs":{"41":{"tf":1.0}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":6,"docs":{"0":{"tf":1.0},"16":{"tf":1.0},"31":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"8":{"tf":1.0}}}}}},"r":{"c":{"df":10,"docs":{"16":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":3.0},"25":{"tf":3.605551275463989},"36":{"tf":1.0},"37":{"tf":3.1622776601683795},"38":{"tf":1.7320508075688772},"39":{"tf":1.0},"40":{"tf":1.0},"6":{"tf":1.4142135623730951}},"e":{"/":{"d":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"w":{"df":1,"docs":{"4":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{},"s":{"/":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"6":{"tf":1.0}}}}}}}}},"df":0,"docs":{}}}},"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":6,"docs":{"2":{"tf":1.0},"28":{"tf":1.7320508075688772},"29":{"tf":2.0},"30":{"tf":1.7320508075688772},"31":{"tf":1.4142135623730951},"43":{"tf":1.4142135623730951}}}},"df":2,"docs":{"18":{"tf":1.0},"29":{"tf":1.0}}}},"u":{"df":0,"docs":{},"n":{"d":{"df":3,"docs":{"29":{"tf":1.0},"30":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{}}}},"r":{"a":{"c":{"df":0,"docs":{},"{":{"4":{"df":0,"docs":{},"f":{"df":0,"docs":{},"l":{"^":{"3":{"df":0,"docs":{},"}":{"df":0,"docs":{},"{":{"df":0,"docs":{},"w":{"df":0,"docs":{},"h":{"^":{"3":{"df":1,"docs":{"39":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"l":{"^":{"3":{"df":0,"docs":{},"}":{"df":0,"docs":{},"{":{"3":{"df":0,"docs":{},"i":{"df":1,"docs":{"39":{"tf":1.0}}}},"4":{"8":{"df":0,"docs":{},"i":{"df":1,"docs":{"40":{"tf":1.0}}}},"df":0,"docs":{},"w":{"df":0,"docs":{},"h":{"^":{"3":{"df":1,"docs":{"40":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":1,"docs":{"39":{"tf":1.0}}}},"i":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"/":{"df":0,"docs":{},"h":{"df":0,"docs":{},"y":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":1,"docs":{"18":{"tf":1.0}}}}}}}}}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":6,"docs":{"20":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.0},"4":{"tf":1.7320508075688772},"6":{"tf":1.0},"7":{"tf":1.0}}}}}},"g":{"=":{"9":{".":{"8":{"1":{"\\":{"df":0,"docs":{},"f":{"df":0,"docs":{},"r":{"a":{"c":{"df":0,"docs":{},"{":{"df":0,"docs":{},"m":{"df":0,"docs":{},"}":{"df":0,"docs":{},"{":{"df":0,"docs":{},"s":{"^":{"2":{"df":1,"docs":{"38":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"38":{"tf":1.0}},"e":{"df":1,"docs":{"38":{"tf":1.0}},"n":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"17":{"tf":1.0},"6":{"tf":1.7320508075688772}}}}},"o":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"3":{"tf":1.0},"44":{"tf":1.0}}}}}}}},"r":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"n":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"df":1,"docs":{"31":{"tf":1.0}}}},"i":{"df":0,"docs":{},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":2,"docs":{"12":{"tf":1.0},"43":{"tf":1.0}}}}}},"o":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"2":{"tf":1.0}}}},"df":1,"docs":{"18":{"tf":1.0}},"o":{"d":{"df":5,"docs":{"0":{"tf":1.0},"20":{"tf":1.0},"38":{"tf":1.4142135623730951},"6":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{}}},"r":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":1,"docs":{"6":{"tf":1.0}}}},"p":{"df":0,"docs":{},"h":{"df":4,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"3":{"tf":2.0},"9":{"tf":1.0}},"i":{"c":{"df":1,"docs":{"43":{"tf":1.0}}},"df":0,"docs":{}},"s":{"/":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":1,"docs":{"3":{"tf":1.0}}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"/":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"s":{"df":1,"docs":{"7":{"tf":1.0}}}}}},"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":4,"docs":{"20":{"tf":1.0},"25":{"tf":2.0},"37":{"tf":1.7320508075688772},"7":{"tf":1.0}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"p":{"df":2,"docs":{"24":{"tf":2.0},"44":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"i":{"df":1,"docs":{"27":{"tf":1.0}}}}},"h":{"_":{"df":0,"docs":{},"{":{"df":0,"docs":{},"e":{",":{"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"k":{",":{"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"a":{"df":0,"docs":{},"n":{"d":{"df":2,"docs":{"38":{"tf":1.0},"6":{"tf":1.0}},"l":{"df":3,"docs":{"20":{"tf":1.0},"36":{"tf":1.7320508075688772},"7":{"tf":1.7320508075688772}},"e":{"_":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"l":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"36":{"tf":1.0}}}}}}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"36":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"p":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":1,"docs":{"6":{"tf":1.0}}}}}}},"c":{"a":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"p":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"y":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"1":{"]":{"[":{"\"":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"k":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":2,"docs":{"27":{"tf":1.0},"38":{"tf":1.4142135623730951}},"e":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"*":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":2,"docs":{"33":{"tf":1.0},"34":{"tf":1.0}}}}}}}}}},".":{"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"32":{"tf":1.0}}}}}}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":4,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"/":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"9":{"tf":1.0}}}},"df":0,"docs":{}}}}},"df":10,"docs":{"16":{"tf":1.0},"20":{"tf":1.0},"36":{"tf":1.7320508075688772},"37":{"tf":1.4142135623730951},"38":{"tf":1.4142135623730951},"4":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":1.4142135623730951},"7":{"tf":1.0},"9":{"tf":2.23606797749979}}}}}},"l":{"df":0,"docs":{},"p":{"df":2,"docs":{"0":{"tf":1.0},"27":{"tf":1.7320508075688772}}}},"r":{"df":0,"docs":{},"e":{"df":7,"docs":{"0":{"tf":1.4142135623730951},"1":{"tf":1.0},"17":{"tf":1.0},"25":{"tf":1.0},"3":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":1.0}}}}},"i":{"d":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":1,"docs":{"27":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":1,"docs":{"43":{"tf":1.0}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"h":{"df":1,"docs":{"29":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"g":{"df":0,"docs":{},"h":{"df":2,"docs":{"16":{"tf":1.0},"18":{"tf":1.0}},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.0}}}}}}},"k":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"*":{"df":0,"docs":{},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"df":2,"docs":{"33":{"tf":1.0},"34":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},".":{"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"df":1,"docs":{"32":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":4,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"l":{"d":{"df":2,"docs":{"20":{"tf":1.0},"25":{"tf":1.4142135623730951}}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"z":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"10":{"tf":1.0}}}}}}}}},"t":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{":":{"/":{"/":{"df":0,"docs":{},"w":{"df":0,"docs":{},"w":{"df":0,"docs":{},"w":{".":{"df":0,"docs":{},"w":{"df":0,"docs":{},"o":{"df":0,"docs":{},"o":{"d":{"df":1,"docs":{"8":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{},"s":{":":{"/":{"/":{"df":0,"docs":{},"m":{"df":0,"docs":{},"s":{"df":0,"docs":{},"g":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{".":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"g":{"df":1,"docs":{"30":{"tf":1.0}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"w":{"df":0,"docs":{},"w":{"df":0,"docs":{},"w":{".":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"f":{".":{"d":{"df":0,"docs":{},"e":{"/":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":1,"docs":{"16":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{},"j":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{".":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"g":{"df":1,"docs":{"30":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{".":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"g":{"df":1,"docs":{"0":{"tf":1.0}}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"i":{".":{"df":1,"docs":{"20":{"tf":1.4142135623730951}}},"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"g":{"df":5,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"43":{"tf":3.0},"7":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":5,"docs":{"0":{"tf":1.0},"16":{"tf":1.0},"32":{"tf":1.7320508075688772},"34":{"tf":1.0},"38":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"v":{"df":1,"docs":{"6":{"tf":1.0}}}}}}},"n":{"c":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"d":{"df":4,"docs":{"20":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"6":{"tf":1.0},"7":{"tf":1.0}}},"df":0,"docs":{}}},"o":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"a":{"df":0,"docs":{},"t":{"df":2,"docs":{"36":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{}}}},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"s":{"df":2,"docs":{"20":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"/":{"d":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"r":{"df":1,"docs":{"44":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"=":{"2":{"df":1,"docs":{"32":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}},"x":{"df":1,"docs":{"36":{"tf":1.0}}}},"i":{"c":{"df":2,"docs":{"20":{"tf":1.4142135623730951},"22":{"tf":1.0}}},"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"d":{"df":0,"docs":{},"u":{"df":1,"docs":{"24":{"tf":1.0}}}},"df":0,"docs":{}}}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"c":{"df":2,"docs":{"31":{"tf":1.0},"38":{"tf":1.0}}},"df":0,"docs":{}}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":2,"docs":{"27":{"tf":1.0},"8":{"tf":1.0}}}}}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":2,"docs":{"24":{"tf":1.0},"4":{"tf":1.0}}}}},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":3,"docs":{"32":{"tf":1.0},"33":{"tf":1.4142135623730951},"34":{"tf":1.0}}}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{".":{"df":0,"docs":{},"n":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"33":{"tf":1.4142135623730951}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}}},"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"n":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"n":{"d":{"df":2,"docs":{"32":{"tf":1.0},"34":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}},"df":11,"docs":{"19":{"tf":1.0},"20":{"tf":1.0},"27":{"tf":1.7320508075688772},"29":{"tf":1.7320508075688772},"30":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.4142135623730951},"34":{"tf":1.4142135623730951},"42":{"tf":1.0},"44":{"tf":2.449489742783178}}}}},"s":{"df":0,"docs":{},"i":{"d":{"df":1,"docs":{"27":{"tf":1.0}}},"df":0,"docs":{}},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"29":{"tf":1.0},"30":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"a":{"df":0,"docs":{},"l":{"df":3,"docs":{"27":{"tf":1.4142135623730951},"32":{"tf":1.4142135623730951},"34":{"tf":1.0}}}},"df":0,"docs":{},"e":{"a":{"d":{"df":2,"docs":{"37":{"tf":1.0},"44":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"16":{"tf":1.0}}}}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"g":{"df":2,"docs":{"36":{"tf":2.23606797749979},"37":{"tf":3.1622776601683795}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}}},"f":{"a":{"c":{"df":5,"docs":{"26":{"tf":1.0},"27":{"tf":1.0},"3":{"tf":1.0},"31":{"tf":1.4142135623730951},"42":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"n":{"df":1,"docs":{"18":{"tf":1.0}}},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"31":{"tf":1.0}}}}}},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"l":{"df":1,"docs":{"14":{"tf":1.0}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}}}}}},"r":{"df":0,"docs":{},"o":{"d":{"df":0,"docs":{},"u":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.7320508075688772}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":1,"docs":{"1":{"tf":1.0}}}}}}},"o":{"df":0,"docs":{},"k":{"df":2,"docs":{"26":{"tf":1.0},"4":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}},"df":0,"docs":{}},"s":{"df":0,"docs":{},"u":{"df":1,"docs":{"18":{"tf":1.0}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"df":2,"docs":{"3":{"tf":2.0},"5":{"tf":1.0}}}}}},"j":{"a":{"df":0,"docs":{},"v":{"a":{"df":0,"docs":{},"s":{"c":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":0,"docs":{},"t":{"df":1,"docs":{"29":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":1,"docs":{"37":{"tf":3.3166247903554}},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{".":{"d":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"(":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"32":{"tf":1.0}}}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"a":{"d":{"(":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"32":{"tf":1.0}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}},"p":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}}}},"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}}}}}},"df":6,"docs":{"29":{"tf":1.4142135623730951},"30":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.4142135623730951}},"l":{"a":{"b":{"df":1,"docs":{"33":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"a":{"df":1,"docs":{"34":{"tf":2.0}}},"df":1,"docs":{"16":{"tf":1.0}}}},"m":{"df":0,"docs":{},"p":{"df":1,"docs":{"19":{"tf":1.0}}}}}},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"df":4,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":2.0}}},"df":0,"docs":{}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":4,"docs":{"0":{"tf":1.0},"18":{"tf":1.0},"2":{"tf":1.4142135623730951},"6":{"tf":1.0}}}},"y":{"b":{"df":0,"docs":{},"o":{"a":{"df":0,"docs":{},"r":{"d":{"df":1,"docs":{"44":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"g":{"/":{"df":0,"docs":{},"m":{"df":3,"docs":{"16":{"tf":1.0},"36":{"tf":1.4142135623730951},"37":{"tf":1.0}}}},"df":2,"docs":{"36":{"tf":2.0},"37":{"tf":1.4142135623730951}}},"i":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"30":{"tf":1.0}}},"df":1,"docs":{"25":{"tf":1.7320508075688772}},"e":{"df":0,"docs":{},"t":{"df":4,"docs":{"20":{"tf":2.6457513110645907},"24":{"tf":1.7320508075688772},"25":{"tf":1.7320508075688772},"37":{"tf":2.449489742783178}}}}}},"n":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"44":{"tf":1.0}},"n":{"df":1,"docs":{"38":{"tf":1.0}}}}}}},"l":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"g":{"df":1,"docs":{"31":{"tf":1.7320508075688772}}}},"df":0,"docs":{}}}},"r":{"df":0,"docs":{},"g":{"df":3,"docs":{"0":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.4142135623730951}},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"38":{"tf":1.0},"6":{"tf":1.0}}}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"20":{"tf":1.0},"8":{"tf":1.0}}},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"n":{"c":{"df":0,"docs":{},"h":{"df":2,"docs":{"19":{"tf":1.0},"31":{"tf":1.0}}}},"df":0,"docs":{}}},"y":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":10,"docs":{"15":{"tf":1.0},"20":{"tf":1.0},"22":{"tf":1.0},"3":{"tf":1.0},"31":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":4.0},"42":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":3.872983346207417}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":2,"docs":{"0":{"tf":1.0},"44":{"tf":1.0}}}}}}},"df":2,"docs":{"38":{"tf":1.4142135623730951},"40":{"tf":1.0}},"e":{"df":0,"docs":{},"f":{"df":0,"docs":{},"t":{"df":3,"docs":{"3":{"tf":1.4142135623730951},"42":{"tf":1.0},"6":{"tf":1.0}}}},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":15,"docs":{"11":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"15":{"tf":1.7320508075688772},"16":{"tf":1.7320508075688772},"19":{"tf":1.0},"20":{"tf":1.4142135623730951},"23":{"tf":1.0},"25":{"tf":1.7320508075688772},"36":{"tf":3.1622776601683795},"37":{"tf":2.449489742783178},"38":{"tf":1.0},"42":{"tf":1.4142135623730951},"7":{"tf":2.0},"9":{"tf":1.7320508075688772}}}}}},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"20":{"tf":1.0}}}}},"i":{"b":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"31":{"tf":1.0},"33":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"o":{"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"45":{"tf":1.0}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}}},"m":{"b":{"'":{"df":2,"docs":{"15":{"tf":1.0},"18":{"tf":1.0}}},"_":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"37":{"tf":1.0}}}}},"df":0,"docs":{}},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.0}}}}}}}}}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":14,"docs":{"15":{"tf":1.0},"17":{"tf":1.4142135623730951},"18":{"tf":1.4142135623730951},"20":{"tf":2.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":2.0},"25":{"tf":2.449489742783178},"36":{"tf":1.7320508075688772},"37":{"tf":4.0},"6":{"tf":1.7320508075688772},"7":{"tf":1.7320508075688772},"9":{"tf":1.4142135623730951}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}}},"n":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"r":{"df":3,"docs":{"16":{"tf":1.7320508075688772},"20":{"tf":2.0},"37":{"tf":1.0}},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"13":{"tf":1.0}}}}}},"df":8,"docs":{"10":{"tf":1.0},"11":{"tf":2.449489742783178},"12":{"tf":1.0},"13":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":2.449489742783178},"31":{"tf":1.0},"36":{"tf":1.4142135623730951}}}},"s":{"df":0,"docs":{},"t":{"df":3,"docs":{"36":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}},"t":{"df":0,"docs":{},"t":{"df":0,"docs":{},"l":{"df":2,"docs":{"21":{"tf":1.0},"44":{"tf":1.0}}}}}},"o":{"a":{"d":{"df":7,"docs":{"19":{"tf":1.0},"2":{"tf":1.4142135623730951},"31":{"tf":1.4142135623730951},"32":{"tf":1.7320508075688772},"33":{"tf":1.4142135623730951},"34":{"tf":2.449489742783178},"43":{"tf":1.0}},"j":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"(":{"'":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"33":{"tf":1.0}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"m":{"df":0,"docs":{},"s":{"df":0,"docs":{},"g":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{"(":{"'":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"df":0,"docs":{},"r":{"df":1,"docs":{"33":{"tf":1.0}}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}},"c":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"44":{"tf":1.0}}},"t":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":1,"docs":{"38":{"tf":1.0}},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.0}}}},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":2,"docs":{"18":{"tf":1.0},"37":{"tf":2.0}}}}},"df":0,"docs":{}}}}}},"s":{"df":0,"docs":{},"e":{"df":2,"docs":{"18":{"tf":1.0},"6":{"tf":1.0}}}},"w":{"df":1,"docs":{"6":{"tf":1.0}}}}},"m":{"/":{"df":1,"docs":{"37":{"tf":1.7320508075688772}}},"a":{"c":{"df":0,"docs":{},"o":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":2,"docs":{"3":{"tf":1.0},"31":{"tf":1.0}}}},"k":{"df":0,"docs":{},"e":{"df":5,"docs":{"10":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"44":{"tf":1.4142135623730951},"6":{"tf":1.0}},"u":{"df":0,"docs":{},"p":{"df":1,"docs":{"9":{"tf":1.0}}}}}},"n":{"df":0,"docs":{},"i":{"df":1,"docs":{"0":{"tf":1.4142135623730951}}},"u":{"a":{"df":0,"docs":{},"l":{"df":4,"docs":{"0":{"tf":1.7320508075688772},"41":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"f":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":2,"docs":{"16":{"tf":1.0},"8":{"tf":1.0}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"s":{"df":6,"docs":{"16":{"tf":1.4142135623730951},"17":{"tf":3.4641016151377544},"20":{"tf":2.449489742783178},"36":{"tf":2.23606797749979},"37":{"tf":2.0},"8":{"tf":1.0}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":7,"docs":{"16":{"tf":2.449489742783178},"18":{"tf":1.0},"3":{"tf":1.0},"36":{"tf":2.23606797749979},"38":{"tf":1.7320508075688772},"8":{"tf":3.7416573867739413},"9":{"tf":2.23606797749979}}}}},"l":{"a":{"b":{"df":1,"docs":{"33":{"tf":1.7320508075688772}}},"df":0,"docs":{}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}},"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":2.23606797749979}}}}}},"x":{"_":{"d":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"w":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.0}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"g":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}},"v":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":5,"docs":{"19":{"tf":1.0},"20":{"tf":2.0},"31":{"tf":1.0},"37":{"tf":2.8284271247461903},"6":{"tf":1.0}}}}}}}},"df":3,"docs":{"36":{"tf":3.872983346207417},"37":{"tf":3.872983346207417},"38":{"tf":1.4142135623730951}},"e":{"a":{"df":0,"docs":{},"n":{"df":1,"docs":{"44":{"tf":1.0}},"t":{"df":1,"docs":{"6":{"tf":1.0}}}},"s":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":3,"docs":{"14":{"tf":1.0},"38":{"tf":1.7320508075688772},"8":{"tf":1.0}}}}}},"c":{"df":0,"docs":{},"h":{"a":{"df":0,"docs":{},"n":{"df":1,"docs":{"8":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"u":{"df":8,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.0},"4":{"tf":1.0},"43":{"tf":1.7320508075688772},"45":{"tf":1.4142135623730951},"9":{"tf":1.0}}}},"s":{"df":0,"docs":{},"s":{"a":{"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{"df":3,"docs":{"30":{"tf":1.4142135623730951},"31":{"tf":1.0},"33":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"i":{"d":{"d":{"df":0,"docs":{},"l":{"df":3,"docs":{"3":{"tf":1.0},"40":{"tf":1.0},"7":{"tf":2.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"n":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"_":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"x":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}},"v":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}}},"d":{"df":2,"docs":{"0":{"tf":1.0},"2":{"tf":1.0}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":2,"docs":{"20":{"tf":1.0},"37":{"tf":1.7320508075688772}}}}}}}},"o":{"d":{"df":0,"docs":{},"e":{"df":2,"docs":{"4":{"tf":1.4142135623730951},"6":{"tf":1.0}},"l":{"df":31,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":2.23606797749979},"10":{"tf":1.7320508075688772},"11":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"14":{"tf":1.0},"15":{"tf":1.0},"16":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.4142135623730951},"19":{"tf":1.0},"2":{"tf":1.7320508075688772},"26":{"tf":1.0},"27":{"tf":1.7320508075688772},"29":{"tf":1.7320508075688772},"3":{"tf":3.3166247903554},"30":{"tf":1.0},"31":{"tf":2.0},"32":{"tf":2.0},"33":{"tf":1.7320508075688772},"34":{"tf":2.23606797749979},"36":{"tf":1.7320508075688772},"4":{"tf":1.7320508075688772},"42":{"tf":1.0},"43":{"tf":1.4142135623730951},"5":{"tf":1.4142135623730951},"6":{"tf":1.0},"7":{"tf":1.0},"8":{"tf":1.7320508075688772},"9":{"tf":2.0}}}},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":5,"docs":{"29":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0}}}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":5,"docs":{"36":{"tf":1.0},"38":{"tf":1.4142135623730951},"39":{"tf":1.0},"40":{"tf":1.0},"8":{"tf":1.0}}}}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":2,"docs":{"15":{"tf":1.0},"9":{"tf":1.0}}}}}}},"r":{"df":0,"docs":{},"e":{"df":12,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"16":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":1.4142135623730951},"29":{"tf":1.0},"3":{"tf":1.0},"30":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0},"6":{"tf":1.4142135623730951},"8":{"tf":1.4142135623730951}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"18":{"tf":1.0}}}}}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"4":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"s":{"df":2,"docs":{"3":{"tf":1.4142135623730951},"44":{"tf":1.0}}}},"v":{"df":0,"docs":{},"e":{"df":1,"docs":{"44":{"tf":1.0}}}}},"s":{"df":0,"docs":{},"g":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{".":{"df":0,"docs":{},"u":{"df":0,"docs":{},"n":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{"(":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"32":{"tf":1.0}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":2,"docs":{"32":{"tf":1.7320508075688772},"34":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"u":{"c":{"df":0,"docs":{},"h":{"df":6,"docs":{"18":{"tf":1.0},"2":{"tf":1.0},"20":{"tf":1.4142135623730951},"24":{"tf":1.0},"38":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":2,"docs":{"37":{"tf":1.0},"9":{"tf":1.0}},"i":{"df":1,"docs":{"6":{"tf":1.0}}}}}}}}}},"n":{"/":{"1":{"0":{"0":{"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{},"m":{"df":1,"docs":{"37":{"tf":2.0}}}},"_":{"d":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"w":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":1,"docs":{"36":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"_":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":1,"docs":{"36":{"tf":1.0}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"36":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":1,"docs":{"36":{"tf":1.0}}}}},"df":0,"docs":{}}}}}}}},"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":5,"docs":{"27":{"tf":1.0},"3":{"tf":1.0},"36":{"tf":2.0},"8":{"tf":1.0},"9":{"tf":1.0}}}},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":1,"docs":{"8":{"tf":1.0}}}}}},"df":3,"docs":{"16":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":2.6457513110645907}},"e":{"df":0,"docs":{},"e":{"d":{"df":2,"docs":{"17":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{}},"g":{"df":4,"docs":{"12":{"tf":1.0},"13":{"tf":1.0},"20":{"tf":1.0},"22":{"tf":1.0}}},"w":{"df":5,"docs":{"2":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}},"x":{"df":0,"docs":{},"t":{"df":3,"docs":{"19":{"tf":1.4142135623730951},"4":{"tf":1.0},"6":{"tf":1.0}}}}},"m":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}},"o":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"17":{"tf":1.4142135623730951}}}},"d":{"df":0,"docs":{},"e":{"df":2,"docs":{"37":{"tf":4.69041575982343},"43":{"tf":1.0}}}},"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":1,"docs":{"29":{"tf":1.0}}}},"df":0,"docs":{},"e":{"df":15,"docs":{"0":{"tf":1.0},"10":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"16":{"tf":1.0},"18":{"tf":1.7320508075688772},"19":{"tf":1.0},"2":{"tf":1.0},"27":{"tf":1.4142135623730951},"3":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"41":{"tf":1.0},"42":{"tf":1.0},"5":{"tf":1.0}}}},"w":{"df":1,"docs":{"18":{"tf":1.0}}}},"p":{".":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"y":{"(":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"p":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"y":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"0":{"]":{"[":{"\"":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"32":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"k":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"32":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"32":{"tf":1.0}}}}}}}}},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"df":1,"docs":{"32":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":1,"docs":{"32":{"tf":1.0}}},"u":{"df":0,"docs":{},"m":{"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":7,"docs":{"16":{"tf":2.0},"29":{"tf":1.0},"36":{"tf":2.23606797749979},"37":{"tf":2.449489742783178},"44":{"tf":3.0},"6":{"tf":2.449489742783178},"8":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"18":{"tf":1.0}}}},"p":{"df":0,"docs":{},"i":{"df":1,"docs":{"32":{"tf":1.7320508075688772}}}}}}},"o":{"b":{"df":0,"docs":{},"j":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"29":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"v":{"df":1,"docs":{"44":{"tf":1.0}}}}}},"t":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":1,"docs":{"16":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"10":{"tf":1.0}}}}}}},"l":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"2":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}},"n":{"c":{"df":1,"docs":{"18":{"tf":1.0}}},"df":7,"docs":{"17":{"tf":1.0},"22":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"4":{"tf":1.4142135623730951},"42":{"tf":1.4142135623730951},"6":{"tf":1.0}}},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"(":{"\"":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":2,"docs":{"32":{"tf":1.4142135623730951},"34":{"tf":1.4142135623730951}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"df":0,"docs":{},"r":{"df":2,"docs":{"32":{"tf":1.0},"34":{"tf":1.0}}}},"df":0,"docs":{}}}}}}}},"df":0,"docs":{}},"df":7,"docs":{"0":{"tf":1.0},"1":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.7320508075688772},"27":{"tf":1.0},"30":{"tf":1.0},"4":{"tf":1.0}}},"r":{"df":1,"docs":{"44":{"tf":1.0}}}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":2,"docs":{"31":{"tf":1.0},"6":{"tf":1.0}}},"o":{"df":0,"docs":{},"n":{"df":11,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"17":{"tf":1.4142135623730951},"19":{"tf":1.0},"24":{"tf":1.0},"27":{"tf":2.23606797749979},"3":{"tf":1.4142135623730951},"42":{"tf":1.0},"43":{"tf":1.4142135623730951},"7":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}}}},"r":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"25":{"tf":1.0},"6":{"tf":1.4142135623730951}}}}},"df":0,"docs":{},"g":{"a":{"df":0,"docs":{},"n":{"df":2,"docs":{"19":{"tf":1.0},"3":{"tf":1.0}}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"43":{"tf":1.0}}}}}}},"s":{"c":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"18":{"tf":2.0}}}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"20":{"tf":1.0}}}}}},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{".":{"df":0,"docs":{},"r":{"df":3,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0}}},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"p":{".":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{".":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"y":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"s":{"df":0,"docs":{},"{":{"1":{"df":0,"docs":{},"}":{".":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"33":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"k":{"_":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"33":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}}},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"s":{".":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{".":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"(":{":":{",":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"33":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"(":{":":{",":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"33":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"\"":{"]":{"[":{"\"":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"\"":{"]":{"[":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"34":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}}},"k":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"a":{"\"":{"]":{"[":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"34":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":9,"docs":{"20":{"tf":1.0},"27":{"tf":1.4142135623730951},"30":{"tf":2.0},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":1.0}}}}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"7":{"tf":1.0}}}},"c":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"6":{"tf":1.0}}}}},"df":4,"docs":{"18":{"tf":1.4142135623730951},"25":{"tf":1.4142135623730951},"6":{"tf":1.0},"9":{"tf":1.0}},"l":{"a":{"df":0,"docs":{},"y":{"df":4,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"17":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}},"s":{"df":0,"docs":{},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}}}}},"w":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"2":{"tf":1.0}}}}}}}}}},"p":{"a":{"c":{"df":0,"docs":{},"k":{"a":{"df":0,"docs":{},"g":{"df":2,"docs":{"32":{"tf":1.0},"34":{"tf":1.0}}}},"df":0,"docs":{}}},"d":{"df":1,"docs":{"44":{"tf":1.0}}},"df":2,"docs":{"36":{"tf":1.0},"37":{"tf":2.0}},"n":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":4,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"3":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}},"r":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":4,"docs":{"10":{"tf":1.0},"2":{"tf":1.0},"31":{"tf":1.0},"36":{"tf":2.0}}}},"t":{"df":1,"docs":{"5":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}},"t":{"df":2,"docs":{"0":{"tf":1.0},"26":{"tf":1.0}},"i":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"20":{"tf":1.0}}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"s":{"df":3,"docs":{"15":{"tf":1.0},"6":{"tf":1.0},"9":{"tf":1.0}}},"t":{"df":1,"docs":{"45":{"tf":1.4142135623730951}}}},"t":{"df":0,"docs":{},"h":{":":{"/":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"c":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"/":{"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{".":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"/":{"c":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"s":{"/":{"df":0,"docs":{},"m":{"a":{"c":{"df":0,"docs":{},"o":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"27":{"tf":2.23606797749979}}}}},"d":{"df":0,"docs":{},"f":{"df":1,"docs":{"43":{"tf":1.0}}}},"df":2,"docs":{"27":{"tf":1.0},"37":{"tf":1.4142135623730951}},"e":{"df":0,"docs":{},"r":{"df":3,"docs":{"16":{"tf":1.4142135623730951},"25":{"tf":1.4142135623730951},"8":{"tf":1.0}},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":7,"docs":{"0":{"tf":1.4142135623730951},"1":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.4142135623730951},"38":{"tf":1.0},"6":{"tf":1.0}}}}}},"i":{"df":0,"docs":{},"o":{"d":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{}}},"m":{"a":{"df":0,"docs":{},"n":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}},"s":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":2,"docs":{"0":{"tf":1.0},"3":{"tf":1.0}}}},"df":0,"docs":{}}}}}},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"g":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"h":{"df":1,"docs":{"43":{"tf":1.0}}}}},"df":0,"docs":{}}}}}},"y":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"c":{"df":4,"docs":{"1":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.0},"3":{"tf":1.7320508075688772}}},"df":0,"docs":{}}}}},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"32":{"tf":1.0}}}},"k":{"df":0,"docs":{},"g":{".":{"a":{"d":{"d":{"(":{"\"":{"df":0,"docs":{},"j":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"34":{"tf":1.0}}}}}},"m":{"df":0,"docs":{},"s":{"df":0,"docs":{},"g":{"df":0,"docs":{},"p":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"34":{"tf":1.0}}}},"l":{"a":{"c":{"df":0,"docs":{},"e":{"df":2,"docs":{"38":{"tf":1.0},"40":{"tf":1.0}}}},"df":0,"docs":{},"y":{"df":1,"docs":{"19":{"tf":1.0}}}},"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"s":{"df":1,"docs":{"0":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"t":{"'":{"df":1,"docs":{"43":{"tf":1.0}}},"df":7,"docs":{"10":{"tf":1.4142135623730951},"15":{"tf":1.0},"24":{"tf":1.0},"25":{"tf":2.449489742783178},"43":{"tf":2.449489742783178},"44":{"tf":1.0},"9":{"tf":1.0}}}},"u":{"df":1,"docs":{"16":{"tf":1.0}}}},"n":{"df":0,"docs":{},"g":{"df":1,"docs":{"43":{"tf":1.0}}}},"o":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":11,"docs":{"10":{"tf":1.0},"14":{"tf":1.4142135623730951},"15":{"tf":1.0},"17":{"tf":1.4142135623730951},"19":{"tf":1.0},"36":{"tf":1.4142135623730951},"38":{"tf":1.4142135623730951},"40":{"tf":1.4142135623730951},"7":{"tf":2.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"9":{"tf":1.0}}}}}}},"s":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":9,"docs":{"12":{"tf":1.0},"13":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"25":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"43":{"tf":1.0}}}},"s":{"df":0,"docs":{},"i":{"b":{"df":0,"docs":{},"l":{"df":2,"docs":{"2":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"df":1,"docs":{"27":{"tf":1.0}}}},"t":{"df":1,"docs":{"25":{"tf":2.0}},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"a":{"df":0,"docs":{},"l":{"/":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"24":{"tf":1.0}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}}},"df":4,"docs":{"20":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":2.0},"37":{"tf":2.0}}}}}}}},"r":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"18":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"e":{"d":{"df":1,"docs":{"4":{"tf":1.0}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"s":{"df":1,"docs":{"38":{"tf":1.0}}}}},"df":1,"docs":{"42":{"tf":1.0}},"f":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"42":{"tf":1.0}}}}},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"44":{"tf":1.0}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"16":{"tf":1.0}}}}},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":1,"docs":{"14":{"tf":1.0}},"s":{"df":1,"docs":{"9":{"tf":1.0}}}}}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"m":{"a":{".":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"x":{"df":1,"docs":{"32":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}},"df":1,"docs":{"27":{"tf":1.0}},"l":{"df":0,"docs":{},"n":{"(":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"x":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"m":{"a":{"df":1,"docs":{"34":{"tf":1.0}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}},"o":{"b":{"a":{"b":{"df":0,"docs":{},"l":{"df":1,"docs":{"18":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"d":{"df":0,"docs":{},"u":{"c":{"df":2,"docs":{"0":{"tf":1.0},"6":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":8,"docs":{"10":{"tf":3.1622776601683795},"11":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"14":{"tf":1.0},"3":{"tf":1.0},"36":{"tf":1.0},"43":{"tf":1.0}}}}},"g":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"m":{"df":2,"docs":{"31":{"tf":1.7320508075688772},"6":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}}}}},"j":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"'":{"df":1,"docs":{"0":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"n":{"df":0,"docs":{},"e":{"df":1,"docs":{"42":{"tf":1.0}}}},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":13,"docs":{"1":{"tf":1.0},"10":{"tf":1.0},"11":{"tf":1.4142135623730951},"12":{"tf":1.0},"13":{"tf":1.0},"14":{"tf":1.0},"15":{"tf":1.0},"16":{"tf":2.0},"17":{"tf":1.0},"18":{"tf":1.0},"3":{"tf":2.6457513110645907},"8":{"tf":2.23606797749979},"9":{"tf":1.0}}}}}}},"v":{"df":0,"docs":{},"i":{"d":{"df":2,"docs":{"16":{"tf":1.0},"8":{"tf":1.0}}},"df":0,"docs":{}}}}},"u":{"b":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"h":{"df":1,"docs":{"16":{"tf":1.0}}}}}}},"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":1.0}}}},"y":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"32":{"tf":1.7320508075688772}}}}}}}},"q":{"df":1,"docs":{"37":{"tf":1.4142135623730951}},"u":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"k":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":2,"docs":{"18":{"tf":1.0},"44":{"tf":1.0}}}}}},"df":0,"docs":{},"t":{"df":1,"docs":{"8":{"tf":1.0}}}}}},"r":{"_":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"36":{"tf":1.0}}},"df":0,"docs":{}}},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":1,"docs":{"36":{"tf":1.0}}}}},"df":0,"docs":{}}}},"a":{"d":{"df":1,"docs":{"37":{"tf":1.4142135623730951}},"i":{"df":0,"docs":{},"u":{"df":3,"docs":{"12":{"tf":1.4142135623730951},"13":{"tf":2.0},"36":{"tf":2.0}}}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":3,"docs":{"18":{"tf":1.0},"38":{"tf":1.0},"44":{"tf":1.0}}}},"t":{"df":0,"docs":{},"e":{"df":2,"docs":{"36":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"i":{"df":0,"docs":{},"o":{"df":2,"docs":{"18":{"tf":3.1622776601683795},"36":{"tf":1.4142135623730951}}}}},"w":{"=":{"df":0,"docs":{},"f":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"s":{"df":1,"docs":{"32":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"b":{"df":1,"docs":{"32":{"tf":1.0}}},"df":3,"docs":{"32":{"tf":1.0},"34":{"tf":1.4142135623730951},"37":{"tf":1.0}},"e":{"a":{"c":{"df":0,"docs":{},"h":{"df":2,"docs":{"18":{"tf":1.0},"19":{"tf":1.0}}}},"d":{"df":4,"docs":{"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"6":{"tf":1.0}}},"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"18":{"tf":1.0}}}}},"l":{"df":1,"docs":{"41":{"tf":1.0}}}},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":0,"docs":{},"v":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}}}},"d":{"df":1,"docs":{"21":{"tf":1.0}},"u":{"c":{"df":2,"docs":{"18":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"df":0,"docs":{}}},"df":6,"docs":{"0":{"tf":1.4142135623730951},"19":{"tf":1.0},"27":{"tf":1.4142135623730951},"30":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0}},"f":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"3":{"tf":1.0}}}},"df":0,"docs":{}}}},"g":{"a":{"df":0,"docs":{},"r":{"d":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"44":{"tf":1.0}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"8":{"tf":1.0}}},"df":0,"docs":{}}}}}},"l":{"a":{"df":0,"docs":{},"t":{"df":2,"docs":{"20":{"tf":1.0},"37":{"tf":1.0}}}},"df":4,"docs":{"14":{"tf":1.0},"15":{"tf":1.4142135623730951},"36":{"tf":1.4142135623730951},"9":{"tf":1.4142135623730951}},"e":{"a":{"df":0,"docs":{},"s":{"df":4,"docs":{"25":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0}}}},"df":0,"docs":{}},"i":{"a":{"b":{"df":0,"docs":{},"l":{"df":1,"docs":{"6":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"m":{"df":0,"docs":{},"o":{"df":0,"docs":{},"v":{"df":4,"docs":{"10":{"tf":1.0},"3":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}},"n":{"a":{"df":0,"docs":{},"m":{"df":3,"docs":{"3":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"r":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":3,"docs":{"10":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.0}}}}},"df":0,"docs":{}}},"p":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"d":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"6":{"tf":1.0}}}}},"df":0,"docs":{}}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":2,"docs":{"30":{"tf":1.0},"37":{"tf":1.0}}}}}},"q":{"df":0,"docs":{},"u":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":8,"docs":{"0":{"tf":1.0},"16":{"tf":1.0},"17":{"tf":1.0},"20":{"tf":1.0},"25":{"tf":1.4142135623730951},"26":{"tf":1.0},"4":{"tf":1.0},"6":{"tf":1.0}}}}}},"s":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"r":{"c":{"df":0,"docs":{},"h":{"df":1,"docs":{"16":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}}}},"p":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"27":{"tf":1.0}}}},"df":0,"docs":{}}},"t":{"df":1,"docs":{"7":{"tf":1.0}}},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":23,"docs":{"0":{"tf":2.449489742783178},"10":{"tf":1.0},"16":{"tf":1.4142135623730951},"19":{"tf":3.4641016151377544},"20":{"tf":1.4142135623730951},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.7320508075688772},"25":{"tf":1.4142135623730951},"27":{"tf":2.0},"30":{"tf":1.7320508075688772},"31":{"tf":2.0},"32":{"tf":1.7320508075688772},"33":{"tf":1.0},"34":{"tf":1.7320508075688772},"37":{"tf":2.449489742783178},"38":{"tf":1.4142135623730951},"4":{"tf":2.0},"42":{"tf":1.0},"43":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":2.23606797749979}}}}}}},"h":{"df":0,"docs":{},"o":{"a":{"df":1,"docs":{"37":{"tf":1.0}}},"df":2,"docs":{"36":{"tf":1.0},"8":{"tf":1.0}}}},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":3,"docs":{"18":{"tf":1.0},"19":{"tf":1.0},"44":{"tf":1.0}}}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":1,"docs":{"40":{"tf":1.0}}}},"t":{"a":{"df":0,"docs":{},"t":{"df":2,"docs":{"3":{"tf":1.0},"37":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"w":{"df":2,"docs":{"15":{"tf":1.0},"9":{"tf":1.0}}}},"u":{"df":0,"docs":{},"n":{"(":{"`":{"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"34":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":8,"docs":{"0":{"tf":1.0},"27":{"tf":1.4142135623730951},"31":{"tf":1.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"4":{"tf":1.4142135623730951},"6":{"tf":1.0}},"n":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":1,"docs":{"32":{"tf":1.0}}}}}}}},"s":{"a":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"df":1,"docs":{"6":{"tf":1.0}}}},"m":{"df":0,"docs":{},"e":{"df":4,"docs":{"15":{"tf":1.0},"31":{"tf":1.0},"37":{"tf":1.0},"44":{"tf":1.0}}},"p":{"df":0,"docs":{},"l":{"df":5,"docs":{"36":{"tf":1.0},"38":{"tf":2.0},"39":{"tf":1.0},"40":{"tf":1.0},"6":{"tf":1.4142135623730951}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"_":{"df":0,"docs":{},"r":{"df":1,"docs":{"36":{"tf":1.0}}}},"df":0,"docs":{}}}}}}},"v":{"df":0,"docs":{},"e":{"df":9,"docs":{"0":{"tf":1.4142135623730951},"2":{"tf":2.0},"27":{"tf":1.0},"31":{"tf":1.0},"32":{"tf":1.4142135623730951},"33":{"tf":1.0},"34":{"tf":1.4142135623730951},"4":{"tf":1.0},"43":{"tf":1.0}},"j":{"df":0,"docs":{},"s":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"33":{"tf":1.0}}}}}}}}},"c":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":2,"docs":{"16":{"tf":1.0},"38":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":1,"docs":{"31":{"tf":1.0}}}}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"df":0,"docs":{},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":8,"docs":{"1":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":1.0}}}}}}}}},"i":{"df":0,"docs":{},"p":{"df":0,"docs":{},"t":{"df":7,"docs":{"31":{"tf":2.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"6":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":1,"docs":{"44":{"tf":1.4142135623730951}}}}}}},"df":5,"docs":{"27":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0},"39":{"tf":1.0},"40":{"tf":1.0}},"e":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":7,"docs":{"19":{"tf":1.0},"31":{"tf":1.0},"37":{"tf":2.23606797749979},"38":{"tf":1.0},"41":{"tf":1.0},"6":{"tf":1.0},"7":{"tf":2.0}}}}}}},"df":0,"docs":{},"e":{"df":5,"docs":{"1":{"tf":1.0},"18":{"tf":1.0},"37":{"tf":1.4142135623730951},"7":{"tf":1.0},"8":{"tf":1.0}},"m":{"df":1,"docs":{"44":{"tf":1.0}}},"n":{"df":1,"docs":{"24":{"tf":1.0}}}},"g":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"/":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"14":{"tf":1.0}}}}},"df":6,"docs":{"10":{"tf":1.7320508075688772},"11":{"tf":2.0},"12":{"tf":2.0},"13":{"tf":2.23606797749979},"14":{"tf":2.23606797749979},"36":{"tf":2.0}}}}}}},"l":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":8,"docs":{"10":{"tf":1.0},"24":{"tf":1.0},"3":{"tf":1.7320508075688772},"42":{"tf":1.4142135623730951},"43":{"tf":1.0},"44":{"tf":1.0},"8":{"tf":1.0},"9":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"f":{"df":1,"docs":{"9":{"tf":1.0}}}},"n":{"df":0,"docs":{},"s":{"df":1,"docs":{"6":{"tf":1.0}}}},"p":{"a":{"df":0,"docs":{},"r":{"df":2,"docs":{"44":{"tf":1.4142135623730951},"6":{"tf":1.0}}}},"df":0,"docs":{}},"q":{"df":0,"docs":{},"u":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"c":{"df":1,"docs":{"37":{"tf":1.4142135623730951}}},"df":0,"docs":{}}}}},"r":{"df":0,"docs":{},"i":{"df":2,"docs":{"25":{"tf":2.0},"31":{"tf":1.0}}},"v":{"df":1,"docs":{"17":{"tf":1.4142135623730951}}}},"t":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":2,"docs":{"36":{"tf":1.0},"7":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":6,"docs":{"16":{"tf":1.0},"17":{"tf":1.4142135623730951},"27":{"tf":1.0},"36":{"tf":1.0},"42":{"tf":1.0},"6":{"tf":3.605551275463989}},"u":{"df":0,"docs":{},"p":{"df":4,"docs":{"37":{"tf":1.0},"38":{"tf":1.7320508075688772},"39":{"tf":1.7320508075688772},"40":{"tf":1.7320508075688772}}}}}},"h":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":4,"docs":{"10":{"tf":1.4142135623730951},"20":{"tf":1.4142135623730951},"21":{"tf":2.23606797749979},"23":{"tf":1.0}}}},"r":{"df":0,"docs":{},"e":{"df":1,"docs":{"2":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"t":{"df":1,"docs":{"3":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"c":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"45":{"tf":1.0}}}}},"df":0,"docs":{}}},"t":{"df":2,"docs":{"21":{"tf":1.0},"25":{"tf":1.0}}},"u":{"df":0,"docs":{},"l":{"d":{"df":0,"docs":{},"n":{"'":{"df":0,"docs":{},"t":{"df":1,"docs":{"38":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}}},"w":{"df":11,"docs":{"16":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.7320508075688772},"3":{"tf":1.7320508075688772},"31":{"tf":1.0},"43":{"tf":1.0},"9":{"tf":1.0}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"/":{"df":0,"docs":{},"h":{"df":0,"docs":{},"i":{"d":{"df":3,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"9":{"tf":1.0}}},"df":0,"docs":{}}}},"df":0,"docs":{}}}},"n":{"df":9,"docs":{"10":{"tf":1.0},"15":{"tf":1.0},"24":{"tf":1.0},"25":{"tf":1.0},"27":{"tf":1.0},"3":{"tf":1.0},"38":{"tf":1.4142135623730951},"42":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}}},"i":{"d":{"df":0,"docs":{},"e":{"df":3,"docs":{"22":{"tf":1.0},"37":{"tf":1.0},"6":{"tf":1.0}}}},"df":1,"docs":{"42":{"tf":1.4142135623730951}},"g":{"df":0,"docs":{},"m":{"a":{"_":{"\\":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"df":0,"docs":{},"{":{"b":{"a":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"37":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":3,"docs":{"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0}}},"df":0,"docs":{}},"n":{"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"c":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"38":{"tf":1.0}}}}}}},"df":1,"docs":{"16":{"tf":1.0}}},"df":0,"docs":{}}}}}},"m":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"a":{"df":0,"docs":{},"r":{"df":2,"docs":{"13":{"tf":1.0},"30":{"tf":1.0}}}},"df":0,"docs":{}}},"p":{"df":0,"docs":{},"l":{"df":1,"docs":{"44":{"tf":1.0}},"i":{"df":1,"docs":{"11":{"tf":1.0}}}}},"u":{"a":{"df":0,"docs":{},"t":{"df":1,"docs":{"4":{"tf":1.0}}}},"df":0,"docs":{},"l":{"df":16,"docs":{"0":{"tf":2.23606797749979},"1":{"tf":1.0},"19":{"tf":1.7320508075688772},"24":{"tf":1.0},"25":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":2.23606797749979},"31":{"tf":1.7320508075688772},"32":{"tf":1.4142135623730951},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":3.3166247903554},"4":{"tf":3.0},"43":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":3.4641016151377544}}}}},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"l":{"df":3,"docs":{"16":{"tf":1.4142135623730951},"20":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}},"z":{"df":0,"docs":{},"e":{"df":1,"docs":{"6":{"tf":1.0}}}}},"k":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"6":{"tf":1.0}}}}},"l":{"df":0,"docs":{},"i":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"19":{"tf":1.4142135623730951},"21":{"tf":1.0}}}}},"df":0,"docs":{}},"v":{"df":4,"docs":{"27":{"tf":1.4142135623730951},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0}}}},"m":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"df":2,"docs":{"16":{"tf":1.0},"6":{"tf":1.7320508075688772}}}}},"df":0,"docs":{},"o":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":3,"docs":{"13":{"tf":1.0},"15":{"tf":1.0},"9":{"tf":1.0}}}}}}},"o":{"df":0,"docs":{},"f":{"df":0,"docs":{},"t":{"df":0,"docs":{},"w":{"a":{"df":0,"docs":{},"r":{"df":2,"docs":{"0":{"tf":1.4142135623730951},"45":{"tf":1.0}}}},"df":0,"docs":{}}}},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":11,"docs":{"0":{"tf":1.7320508075688772},"26":{"tf":2.0},"27":{"tf":1.7320508075688772},"28":{"tf":1.0},"29":{"tf":1.4142135623730951},"30":{"tf":1.4142135623730951},"31":{"tf":2.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.0},"4":{"tf":1.0}}}}}},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":1,"docs":{"6":{"tf":1.0}}}}}}}},"p":{"a":{"c":{"df":0,"docs":{},"e":{"df":2,"docs":{"30":{"tf":1.0},"37":{"tf":1.0}}}},"df":0,"docs":{},"n":{"df":2,"docs":{"36":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"i":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"19":{"tf":1.0}}}},"df":0,"docs":{},"f":{"df":7,"docs":{"19":{"tf":1.0},"20":{"tf":1.0},"29":{"tf":1.0},"30":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"6":{"tf":1.4142135623730951}},"i":{"df":2,"docs":{"1":{"tf":1.0},"27":{"tf":1.0}}}}}},"df":0,"docs":{},"e":{"d":{"df":2,"docs":{"4":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"df":0,"docs":{}}},"i":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"l":{"df":2,"docs":{"13":{"tf":2.23606797749979},"36":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"e":{"df":4,"docs":{"14":{"tf":2.23606797749979},"15":{"tf":1.0},"36":{"tf":1.4142135623730951},"9":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"e":{"a":{"d":{"df":0,"docs":{},"s":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"45":{"tf":1.0}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"t":{"a":{"b":{"df":0,"docs":{},"l":{"df":1,"docs":{"6":{"tf":1.0}}}},"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"24":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":2,"docs":{"21":{"tf":1.0},"4":{"tf":1.0}}}},"n":{"d":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":2,"docs":{"19":{"tf":1.0},"31":{"tf":1.0}}}}},"r":{"d":{"df":1,"docs":{"45":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"t":{"df":11,"docs":{"0":{"tf":1.0},"1":{"tf":1.0},"10":{"tf":1.0},"13":{"tf":1.4142135623730951},"14":{"tf":1.0},"26":{"tf":1.0},"31":{"tf":1.0},"36":{"tf":1.0},"38":{"tf":1.0},"4":{"tf":1.0},"8":{"tf":1.0}}}},"t":{"df":0,"docs":{},"e":{"df":7,"docs":{"10":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"21":{"tf":1.4142135623730951},"37":{"tf":3.872983346207417},"4":{"tf":1.0},"6":{"tf":1.4142135623730951}}},"i":{"c":{"df":14,"docs":{"16":{"tf":1.0},"19":{"tf":1.4142135623730951},"20":{"tf":1.7320508075688772},"21":{"tf":1.0},"24":{"tf":1.7320508075688772},"25":{"tf":1.0},"27":{"tf":1.7320508075688772},"31":{"tf":1.0},"32":{"tf":1.4142135623730951},"33":{"tf":1.4142135623730951},"34":{"tf":1.4142135623730951},"37":{"tf":1.0},"4":{"tf":2.23606797749979},"6":{"tf":2.23606797749979}}},"df":0,"docs":{}}},"y":{"df":2,"docs":{"24":{"tf":1.0},"38":{"tf":1.0}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{":":{"[":{"\\":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"a":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{}}}}},"df":0,"docs":{}},"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":0,"docs":{}},"p":{"df":3,"docs":{"36":{"tf":1.4142135623730951},"37":{"tf":1.0},"6":{"tf":2.0}}}},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":5,"docs":{"16":{"tf":2.6457513110645907},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"7":{"tf":1.4142135623730951},"8":{"tf":1.0}}}},"l":{"df":0,"docs":{},"l":{"df":3,"docs":{"0":{"tf":1.4142135623730951},"38":{"tf":1.0},"6":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"g":{"df":2,"docs":{"20":{"tf":1.7320508075688772},"37":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"e":{"df":8,"docs":{"0":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.0},"20":{"tf":2.449489742783178},"24":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0},"42":{"tf":1.0}}}}},"r":{"a":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":2,"docs":{"11":{"tf":1.0},"12":{"tf":1.0}}}}},"n":{"df":2,"docs":{"16":{"tf":1.0},"37":{"tf":1.7320508075688772}}}},"n":{"d":{"_":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"f":{"df":1,"docs":{"36":{"tf":1.0}}}}}}}},"df":4,"docs":{"16":{"tf":2.6457513110645907},"25":{"tf":2.0},"36":{"tf":1.0},"37":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.7320508075688772}}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"16":{"tf":1.4142135623730951}}}}}},"s":{"df":0,"docs":{},"s":{"df":8,"docs":{"19":{"tf":1.0},"20":{"tf":1.4142135623730951},"22":{"tf":2.23606797749979},"31":{"tf":1.0},"32":{"tf":1.7320508075688772},"33":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":4.123105625617661}}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"'":{"df":1,"docs":{"18":{"tf":1.0}}},"_":{"c":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"c":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"l":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"37":{"tf":1.0}}}}}}}},"m":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"37":{"tf":1.0}}}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":13,"docs":{"16":{"tf":3.1622776601683795},"17":{"tf":2.0},"18":{"tf":1.4142135623730951},"20":{"tf":2.8284271247461903},"21":{"tf":1.0},"24":{"tf":1.7320508075688772},"25":{"tf":3.7416573867739413},"29":{"tf":1.0},"36":{"tf":4.0},"37":{"tf":3.872983346207417},"4":{"tf":1.0},"6":{"tf":2.0},"7":{"tf":1.4142135623730951}}}}}}},"u":{"b":{"df":0,"docs":{},"j":{"df":0,"docs":{},"e":{"c":{"df":0,"docs":{},"t":{"df":3,"docs":{"36":{"tf":1.0},"37":{"tf":1.0},"38":{"tf":1.0}}}},"df":0,"docs":{}}},"p":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"c":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{".":{"c":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"l":{"(":{"[":{"\"":{"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"32":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{}},"df":0,"docs":{}},"df":1,"docs":{"32":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"c":{"df":0,"docs":{},"h":{"df":3,"docs":{"38":{"tf":1.0},"44":{"tf":1.0},"6":{"tf":1.0}}}},"df":0,"docs":{},"g":{"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"38":{"tf":1.0}}}}}}},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"13":{"tf":1.0}}}},"m":{"df":1,"docs":{"37":{"tf":1.0}}},"p":{"df":0,"docs":{},"p":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":2,"docs":{"15":{"tf":1.0},"9":{"tf":1.0}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":7,"docs":{"0":{"tf":1.0},"20":{"tf":1.0},"31":{"tf":1.4142135623730951},"38":{"tf":1.0},"40":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0}}}}}}},"s":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"38":{"tf":1.0}}},"df":0,"docs":{}}}}}},"w":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"c":{"df":0,"docs":{},"h":{"df":1,"docs":{"19":{"tf":1.0}}}},"df":0,"docs":{}}}},"y":{"df":0,"docs":{},"m":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"l":{"df":1,"docs":{"21":{"tf":1.0}}}}},"df":0,"docs":{}},"n":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":1,"docs":{"8":{"tf":1.0}}}}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"(":{"'":{"df":0,"docs":{},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"33":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}}}}}},"t":{"a":{"b":{"df":7,"docs":{"19":{"tf":1.7320508075688772},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.4142135623730951},"25":{"tf":1.0}},"l":{"df":9,"docs":{"14":{"tf":1.0},"15":{"tf":1.4142135623730951},"16":{"tf":1.4142135623730951},"18":{"tf":1.0},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"43":{"tf":1.0},"45":{"tf":2.0},"9":{"tf":1.4142135623730951}}}},"df":0,"docs":{},"k":{"df":0,"docs":{},"e":{"df":2,"docs":{"0":{"tf":1.0},"27":{"tf":1.0}},"n":{"df":1,"docs":{"0":{"tf":1.0}}}}},"s":{"df":0,"docs":{},"k":{"df":1,"docs":{"31":{"tf":1.0}}}}},"df":1,"docs":{"6":{"tf":1.4142135623730951}},"e":{"c":{"df":0,"docs":{},"h":{"df":0,"docs":{},"n":{"df":0,"docs":{},"i":{"c":{"df":1,"docs":{"18":{"tf":1.0}}},"df":0,"docs":{}}}}},"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":1,"docs":{"42":{"tf":1.0}}}}}},"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"43":{"tf":1.0}},"l":{"df":0,"docs":{},"i":{"df":1,"docs":{"27":{"tf":1.0}}}}}}},"df":0,"docs":{}}}}},"n":{"d":{"df":1,"docs":{"6":{"tf":1.0}}},"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"16":{"tf":1.0}}},"o":{"df":0,"docs":{},"n":{"df":3,"docs":{"20":{"tf":1.0},"22":{"tf":1.0},"25":{"tf":2.0}}}}}}},"r":{"df":0,"docs":{},"m":{"df":2,"docs":{"18":{"tf":1.0},"20":{"tf":1.0}}}},"s":{"df":0,"docs":{},"t":{"df":5,"docs":{"16":{"tf":1.0},"38":{"tf":2.23606797749979},"39":{"tf":1.0},"40":{"tf":1.0},"8":{"tf":1.0}}}},"x":{"df":0,"docs":{},"t":{"df":2,"docs":{"29":{"tf":1.7320508075688772},"30":{"tf":1.0}},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"16":{"tf":1.0}}}}}}},"h":{"a":{"df":0,"docs":{},"t":{"'":{"df":1,"docs":{"42":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"m":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":0,"docs":{},"v":{"df":1,"docs":{"19":{"tf":1.0}}}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"f":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":5,"docs":{"0":{"tf":1.0},"13":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0},"44":{"tf":1.0}}}}}}}},"i":{"c":{"df":0,"docs":{},"k":{"df":0,"docs":{},"n":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"/":{"df":0,"docs":{},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":1,"docs":{"9":{"tf":1.0}}}}}}}}},"df":0,"docs":{}}}}}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":5,"docs":{"1":{"tf":1.0},"25":{"tf":1.0},"4":{"tf":1.0},"44":{"tf":1.4142135623730951},"6":{"tf":1.0}}},"k":{"df":1,"docs":{"6":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"s":{"df":0,"docs":{},"e":{"df":4,"docs":{"18":{"tf":1.0},"2":{"tf":1.0},"29":{"tf":1.0},"42":{"tf":1.0}}}},"u":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":4,"docs":{"18":{"tf":1.0},"2":{"tf":1.0},"27":{"tf":1.0},"6":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"e":{"a":{"d":{"df":1,"docs":{"38":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":7,"docs":{"0":{"tf":1.0},"16":{"tf":1.4142135623730951},"18":{"tf":1.0},"24":{"tf":1.0},"3":{"tf":1.0},"38":{"tf":1.0},"40":{"tf":1.4142135623730951}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":4,"docs":{"15":{"tf":1.0},"3":{"tf":1.0},"44":{"tf":1.0},"9":{"tf":1.0}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":2,"docs":{"19":{"tf":1.0},"3":{"tf":1.0}}}}}}}}}}},"i":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"_":{"df":0,"docs":{},"s":{"df":0,"docs":{},"p":{"a":{"df":0,"docs":{},"n":{"_":{"df":0,"docs":{},"f":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"_":{"df":0,"docs":{},"f":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"36":{"tf":1.0}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}},"df":6,"docs":{"18":{"tf":1.4142135623730951},"19":{"tf":1.0},"25":{"tf":1.7320508075688772},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"6":{"tf":3.1622776601683795}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":1,"docs":{"6":{"tf":1.7320508075688772}}}}}}}},"p":{"df":9,"docs":{"17":{"tf":2.0},"20":{"tf":1.0},"36":{"tf":1.4142135623730951},"41":{"tf":1.7320508075688772},"42":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0},"45":{"tf":1.0},"9":{"tf":1.0}}}},"o":{"df":0,"docs":{},"g":{"df":0,"docs":{},"e":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"25":{"tf":1.0}}}}}},"o":{"df":0,"docs":{},"l":{"b":{"a":{"df":0,"docs":{},"r":{"df":2,"docs":{"2":{"tf":1.0},"4":{"tf":1.0}}}},"df":0,"docs":{}},"df":1,"docs":{"0":{"tf":1.0}}}},"p":{"df":3,"docs":{"2":{"tf":1.0},"24":{"tf":1.0},"3":{"tf":1.0}}},"t":{"a":{"df":0,"docs":{},"l":{"df":5,"docs":{"16":{"tf":1.0},"20":{"tf":1.7320508075688772},"23":{"tf":1.0},"25":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}},"r":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"df":0,"docs":{},"f":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":2,"docs":{"20":{"tf":1.0},"24":{"tf":1.0}}}}},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"13":{"tf":1.4142135623730951}}}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":5,"docs":{"10":{"tf":1.4142135623730951},"3":{"tf":2.23606797749979},"5":{"tf":1.0},"8":{"tf":1.4142135623730951},"9":{"tf":1.4142135623730951}}}},"i":{"c":{"df":0,"docs":{},"k":{"df":5,"docs":{"41":{"tf":1.7320508075688772},"42":{"tf":1.0},"43":{"tf":1.0},"44":{"tf":1.0},"45":{"tf":1.0}}}},"df":1,"docs":{"6":{"tf":1.0}}}},"u":{"df":0,"docs":{},"r":{"df":0,"docs":{},"n":{"df":1,"docs":{"12":{"tf":1.0}}}}},"w":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"k":{"df":1,"docs":{"6":{"tf":1.0}}}},"df":0,"docs":{}},"o":{"df":9,"docs":{"13":{"tf":1.0},"18":{"tf":1.0},"32":{"tf":1.0},"34":{"tf":1.0},"37":{"tf":1.4142135623730951},"38":{"tf":1.0},"4":{"tf":1.0},"40":{"tf":1.0},"42":{"tf":1.0}}}},"y":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":5,"docs":{"10":{"tf":1.4142135623730951},"24":{"tf":1.7320508075688772},"27":{"tf":1.0},"36":{"tf":2.23606797749979},"37":{"tf":1.4142135623730951}}}}}},"u":{"df":0,"docs":{},"n":{"b":{"df":0,"docs":{},"r":{"a":{"c":{"df":4,"docs":{"10":{"tf":1.0},"18":{"tf":1.0},"23":{"tf":1.0},"37":{"tf":2.0}}},"df":0,"docs":{}},"df":0,"docs":{}}},"d":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":1,"docs":{"18":{"tf":1.0}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":8,"docs":{"0":{"tf":1.0},"16":{"tf":1.0},"19":{"tf":1.0},"20":{"tf":1.0},"3":{"tf":1.0},"38":{"tf":1.0},"42":{"tf":1.0},"9":{"tf":1.0}},"s":{"df":0,"docs":{},"t":{"a":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"0":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":7,"docs":{"16":{"tf":1.4142135623730951},"19":{"tf":1.4142135623730951},"3":{"tf":1.4142135623730951},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"42":{"tf":3.7416573867739413},"8":{"tf":1.0}}}},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"k":{"df":1,"docs":{"30":{"tf":1.0}}}}},"p":{"a":{"c":{"df":0,"docs":{},"k":{"(":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"a":{"df":0,"docs":{},"m":{"df":1,"docs":{"34":{"tf":1.0}}}},"df":0,"docs":{}}}}}},"df":0,"docs":{}}},"df":0,"docs":{}},"df":0,"docs":{}},"u":{"df":0,"docs":{},"s":{"df":1,"docs":{"24":{"tf":1.0}}}},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":1,"docs":{"0":{"tf":1.0}}}}}}}}},"p":{"df":3,"docs":{"10":{"tf":1.0},"24":{"tf":1.0},"6":{"tf":1.0}}},"s":{"a":{"df":0,"docs":{},"g":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}},"df":27,"docs":{"0":{"tf":1.4142135623730951},"10":{"tf":1.4142135623730951},"15":{"tf":1.0},"16":{"tf":1.0},"19":{"tf":2.23606797749979},"2":{"tf":1.0},"20":{"tf":1.0},"21":{"tf":1.0},"26":{"tf":1.4142135623730951},"27":{"tf":1.0},"29":{"tf":1.0},"3":{"tf":1.4142135623730951},"30":{"tf":1.0},"31":{"tf":2.0},"32":{"tf":1.0},"33":{"tf":1.0},"34":{"tf":1.7320508075688772},"38":{"tf":1.4142135623730951},"41":{"tf":1.0},"42":{"tf":1.0},"43":{"tf":1.4142135623730951},"44":{"tf":2.449489742783178},"45":{"tf":1.0},"5":{"tf":1.0},"6":{"tf":2.6457513110645907},"8":{"tf":1.4142135623730951},"9":{"tf":1.7320508075688772}},"e":{"df":0,"docs":{},"r":{"'":{"df":1,"docs":{"0":{"tf":1.0}}},"df":5,"docs":{"0":{"tf":1.4142135623730951},"2":{"tf":1.0},"36":{"tf":1.0},"42":{"tf":1.4142135623730951},"44":{"tf":1.0}}}},"u":{"a":{"df":0,"docs":{},"l":{"df":2,"docs":{"16":{"tf":1.0},"6":{"tf":2.0}}}},"df":0,"docs":{}}}},"v":{"a":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":13,"docs":{"0":{"tf":1.0},"14":{"tf":1.4142135623730951},"15":{"tf":1.4142135623730951},"16":{"tf":1.0},"18":{"tf":1.4142135623730951},"19":{"tf":1.0},"20":{"tf":2.449489742783178},"22":{"tf":1.4142135623730951},"37":{"tf":2.23606797749979},"42":{"tf":1.4142135623730951},"44":{"tf":1.4142135623730951},"6":{"tf":2.23606797749979},"9":{"tf":1.4142135623730951}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"p":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"37":{"tf":1.7320508075688772}}}}}}}}},"i":{"a":{"b":{"df":0,"docs":{},"l":{"df":1,"docs":{"27":{"tf":1.4142135623730951}}}},"df":0,"docs":{}},"df":1,"docs":{"8":{"tf":1.0}},"o":{"df":0,"docs":{},"u":{"df":4,"docs":{"17":{"tf":1.0},"3":{"tf":1.0},"41":{"tf":1.0},"43":{"tf":1.0}}}}}}},"df":1,"docs":{"27":{"tf":1.0}},"e":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"o":{"df":0,"docs":{},"r":{"df":2,"docs":{"37":{"tf":1.4142135623730951},"43":{"tf":1.0}}}}}},"df":0,"docs":{},"l":{"_":{"a":{"df":0,"docs":{},"r":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"37":{"tf":1.0}}}}}}},"df":0,"docs":{}},"df":0,"docs":{},"o":{"c":{"df":3,"docs":{"20":{"tf":1.4142135623730951},"25":{"tf":1.7320508075688772},"37":{"tf":1.4142135623730951}}},"df":0,"docs":{}}},"r":{"df":0,"docs":{},"i":{"df":4,"docs":{"18":{"tf":1.0},"29":{"tf":1.0},"30":{"tf":1.0},"6":{"tf":1.0}}},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":4,"docs":{"0":{"tf":1.0},"2":{"tf":1.0},"27":{"tf":1.4142135623730951},"36":{"tf":1.4142135623730951}}}}}}}},"i":{"a":{"df":1,"docs":{"31":{"tf":1.0}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"w":{"df":6,"docs":{"0":{"tf":1.0},"19":{"tf":1.0},"2":{"tf":1.0},"21":{"tf":1.0},"3":{"tf":2.23606797749979},"44":{"tf":1.0}},"e":{"df":0,"docs":{},"r":{"df":11,"docs":{"0":{"tf":1.4142135623730951},"19":{"tf":2.449489742783178},"20":{"tf":1.0},"21":{"tf":1.0},"22":{"tf":1.0},"23":{"tf":1.0},"24":{"tf":1.0},"25":{"tf":1.0},"27":{"tf":1.4142135623730951},"30":{"tf":1.0},"4":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"a":{"df":0,"docs":{},"l":{"b":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"'":{"df":1,"docs":{"2":{"tf":1.0}}},"df":12,"docs":{"0":{"tf":1.7320508075688772},"1":{"tf":1.0},"26":{"tf":1.0},"27":{"tf":2.6457513110645907},"31":{"tf":1.4142135623730951},"36":{"tf":1.4142135623730951},"37":{"tf":1.0},"4":{"tf":1.0},"41":{"tf":1.0},"42":{"tf":1.0},"44":{"tf":1.4142135623730951},"45":{"tf":1.0}}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}},"u":{"a":{"df":0,"docs":{},"l":{"df":7,"docs":{"0":{"tf":1.0},"18":{"tf":1.0},"19":{"tf":1.0},"25":{"tf":1.0},"3":{"tf":1.0},"43":{"tf":1.0},"7":{"tf":1.0}}}},"df":0,"docs":{}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"df":1,"docs":{"8":{"tf":1.0}}}}}}},"w":{"a":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":2,"docs":{"27":{"tf":1.0},"6":{"tf":1.4142135623730951}}}},"y":{"df":2,"docs":{"18":{"tf":1.0},"38":{"tf":1.4142135623730951}}}},"df":3,"docs":{"32":{"tf":1.0},"34":{"tf":1.0},"38":{"tf":1.0}},"e":{"b":{"df":0,"docs":{},"s":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":2,"docs":{"0":{"tf":1.0},"8":{"tf":1.0}}}}}},"d":{"df":0,"docs":{},"g":{"df":1,"docs":{"9":{"tf":1.0}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"g":{"df":0,"docs":{},"h":{"df":0,"docs":{},"t":{"df":3,"docs":{"16":{"tf":1.0},"17":{"tf":1.0},"38":{"tf":1.4142135623730951}}}}}},"l":{"c":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"0":{"tf":1.0}}}}},"df":0,"docs":{},"l":{"df":9,"docs":{"13":{"tf":1.0},"17":{"tf":1.0},"18":{"tf":1.0},"21":{"tf":1.0},"27":{"tf":1.0},"31":{"tf":1.0},"37":{"tf":1.0},"4":{"tf":1.0},"6":{"tf":1.0}}}}},"h":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":2,"docs":{"3":{"tf":1.0},"44":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":2,"docs":{"44":{"tf":1.0},"9":{"tf":1.0}}}}}},"i":{"d":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":5,"docs":{"15":{"tf":3.1622776601683795},"36":{"tf":1.4142135623730951},"37":{"tf":1.4142135623730951},"38":{"tf":1.0},"42":{"tf":1.0}}}}},"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"o":{"df":0,"docs":{},"w":{"df":2,"docs":{"19":{"tf":1.0},"27":{"tf":1.0}}}}},"df":0,"docs":{}},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"6":{"tf":1.0}}}}}}}},"o":{"df":0,"docs":{},"o":{"d":{"df":1,"docs":{"8":{"tf":1.0}}},"df":0,"docs":{}},"r":{"df":0,"docs":{},"k":{"df":7,"docs":{"0":{"tf":1.0},"18":{"tf":1.0},"20":{"tf":2.0},"36":{"tf":1.0},"37":{"tf":1.4142135623730951},"38":{"tf":1.0},"45":{"tf":1.0}}},"t":{"df":0,"docs":{},"h":{"df":2,"docs":{"42":{"tf":1.0},"44":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":2,"docs":{"31":{"tf":1.4142135623730951},"33":{"tf":1.0}}}}}}},"x":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":1,"docs":{"37":{"tf":1.0}},"s":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"df":3,"docs":{"14":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.7320508075688772}}},"y":{"_":{"df":0,"docs":{},"p":{"df":0,"docs":{},"o":{"df":1,"docs":{"37":{"tf":1.0}},"s":{"_":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"b":{"df":1,"docs":{"37":{"tf":1.0}}},"df":0,"docs":{}}}},"s":{"df":0,"docs":{},"t":{"df":0,"docs":{},"r":{"df":1,"docs":{"37":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"df":3,"docs":{"14":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.7320508075688772}},"o":{"df":0,"docs":{},"u":{"'":{"df":0,"docs":{},"r":{"df":1,"docs":{"6":{"tf":1.4142135623730951}}}},"df":0,"docs":{}}}},"z":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"df":5,"docs":{"12":{"tf":1.0},"13":{"tf":1.0},"17":{"tf":1.0},"24":{"tf":1.0},"9":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"o":{"df":0,"docs":{},"m":{"df":1,"docs":{"3":{"tf":1.0}}}}}}}},"title":{"root":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"x":{"df":1,"docs":{"35":{"tf":1.0}}}}},"df":0,"docs":{}}}}},"r":{"c":{"df":1,"docs":{"12":{"tf":1.0}}},"df":0,"docs":{}}},"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"38":{"tf":1.0}}},"df":0,"docs":{}}},"o":{"df":0,"docs":{},"w":{"df":1,"docs":{"3":{"tf":1.0}}}}},"c":{"df":0,"docs":{},"h":{"a":{"df":0,"docs":{},"r":{"a":{"c":{"df":0,"docs":{},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"20":{"tf":1.0}}}}}}}}},"df":0,"docs":{}},"df":0,"docs":{}}},"df":0,"docs":{}},"l":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":1,"docs":{"39":{"tf":1.0}}}}},"df":0,"docs":{}},"o":{"df":0,"docs":{},"m":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"n":{"d":{"df":1,"docs":{"27":{"tf":1.0}}},"df":0,"docs":{}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"5":{"tf":1.0}}}}}}}},"u":{"df":0,"docs":{},"r":{"df":0,"docs":{},"v":{"a":{"df":0,"docs":{},"t":{"df":0,"docs":{},"u":{"df":0,"docs":{},"r":{"df":1,"docs":{"23":{"tf":1.0}}}}}},"df":0,"docs":{}}}}},"d":{"a":{"df":0,"docs":{},"m":{"df":0,"docs":{},"p":{"df":1,"docs":{"18":{"tf":1.0}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"s":{"df":1,"docs":{"7":{"tf":1.0}}}}}}}},"df":0,"docs":{},"e":{"d":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"3":{"tf":1.0}},"o":{"df":0,"docs":{},"r":{"df":1,"docs":{"1":{"tf":1.0}}}}}}},"df":0,"docs":{},"n":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"g":{"df":0,"docs":{},"i":{"df":1,"docs":{"24":{"tf":1.0}}}}}}}},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":0,"docs":{},"e":{"df":4,"docs":{"2":{"tf":1.0},"28":{"tf":1.0},"36":{"tf":1.0},"37":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"r":{"df":0,"docs":{},"m":{"a":{"df":0,"docs":{},"t":{"df":1,"docs":{"28":{"tf":1.0}}}},"df":0,"docs":{}}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":2,"docs":{"29":{"tf":1.0},"44":{"tf":1.0}}}}},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"o":{"d":{"df":0,"docs":{},"u":{"c":{"df":0,"docs":{},"t":{"df":1,"docs":{"0":{"tf":1.0}}}},"df":0,"docs":{}}},"df":0,"docs":{}}}}}},"j":{"df":0,"docs":{},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"i":{"a":{"df":1,"docs":{"34":{"tf":1.0}}},"df":0,"docs":{}}}}},"l":{"a":{"df":0,"docs":{},"y":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"9":{"tf":1.0}}}}}},"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"e":{"df":2,"docs":{"11":{"tf":1.0},"27":{"tf":1.0}}}}},"o":{"a":{"d":{"df":1,"docs":{"2":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}},"m":{"a":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"17":{"tf":1.0}}}},"t":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":1,"docs":{"8":{"tf":1.0}}}}},"l":{"a":{"b":{"df":1,"docs":{"33":{"tf":1.0}}},"df":0,"docs":{}},"df":0,"docs":{}}}},"df":0,"docs":{},"o":{"d":{"df":0,"docs":{},"e":{"df":0,"docs":{},"l":{"df":3,"docs":{"1":{"tf":1.0},"3":{"tf":1.0},"36":{"tf":1.0}}}}},"df":0,"docs":{}}},"n":{"df":0,"docs":{},"u":{"df":0,"docs":{},"m":{"b":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"44":{"tf":1.0}}}}},"df":0,"docs":{}}}},"o":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":0,"docs":{},"p":{"df":0,"docs":{},"u":{"df":0,"docs":{},"t":{"df":1,"docs":{"30":{"tf":1.0}}}}}}}},"p":{"df":0,"docs":{},"l":{"df":0,"docs":{},"o":{"df":0,"docs":{},"t":{"df":2,"docs":{"25":{"tf":1.0},"43":{"tf":1.0}}}}},"o":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":1,"docs":{"40":{"tf":1.0}}}}}},"r":{"df":0,"docs":{},"o":{"df":0,"docs":{},"f":{"df":0,"docs":{},"i":{"df":0,"docs":{},"l":{"df":1,"docs":{"10":{"tf":1.0}}}}}}},"y":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":0,"docs":{},"o":{"df":0,"docs":{},"n":{"df":1,"docs":{"32":{"tf":1.0}}}}}}}},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"u":{"df":0,"docs":{},"l":{"df":0,"docs":{},"t":{"df":2,"docs":{"19":{"tf":1.0},"37":{"tf":1.0}}}}}}},"u":{"df":0,"docs":{},"n":{"df":1,"docs":{"4":{"tf":1.0}}}}},"s":{"a":{"df":0,"docs":{},"v":{"df":0,"docs":{},"e":{"df":1,"docs":{"2":{"tf":1.0}}}}},"c":{"df":0,"docs":{},"r":{"df":0,"docs":{},"i":{"df":0,"docs":{},"p":{"df":0,"docs":{},"t":{"df":1,"docs":{"31":{"tf":1.0}}}}}}},"df":0,"docs":{},"e":{"df":0,"docs":{},"g":{"df":0,"docs":{},"m":{"df":0,"docs":{},"e":{"df":0,"docs":{},"n":{"df":0,"docs":{},"t":{"df":4,"docs":{"11":{"tf":1.0},"12":{"tf":1.0},"13":{"tf":1.0},"14":{"tf":1.0}}}}}}},"t":{"df":1,"docs":{"6":{"tf":1.0}},"u":{"df":0,"docs":{},"p":{"df":2,"docs":{"39":{"tf":1.0},"40":{"tf":1.0}}}}}},"h":{"a":{"df":0,"docs":{},"p":{"df":0,"docs":{},"e":{"df":1,"docs":{"21":{"tf":1.0}}}}},"df":0,"docs":{}},"i":{"df":0,"docs":{},"m":{"df":0,"docs":{},"u":{"df":0,"docs":{},"l":{"df":1,"docs":{"4":{"tf":1.0}}}}}},"o":{"df":0,"docs":{},"l":{"df":0,"docs":{},"v":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"26":{"tf":1.0}}}}}}},"p":{"df":0,"docs":{},"i":{"df":0,"docs":{},"r":{"a":{"df":0,"docs":{},"l":{"df":1,"docs":{"13":{"tf":1.0}}}},"df":0,"docs":{}}},"l":{"df":0,"docs":{},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"e":{"df":1,"docs":{"14":{"tf":1.0}}}}}}},"t":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"s":{"df":1,"docs":{"22":{"tf":1.0}}}}},"i":{"df":0,"docs":{},"n":{"df":0,"docs":{},"g":{"df":1,"docs":{"16":{"tf":1.0}}}}}}}},"t":{"a":{"b":{"df":0,"docs":{},"l":{"df":1,"docs":{"45":{"tf":1.0}}}},"df":0,"docs":{}},"df":0,"docs":{},"e":{"df":0,"docs":{},"s":{"df":0,"docs":{},"t":{"df":1,"docs":{"38":{"tf":1.0}}}}},"h":{"df":0,"docs":{},"r":{"df":0,"docs":{},"e":{"df":0,"docs":{},"e":{"df":1,"docs":{"40":{"tf":1.0}}}}}},"i":{"df":0,"docs":{},"p":{"df":1,"docs":{"41":{"tf":1.0}}}},"r":{"df":0,"docs":{},"i":{"c":{"df":0,"docs":{},"k":{"df":1,"docs":{"41":{"tf":1.0}}}},"df":0,"docs":{}}}},"u":{"df":0,"docs":{},"n":{"df":0,"docs":{},"i":{"df":0,"docs":{},"t":{"df":1,"docs":{"42":{"tf":1.0}}}}}},"v":{"df":0,"docs":{},"i":{"df":0,"docs":{},"e":{"df":0,"docs":{},"w":{"df":0,"docs":{},"e":{"df":0,"docs":{},"r":{"df":1,"docs":{"19":{"tf":1.0}}}}}}}},"w":{"df":0,"docs":{},"i":{"d":{"df":0,"docs":{},"t":{"df":0,"docs":{},"h":{"df":1,"docs":{"15":{"tf":1.0}}}}},"df":0,"docs":{}}}}}},"lang":"English","pipeline":["trimmer","stopWordFilter","stemmer"],"ref":"id","version":"0.9.5"},"results_options":{"limit_results":30,"teaser_word_count":30},"search_options":{"bool":"OR","expand":true,"fields":{"body":{"boost":1},"breadcrumbs":{"boost":1},"title":{"boost":2}}}});